<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
* @name: Bin_Initialize
* @description : To check whether the Dll.php Build is needed or not
* @param :	boolean 
*/

class Bin_Initialize
{

	function Bin_Initialize($build=FALSE)
	{
		if($build)
		{
			include_once(ROOT_FOLDER.'Bin/Build/Save.php'); 
			new Bin_Build_Save();
		}
		include 'Bin/CheckInstallation.php';
		
		include(ROOT_FOLDER."Bin/Core/Assembler.php");
		new Bin_Core_Assembler();
	}
}
?>