<?php 
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * CQuickMenu
 *
 * This class contains add quick menu. 
 *
 * @package		Core_CQuickMenu
 * @category	Core
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

class Core_CQuickMenu
{
	
	/**
	 * Function add the quick menu details into the table 
	 * 
	 * 
	 * @return string
	 */
	
	
	function addQuickmenu()
	{
		$url=$_GET['id'];
		$description=$_GET['des'];
		$url='?'.$url;
	$sqlselect="SELECT admin_id,url FROM admin_quickmenu_table WHERE admin_id = '".$_SESSION['adminId']."' AND url = '".$url."'";
		$queryselect = new Bin_Query();
			
		if($queryselect->executeQuery($sqlselect))
		{
			return '<div class="red_star">Link Already Available in the Quick Menu</div>';
		}
		else
		{
			$sql = "INSERT INTO `admin_quickmenu_table` (admin_id ,url,description) VALUES ('".$_SESSION['adminId']."', '".$url."','".$description."');";
			$query = new Bin_Query();
			if($query->updateQuery($sql))
			{
				return '<div class="red_star">Link Added to Quick Menu Successfully</div>';
			}
			else
			{
					return '<div class="red_star">Link Not Added!!! Try Again</div>';
			}
		}
	}
	
	/**
	 * Function view the quick menu details into the table 
	 * 
	 * 
	 * @return string
	 */
	 
	function viewQuickmenu()
	{		
		include_once('classes/Display/DQuickMenu.php');
		$sqlselect="SELECT url,description FROM admin_quickmenu_table WHERE admin_id = '".$_SESSION['adminId']."'";
		$queryselect = new Bin_Query();
			
		if($queryselect->executeQuery($sqlselect))
		{//return 'dsfg';		
		
			$default = new Display_DQuickMenu();
			return $default->viewQuickmenu($queryselect->records,$queryselect->totrows);
		}
		else
		{
			return '<div class="red_star"></div>';
			
		}
	}
	
	function viewSettingmenu()
	{
		if(isset($_SESSION['adminId']))
			return '<li><a href="?do=adminsettings">Admin Settings</a></li>';
		else
			return '';		
	}
	
	/**
	 * Function show the quick menu list
	 * 
	 * 
	 * @return string
	 */
	 
	function showQuickMenuList()
	{
		
		include('classes/Display/DQuickMenu.php');
		$sqlselect="SELECT * FROM admin_quickmenu_table WHERE admin_id = '".$_SESSION['adminId']."'";
		$queryselect = new Bin_Query();
			
		$queryselect->executeQuery($sqlselect);
		$default = new Display_DQuickMenu();
		$output=$default->showQuickMenuList($queryselect->records,$queryselect->totrows);
		return $output;
			

	}
	
	/**
	 * Function delete the quick menu list
	 * 
	 * 
	 * @return string
	 */
	 
	function deleteQuickmenuList()
	{
		$menuid=$_POST['chkStatus'];
		$menuid=implode(',',$_POST['chkStatus']);
		if(empty($menuid))
			return '<div class="red_star">Please Select Anyone Checkbox</div>';
		$sql="DELETE FROM admin_quickmenu_table WHERE menu_id in(".$menuid.")";
			$query = new Bin_Query();
			return  ($query->updateQuery($sql)) ? '<div class="red_star">Deleted From Quick Menu Successfully</div>' 
												: '<div class="red_star">Link Not deleted!!! Try Again</div>';
	}
	
}
?>