<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/
/**
 * DAttributeSelection
 *
 * This class contains functions to list out the attributes.
 *
 * @package		Display_DAttributeSelection
 * @category	Display
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------

class Display_DAttributeSelection
{
	
	
	/**
	 * Function display the attributes. 
	 * @param array $arr
	 * @param integer $paging
	 * @param integer $prev	 
	 * @param integer $next	 
	 * @param integer $val	 
	 * @return string
	 */
	
	function listAttribute($Err)
	{
		$output = "";
		
		//echo "<pre>";
		//print_r($arr);
		
		
		
		$output='<table width="100%" border="0" cellpadding="0" cellspacing="0" class="formblock_content" >
                            <tr class="formblock_row3">
                              <td width="166" align="center" class="form_txt">S.no.</td>
 							  <td width="600" align="center" class="form_txt">Attribute Name</td>					  
				              <td width="150" align="center" class="form_txt" colspan="2" >Actions</td>                              </tr>';		
		
		 $output.='<tr> <td colspan="4">
					 <div name="ajaxcontentdiv" id="ajaxcontentdiv" >';
		
		return $output;
			
	}
	
	/**
	 * Function display the attributes. 
	 * @param array $arr
	 * @param integer $paging
	 * @param integer $prev	 
	 * @param integer $next	 
	 * @param integer $val	 
	 * @return string
	 */
	 
	function listAttributeAjax($arr,$paging,$prev,$next,$val)
	{
		$output = "";
		
		//echo "<pre>";
		//print_r($arr);
		
								 
	    $output.='<table cellspacing="0" border="0" width="100%" align="center">';	
		
	  
		for ($i=0;$i<count($arr);$i++)
		{
			$output.='<input type="hidden" name="mainindex" value="">';
			
			/*$output .= '<tr style="background-color:#FFFFFF;" onmouseout="listbg(this, 0);" onmouseover="listbg(this, 1);">
			<td align="center" '.$classtd.'>'.($val+1).'</td>
			<td align="" '.$classtd.'>'.$arr[$i]['attrib_name'].'</td>';
			$output.='<td align="center" '.$classtd.'><input type="button" class="edit_bttn" name="Edit"  title="Edit" value="" onclick=edit('.$arr[$i]['attrib_id'].') /></td>';
			$output.='<td align="center" '.$classtd.'><input type="button" name="Delete" class="delete_bttn" title="Delete" value="" onclick=callattribs('.$arr[$i]['attrib_id'].') /></td></tr>';*/
				
		if($i%2==0)
				{
			$output.='<tr  id="order'.$i.'" class="formblock_row1 form_border" >
                              <td width="164" align="center" style="text-indent: 5px;">'.($i+1).'</td>
                              <td width="645" align="left" style="text-indent:5px;">'.$arr[$i]['attrib_name'].'</td>
                              <td width="70" align="center" style="text-indent:5px;"><input type="button" class="edit_bttn" name="Edit"  title="Edit" value="" onclick=edit('.$arr[$i]['attrib_id'].') /></td>
							   <td width="72" align="center" style="text-indent:5px;"><input type="button" name="Delete" class="delete_bttn" title="Delete" value="" onclick="callattribs('.$arr[$i]['attrib_id'].');" /></td>                              
						    </tr>';		
			
			
			}
			else
			{
			/*$output.='<tr style="background-color:#FFFFFF;" class="formblock_row2 form_border" >
                              <td width="63" align="center" style="text-indent: 5px;">'.($i+1).'</td>
                              <td width="150" align="left" style="text-indent:5px;"><a href="?do=showsub&action=show&id='.$arr[$i]['category_id'].'" >'.$arr[$i]['category_name'].'</a></td>
                              <td width="228" align="left" style="text-indent:5px;">'.$arr[$i]['category_desc'].'</td>
							   <td width="77" align="center" style="text-indent:5px;"><span class="'.$catstatus.'"></span></td>
                              <td width="131" align="center" style="text-indent:5px;"><a href="?do=showmain&action=disp&id='.$arr[$i]['category_id'].'" class="edit_bttn" >&nbsp;</a>&nbsp;&nbsp;&nbsp;&nbsp;<a href="?do=showmain&action=delete&id='.$arr[$i]['category_id'].'" onclick="return confirm(\'Are you sure want to Delete this Category?\')"  class="delete_bttn" >&nbsp;</a></td>
                          </tr>';	*/
						  
			$output.='<tr  id="order'.$i.'" class="formblock_row2 form_border" >
                              <td width="164" align="center" style="text-indent: 5px;">'.($i+1).'</td>
                              <td width="645" align="left" style="text-indent:5px;">'.$arr[$i]['attrib_name'].'</td>
                              <td width="70" align="center" style="text-indent:5px;"><input type="button" class="edit_bttn" name="Edit"  title="Edit" value="" onclick=edit('.$arr[$i]['attrib_id'].') /></td>
							   <td width="72" align="center" style="text-indent:5px;"><input type="button" name="Delete" class="delete_bttn" title="Delete" value="" onclick="callattribs('.$arr[$i]['attrib_id'].');"   /></td>                              
						    </tr>';				  
						  
			}
			
			
			
			/*if($i % 2 == 0)
				$classtd='class="content_list_txt1"';
			else
				$classtd='class="content_list_txt2"';*/
				
			
			//$val++;
		}
		
		
		
		
		
		 $output.='<tr align="center"><td colspan="4"  class="formblock_bleft formblock_bbg formblock_bright" >'.' '.$prev.' ';
		    for($i=1;$i<=count($paging);$i++)
				 $pagingvalues .= $paging[$i]."  ";
				 	 	$output .= $pagingvalues.' '.$next.'</td></tr>';
						
						$output.='</table></div></td></tr></table>';		
						
		//$output .= '</table>';
		return $output;
			
	}
	
	
	
	
	
	
	/**
	 * Function To Edit an Attributes. 
	 * @param array $arr
	 * @return string
	 */
	function displayAttributes($arr)
	{
	$output = "";
		for ($i=0;$i<count($arr);$i++)
		{
			$output.='<form name="formsubcatedit" action="?do=addattributes&action=edit&id='.(int)$_GET['id'].'" method="post" enctype="multipart/form-data">
			<tr>
            <td colspan="3" align="left">&nbsp;</td>
          </tr><tr class="formblock_row2" onmouseover="mouse_event(this, \'formrow_bg\');" onmouseout="mouse_event(this, \'formblock_row2\');">
<td width="20%" align="left" class="form_txt"> Attribute</td> <td width="6%"  class="form_txt" >  :</b></td>

<td   class="label_name"><input type="text" class="form_txtbox" name="attributes" id="attrib" value="'.$arr[0]['attrib_name'].'" /></td>

</tr>
<tr>
            <td colspan="3" align="left" style="padding-top:100px;">&nbsp;</td>
          </tr>
		  <tr>
            <td colspan="3" align="left" style="padding-top:100px;">&nbsp;</td>
          </tr>


';

		}
		return $output;
	}	
 }
?>