<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * DAdminHome
 *
 * This class contains functions to display admin home page details.
 *
 * @package		Display_DAdminHome
 * @category	Display
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------

class Display_DAdminHome
{
	/**
	 * Get latest users list. 
	 * @param array $arr
	 * @return string
	 */
	function getLatestCustomers($arr,$dashname)
	{
	  
	
	
		for($i=0;$i<count($dashname);$i++)
			{
			  if($dashname[$i]['dash_name']=='New Customers')
			     $customer='true';
			}
			if($customer=='true')
			{
			  
					if(count($arr)>0)
					{
						
						$output .= '';
						$output='<div style="left: 0px; top: 0px;" id="m_108" class="modbox" tabindex="0">
									<div class="modtitle" height="150px">
									  <table width="100%" border="0" cellpadding="0" cellspacing="0">
										<tr>
							<td width="3%" class="block_tleft">&nbsp;</td>
							<td width="94%" class="block_tbg">NEW CUSTOMERS</td>
							<td width="3%" class="block_tright">&nbsp;</td>
						  </tr>
									  </table>
									  <div style="cursor: move;" class="dt" id="m_108_h"></div>
									  <div style="clear: both;"></div>
									</div>
									<div id="m_108_b" class="modboxin  content_bdr">
									  <table width="100%" border="0" cellspacing="0" cellpadding="0">
						  
						 <tr height="230px" valign="top"> 
							<td colspan="4" class="block_content"><table width="100%" border="0" cellspacing="0" cellpadding="0" >
								<tr >
			
								  <td width="15%" class="block_content_title">S.No</td>
								  <td width="35%" align="left" class="block_content_title">Customer Name</td>
								  <td width="25%" align="left" class="block_content_title">E-Mail</td>
								  <td width="25%" align="left" class="block_content_title">Join Date</td>
								</tr>';
					/*$output.='<table width="100%" border="0" cellpadding="0" cellspacing="0" class="content_list_bdr">
							<tr>
							<td class="content_list_head">S.No</td>
							  <td class="content_list_head">Customer Name</td>
							  <td class="content_list_head">E-Mail</td>
							  <td class="content_list_head">Join Date</td>
							  
							</tr>
							<tr>
							  <td colspan="5" class="cnt_list_bot_bdr"><img src="images/list_bdr.gif" alt="" width="1" height="2" /></td>
							</tr>'; */ 
							$cs=1;
						for ($i=0;$i<count($arr);$i++)
						{
							if($i % 2 == 0)
								$classtd='class="content_list_txt1"';
							else
								$classtd='class="content_list_txt2"';
							$usr_date = explode("-",$arr[$i]['user_doj']);
							$doj=date("M d, Y",mktime(0,0,0,$usr_date[1],$usr_date[2],$usr_date[0]));
							//$doj=date("d-m-Y",mktime(0,0,0,$usr_date[1],$usr_date[2],$usr_date[0]));
							
							$output.='<tr class="block_row'.$cs.'" onmouseover="mouse_event(this, \'row_bg\');" onmouseout="mouse_event(this, \'block_row'.$cs.'\');">
									  <td align="left">'.($i+1).'</td>
									  <td align="left">'.$arr[$i]['user_display_name'].'</td>
									  <td align="left"><a href="mailto:'.$arr[$i]['user_email'].'">'.$arr[$i]['user_email'].'</a></td>
									  <td align="left">'.$doj.'</td>
									</tr>';
									if($cs==1)
										$cs=$cs+1;
									else
										$cs=$cs-1;
										
							/*$output .= '<tr style="background-color:#FFFFFF;" onmouseout="listbg(this, 0);" onmouseover="listbg(this, 1);">
							<td align="center" '.$classtd.' >'.($i+1).'</td>
							<td '.$classtd.'>'.$arr[$i]['user_display_name'].'</td>';
							$output .='<td '.$classtd.'><a href="mailto:'.$arr[$i]['user_email'].'">'.$arr[$i]['user_email'].'</a></td>
							<td '.$classtd.'>'.$doj.'</td>
							</tr>';*/
							
						}
						$output .= '</table></td>
						  </tr>
						  <tr>
							<td width="3%" class="block_bleft">&nbsp;</td>
							<td width="94%" align="right" class="block_bbg"><a href="?do=adminreg" class="arrow_more">more</a></td>
							<td width="3%" class="block_bright">&nbsp;</td>
						  </tr>
						</table>
									</div>
								  </div>';
					}
					else
					{
						$output='<div style="left: 0px; top: 0px;" id="m_108" class="modbox" tabindex="0">
									<div class="modtitle">
									  <table width="100%" border="0" cellpadding="0" cellspacing="0">
										<tr>
							<td width="3%" class="block_tleft">&nbsp;</td>
							<td width="94%" class="block_tbg">NEW CUSTOMERS</td>
							<td width="3%" class="block_tright">&nbsp;</td>
						  </tr>
									  </table>
									  <div style="cursor: move;" class="dt" id="m_108_h"></div>
									  <div style="clear: both;"></div>
									</div>
									<div id="m_108_b" class="modboxin  content_bdr" >
									  <table width="100%" border="0" cellspacing="0" cellpadding="0">
						  
						  <tr>
							<td colspan="4" class="block_content"><table width="100%" border="0" cellspacing="0" cellpadding="0"   >
								<tr>
								  <td width="15%" class="block_content_title">S.No</td>
								  <td width="35%" align="left" class="block_content_title">Customer Name</td>
								  <td width="25%" align="left" class="block_content_title">E-Mail</td>
								  <td width="25%" align="left" class="block_content_title">Join Date</td>
								</tr>';
								$output.='<tr height="150" class="red_star">
								  <td align="center" colspan="4">New customers not found</td>
								</tr>';
								$output .= '</table></td>
						  </tr>
						  <tr>
							<td width="3%" class="block_bleft">&nbsp;</td>
							<td width="94%" align="right" class="block_bbg"><a href="?do=adminreg" class="arrow_more">more</a></td>
							<td width="3%" class="block_bright">&nbsp;</td>
						  </tr>
						</table>
									</div>
								  </div>';
						
					}
		 
		
	
			}
			
			else
			$output = "";
			
			
			return $output	;
			
	}
	
	/**
	 * Display the ordered products list. 
	 * @param array $result
	 * @param integer $grandtotal
	 * @return string
	 */
	function productsInOrderTable($result,$grandtotal)
	{

	   
	    if(count($result)>0)
		{
		     $output='<table width="100%" border="0" cellpadding="0" cellspacing="0" class="content_list_bdr"> <tr>
                <td  class="content_list_head" >Product Name</td>
                <td  class="content_list_head" align="center">Unit Price</td>
                <td  class="content_list_head" align="center">Quantity</td>
                <td  class="content_list_head" align="center">Shipping Cost</td>
                <td  class="content_list_head" align="center">Sub Total</td>
              </tr>
			  <tr>
                <td colspan="5" class="cnt_list_bot_bdr"><img src="images/list_bdr.gif" alt="" width="1" height="2" /></td>
              </tr>';
		     foreach($result as $row)
			 {
			 
                 $title=$row['title'];
				 if(strlen($title)>25)
				     $title=substr($title,0,25). "..";
				 $price=number_format($row['product_unit_price'],2);
				 
				 $quantity=$row['product_qty'];
				 $shipcost=number_format($row['shipping_cost'],2);
				 $subtotal=number_format($row['subtotal'],2);    			 
			     $output.=' <tr style="background-color:#FFFFFF;" onmouseout="listbg(this, 0);" onmouseover="listbg(this, 1);">
                <td class="content_list_txt1">'.$title.'</td>
                <td class="content_list_txt1" align="right">'.$_SESSION['currency']['currency_tocken'].' '.$price.'</td>
                <td class="content_list_txt1" align="right">'.$quantity.'</td>
                <td class="content_list_txt1" align="right">'.$_SESSION['currency']['currency_tocken'].' '.$shipcost.'</td>
                <td class="content_list_txt1" align="right">'.$_SESSION['currency']['currency_tocken'].' '.$subtotal.'</td>
              </tr>';
			 }
			   $output.='<tr >
                <td colspan="4" align="right" class="order_footer"><strong>GRAND TOTAL :</strong></td>
                <td class="order_footer" align="right" style="padding-right:10px"><strong>'.$_SESSION['currency']['currency_tocken'].' '.number_format($grandtotal,2).'</strong></td>
              </tr>
              
            </table>';
			
			return $output;
		}
	
	
	}
	
	/**
	 * Display the latest orders list. 
	 * @param array $result
	 * @param integer $subtotal
	 * @return string
	 */	
	function latestOrders($result,$dashname)
	{
	
	   
	
	
		for($i=0;$i<count($dashname);$i++)
			{
			  if($dashname[$i]['dash_name']=='Latest Orders')
			     $order='true';
			}
			if($order=='true')
			{
			   
	
	
	      if(count($result)>0)
		{
			$output='<div style="left: 0px; top: 0px;" id="m_104" class="modbox" tabindex="0">
                        <div class="modtitle"  height="150px">
                          <table width="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr>
                <td width="3%" class="block_tleft">&nbsp;</td>
                <td width="94%" class="block_tbg">LATEST ORDERS</td>
                <td width="3%" class="block_tright">&nbsp;</td>
              </tr>
                          </table>
                          <div style="cursor: move;" class="dt" id="m_104_h"></div>
                          <div style="clear: both;"></div>
                        </div>
                        <div id="m_104_b" class="modboxin  content_bdr" >
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
              
              <tr>
                <td colspan="5" class="block_content"><table width="100%" border="0" cellspacing="0" cellpadding="0" >
                    <tr>
                      <td width="15%" class="block_content_title">Order ID</td>
                      <td width="15%" align="left" class="block_content_title">Customers</td>
                      <td width="15%" align="left" class="block_content_title">Status</td>
					  <td width="35%" align="left" class="block_content_title">Date Added</td>
					  <td width="20%" align="left" class="block_content_title">Total</td>
                    </tr>';
		     /*$output='<table width="100%" border="0" cellpadding="0" cellspacing="0" class="content_list_bdr"> <tr>
                <td  class="content_list_head" >Order ID</td>
                <td  class="content_list_head" align="center">Customers</td>
                <td  class="content_list_head" align="center">Status</td>
                <td  class="content_list_head" align="center">Date Added</td>
                <td  class="content_list_head" align="center">Total</td>
              </tr>
			  <tr>
                <td colspan="5" class="cnt_list_bot_bdr"><img src="images/list_bdr.gif" alt="" width="1" height="2" /></td>
              </tr>';*/
			  $cs=1;
		     foreach($result as $row)
			 {
			   $orders_id=$row['orders_id'];
			   $userdisplayname=$row['user_display_name'];
				 if(strlen($userdisplayname)>25)
				     $userdisplayname=substr($userdisplayname,0,25). "..";
				$status=$row['orders_status_name'];
				
				$ord_date_time = explode(" ",$row['date_purchased']);
			    $ord_date = explode("-",$ord_date_time[0]);
			    $ord_time = explode(":",$ord_date_time[1]);
			    $dateadded=date("D, M d, Y H:i:s",mktime($ord_time[0],$ord_time[1],$ord_time[2],$ord_date[1],$ord_date[2],$ord_date[0]));
				//$dateadded=date("d-m-Y H:i:s",mktime($ord_time[0],$ord_time[1],$ord_time[2],$ord_date[1],$ord_date[2],$ord_date[0]));
				//$dateadded=$row['date_purchased'];
				$total=number_format($row['order_total'],2);
				 
				$output.='<tr  class="block_row'.$cs.'" onmouseover="mouse_event(this, \'row_bg\');" onmouseout="mouse_event(this, \'block_row'.$cs.'\');">
                      <td align="left"><a href="?do=disporders&action=detail&id='.$orders_id.'">'.$orders_id.'</a></td>
                      <td align="left"><a href="?do=disporders&action=detail&id='.$orders_id.'">'.$userdisplayname.'</a></td>
                      <td align="left">'.$status.'</td>
					  <td align="left">'.$dateadded.'</td>
					  <td align="left">'.$_SESSION['currency']['currency_tocken'].$total.'</td>
                    </tr>';
					if($cs==1)
						$cs=$cs+1;
					else
						$cs=$cs-1;
			     /*$output.=' <tr style="background-color:#FFFFFF;" onmouseout="listbg(this, 0);" onmouseover="listbg(this, 1);">
                <td class="content_list_txt1"><a href="?do=disporders&action=detail&id='.$orders_id.'">'.$orders_id.'</a></td>
                <td class="content_list_txt1" align="left"><a href="?do=disporders&action=detail&id='.$orders_id.'">'.$userdisplayname.'</a></td>
                <td class="content_list_txt1" align="left">'.$status.'</td>
                <td class="content_list_txt1" align="left">'.$dateadded.'</td>
                <td class="content_list_txt1" align="right">'.$_SESSION['currency']['currency_tocken'].$total.'</td>
              </tr>';*/
			 }
			   $output.='      
            
			 </table></td>
              </tr>
              <tr>
                <td width="3%" class="block_bleft">&nbsp;</td>
                <td width="94%" align="right" class="block_bbg"><a href="?do=disporders" class="arrow_more">more</a></td>
                <td width="3%" class="block_bright">&nbsp;</td>
              </tr>
            </table>
                        </div>
                      </div>';
			}
			else
		{	
			$output='<div style="left: 0px; top: 0px;" id="m_104" class="modbox" tabindex="0">
                        <div class="modtitle">
                          <table width="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr>
                <td width="3%" class="block_tleft">&nbsp;</td>
                <td width="94%" class="block_tbg">LATEST ORDERS</td>
                <td width="3%" class="block_tright">&nbsp;</td>
              </tr>
                          </table>
                          <div style="cursor: move;" class="dt" id="m_104_h"></div>
                          <div style="clear: both;"></div>
                        </div>
                        <div id="m_104_b" class="modboxin  content_bdr" >
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
              
              <tr>
                <td colspan="5" class="block_content"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="15%" class="block_content_title">Order ID</td>
                      <td width="15%" align="left" class="block_content_title">Customers</td>
                      <td width="15%" align="left" class="block_content_title">Status</td>
					  <td width="35%" align="left" class="block_content_title">Date Added</td>
					  <td width="20%" align="left" class="block_content_title">Total</td>
                    </tr>';
					$output.='<tr  height="150" class="red_star">
                      <td align="center" colspan="5">Latest orders not found</td>
                    </tr>';
					 $output.='            
			 </table></td>
              </tr>
              <tr>
                <td width="3%" class="block_bleft">&nbsp;</td>
                <td width="94%" align="right" class="block_bbg"><a href="?do=disporders" class="arrow_more">more</a></td>
                <td width="3%" class="block_bright">&nbsp;</td>
              </tr>
            </table>
                        </div>
                      </div>';
			
		}
		 
		
		
			
			
			}
			
			else
			$output='';
			
			return $output;
			
	}
	
	/**
	 * Function creates a template to display the news available. 
	 * @param array $arr	  
	 * @return string
	 */
	
	
	function showHomeNews($arr,$dashname)
	{	
		
		
		    
	
	
		    for($i=0;$i<count($dashname);$i++)
			{
			  if($dashname[$i]['dash_name']=='Admin News')
			     $adminnews='true';
			}
			if($adminnews=='true')
			{
			   
	
		if(count($arr)>0)
		{
		$output='<div style="left: 0px; top: 0px;" id="m_106" class="modbox" tabindex="0">
                        <div class="modtitle"  >';

		$output='<div  id="m_106" class="modbox" tabindex="0" style="left: 0px; top: 0px;" >
                        <div class="modtitle"  >

                          <table width="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr>
                <td width="3%" class="block_tleft">&nbsp;</td>
                <td width="94%" class="block_tbg">ADMIN NEWS</td>
                <td width="3%" class="block_tright">&nbsp;</td>
              </tr>
                          </table>
                          <div style="cursor: move;" class="dt" id="m_106_h"></div>
                          <div style="clear: both;"></div>
                        </div>
                        <div id="m_106_b" class="modboxin  content_bdr" >       
              <table width="100%" border="0" cellspacing="0" cellpadding="0">     

              <tr height="200px" valign="top" >
                <td colspan="3" class="block_content"><table width="100%" border="0" cellspacing="0" cellpadding="0">


                    <tr>
                      <td width="20%" class="block_content_title">S.No</td>
                      <td width="50%" align="left" class="block_content_title">News Title</td>
                      <td width="30%" align="left" class="block_content_title">Created Date</td>
                    </tr>';	
					$cs=1;
					
		for ($i=0;$i<count($arr);$i++)
		{
			$news_date_time = explode(" ",$arr[$i]['news_date']);
			    $news_date = explode("-",$news_date_time[0]);
			    $news_time = explode(":",$news_date_time[1]);
			    $dateadded=date("M d, Y",mktime(0,0,0,$news_date[1],$news_date[2],$news_date[0]));
			$output.='<tr class="block_row'.$cs.'" onmouseover="mouse_event(this, \'row_bg\');" onmouseout="mouse_event(this, \'block_row'.$cs.'\');">
                      <td align="left">'.($i+1).'</td>
                      <td align="left"><a href="?do=news&action=disp&id='.$arr[$i]['news_id'].'" >'.((strlen($arr[$i]['news_title'])>40) ? substr( $arr[$i]['news_title'],0,40).'...' : ucwords($arr[$i]['news_title'])).' </a></td>
					  <td align="left">'.$dateadded.'</td>
                    </tr>';
					if($cs==1)
						$cs=$cs+1;
					else
						$cs=$cs-1;
			
		}	
		$output .= '</table></td>
              </tr>
              <tr>
                <td width="3%" class="block_bleft">&nbsp;</td>
                <td width="94%" align="right" class="block_bbg"><a href="?do=displaynews" class="arrow_more">more</a></td>
                <td width="3%" class="block_bright">&nbsp;</td>
              </tr>
            </table>			
                        </div>
                      </div>';
		}
		else
		{
			$output='<div style="left: 0px; top: 0px;" id="m_106" class="modbox" tabindex="0">
                        <div class="modtitle">
                          <table width="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr>
                <td width="3%" class="block_tleft">&nbsp;</td>
                <td width="94%" class="block_tbg">ADMIN NEWS</td>
                <td width="3%" class="block_tright">&nbsp;</td>
              </tr>
                          </table>
                          <div style="cursor: move;" class="dt" id="m_106_h"></div>
                          <div style="clear: both;"></div>
                        </div>
                        <div id="m_106_b" class="modboxin  content_bdr" >
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
              
              <tr>
                <td colspan="3" class="block_content"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="20%" class="block_content_title">S.No</td>
                      <td width="50%" align="left" class="block_content_title">News Title</td>
                      <td width="30%" align="left" class="block_content_title">Created Date</td>
                    </tr>';	
			$output.='<tr height="170px" class="red_star">
                      <td align="center" colspan="3">Admin news not found</td>
                    </tr>';
			$output .= '</table></td>
              </tr>
              <tr>
                <td width="3%" class="block_bleft">&nbsp;</td>
                <td width="94%" align="right" class="block_bbg"><a href="?do=displaynews" class="arrow_more">more</a></td>
                <td width="3%" class="block_bright">&nbsp;</td>
              </tr>
            </table>
                        </div>
                      </div>';
		}
		
		
		
		
		
		
		
		
			   
			
			}
			else
			$output='';
			
			return $output;
			
	}
	
	/**
	 * Function returns the best selling products details. 
	 * @param array $arr
	 * 
	 * @return string
	 */
	
	function showHomeBestSellingProducts($arr,$dashname)
	{		
		
		
		   
	
	
		    for($i=0;$i<count($dashname);$i++)
			{
			  if($dashname[$i]['dash_name']=='Best Selling Products')
			     $best='true';
			}
			if($best=='true')
			{
			
			   
		
		
		
		if(count($arr)>0)
		{
		$output='<div style="left: 0px; top: 0px;" id="m_101" class="modbox" tabindex="0">
                        <div class="modtitle"  height="150px">
                          <table width="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr>
                <td width="3%" class="block_tleft">&nbsp;</td>
                <td width="94%" class="block_tbg">BEST SELLING PRODUCTS</td>
                <td width="3%" class="block_tright">&nbsp;</td>
              </tr>
                          </table>
                          <div style="cursor: move;" class="dt" id="m_101_h"></div>
                          <div style="clear: both;"></div>
                        </div>
                        <div id="m_101_b" class="modboxin  content_bdr" >
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
              
              <tr>
                <td colspan="5" class="block_content"><table width="100%" border="0" cellspacing="0" cellpadding="0" >
                    <tr>
                      <td width="10%" class="block_content_title">S.No</td>
                      <td width="30%" align="left" class="block_content_title">Product Name</td>
                      <td width="30%" align="left" class="block_content_title">Category Name</td>
					  <td width="15%" align="left" class="block_content_title">Price Per Item</td>
					  <td width="15%" align="left" class="block_content_title">Items Sold</td>
                    </tr>';	
		$cs=1;
		for ($i=0;$i<count($arr);$i++)
		{
			$output.='<tr class="block_row'.$cs.'" onmouseover="mouse_event(this, \'row_bg\');" onmouseout="mouse_event(this, \'block_row'.$cs.'\');">
                      <td align="left">'.($i+1).'</td>
                      <td align="left">'.ucwords($arr[$i]['title']).'</td>
                      <td align="left">'.ucwords($arr[$i]['category_name']).'</td>
					  <td align="left">'.$_SESSION['currency']['currency_tocken'].number_format($arr[$i]['msrp'],2).'</td>
					  <td align="left">'.$arr[$i]['cnt'].'</td>
                    </tr>';
					if($cs==1)
						$cs=$cs+1;
					else
						$cs=$cs-1;
					
		}		   
		  $output.='
			 </table></td>
              </tr>
              <tr>
                <td width="3%" class="block_bleft">&nbsp;</td>
                <td width="94%" align="right" class="block_bbg"><a href="?do=bestsellingproducts" class="arrow_more">more</a></td>
                <td width="3%" class="block_bright">&nbsp;</td>
              </tr>
            </table>
                        </div>
                      </div>'; 
		}
		else
		{
			$output='<div style="left: 0px; top: 0px;" id="m_101" class="modbox" tabindex="0">
                        <div class="modtitle">
                          <table width="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr>
                <td width="3%" class="block_tleft">&nbsp;</td>
                <td width="94%" class="block_tbg">BEST SELLING PRODUCTS</td>
                <td width="3%" class="block_tright">&nbsp;</td>
              </tr>
                          </table>
                          <div style="cursor: move;" class="dt" id="m_101_h"></div>
                          <div style="clear: both;"></div>
                        </div>
                        <div id="m_101_b" class="modboxin  content_bdr" >
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
              
              <tr>
                <td colspan="5" class="block_content"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="10%" class="block_content_title">S.No</td>
                      <td width="30%" align="left" class="block_content_title">Product Name</td>
                      <td width="30%" align="left" class="block_content_title">Category Name</td>
					  <td width="15%" align="left" class="block_content_title">Price Per Item</td>
					  <td width="15%" align="left" class="block_content_title">Items Sold</td>
                    </tr>';	
					$output.='<tr height="150" class="red_star">
                      <td align="center" colspan="5">Best selling products not found</td>
                    </tr>';
					$output.='
			 </table></td>
              </tr>
              <tr>
                <td width="3%" class="block_bleft">&nbsp;</td>
                <td width="94%" align="right" class="block_bbg"><a href="?do=bestsellingproducts" class="arrow_more">more</a></td>
                <td width="3%" class="block_bright">&nbsp;</td>
              </tr>
            </table>
                        </div>
                      </div>'; 
		}
		
		
		
		
			
			
			}
			else
			$output="";
			
			return $output;
			
	}
	
	/**
	* This function is used to Display the Featured Product
	* @name showFeaturedItems
	* @param mixed $arr
	* @return string
 	*/
	
	function showHomeFeaturedItems($arr,$dashname)
	{		
		
		
	
	
		    for($i=0;$i<count($dashname);$i++)
			{
			  if($dashname[$i]['dash_name']=='Featured Products')
			     $feature='true';
			}
			if($feature=='true')
			{
						 if(count($arr)>0)
						{
						$output='<div style="left: 0px; top: 0px;" id="m_103" class="modbox" tabindex="0">
										<div class="modtitle"  height="150px">
										  <table width="100%" border="0" cellpadding="0" cellspacing="0">
											<tr>
								<td width="3%" class="block_tleft">&nbsp;</td>
								<td width="94%" class="block_tbg">FEATURED PRODUCTS</td>
								<td width="3%" class="block_tright">&nbsp;</td>
							  </tr>
										  </table>
										  <div style="cursor: move;" class="dt" id="m_103_h"></div>
										  <div style="clear: both;"></div>
										</div>
										<div id="m_103_b" class="modboxin  content_bdr" >
										  <table width="100%" border="0" cellspacing="0" cellpadding="0">     
							  <tr height="210px" valign="top" >
								<td colspan="5" class="block_content"><table width="100%" border="0" cellspacing="0" cellpadding="0" >
				
									<tr>
									  <td width="10%" class="block_content_title">S.No</td>
									  <td width="25%" align="left" class="block_content_title">Product Name</td>
									  <td width="30%" align="left" class="block_content_title">Category Name</td>
									  <td width="15%" align="left" class="block_content_title">Price</td>
									  <td width="20%" align="left" class="block_content_title">Brand</td>
									</tr>';	
						$cs=1;
						$i=0;$j=0;
						
								for($i=0;$i < count($arr);$i++)
								{
									
									$rating=ceil($arr[$i]['rating']);
									
									$row=$arr[$i];
									$product_id=$row['product_id'];
									$sku=$row['sku'];
									$title=$row['title'];
									$description=$row['description'];
									$brand=$row['brand'];				
									
									$price=$row['price'];
									$msrp=$row['msrp'];
									
									$weight=$row['weight'];
									$dimension=$row['dimension'];
									$thumb_image=$row['thumb_image'];					
									$image=$row['image'];
									$img=explode('/',$thumb_image);
									$shipping_cost=$row['shipping_cost'];
									$status=$row['status'];
									$tag=$row['tag'];
									$pat="images/products/";
									$category_name=$row['category_name'];
									
									$output.='<tr class="block_row'.$cs.'" onmouseover="mouse_event(this, \'row_bg\');" onmouseout="mouse_event(this, \'block_row'.$cs.'\');">
									  <td align="left">'.($i+1).'</td>
									  <td align="left">'.((strlen($title)>15) ? substr( $title,0,15).'...' : ucwords($title)).'</td>
									  <td align="left">'.((strlen($category_name)>15) ? substr( $category_name,0,15).'...' : ucwords($category_name)).'</td>
									  <td align="left">'.$_SESSION['currency']['currency_tocken'].number_format($arr[$i]['msrp'],2).'</td>
									  <td align="left">'.((strlen($arr[$i]['brand'])>10) ? substr( $arr[$i]['brand'],0,10).'...' : ucwords($arr[$i]['brand'])).'</td>
									</tr>';
									if($cs==1)
										$cs=$cs+1;
									else
										$cs=$cs-1;					
									
								}
								 $output.='
							 </table></td>
							  </tr>
							  <tr>
								<td width="3%" class="block_bleft">&nbsp;</td>
								<td width="94%" align="right" class="block_bbg"><a href="?do=selectfeatured" class="arrow_more">more</a></td>
								<td width="3%" class="block_bright">&nbsp;</td>
							  </tr>
							</table>
										</div>
									  </div>
									 '; 
						}
						else
						{
							$output='<div style="left: 0px; top: 0px;" id="m_103" class="modbox" tabindex="0">
										<div class="modtitle">
										  <table width="100%" border="0" cellpadding="0" cellspacing="0">
											<tr>
								<td width="3%" class="block_tleft">&nbsp;</td>
								<td width="94%" class="block_tbg">FEATURED PRODUCTS</td>
								<td width="3%" class="block_tright">&nbsp;</td>
							  </tr>
										  </table>
										  <div style="cursor: move;" class="dt" id="m_103_h"></div>
										  <div style="clear: both;"></div>
										</div>
										<div id="m_103_b" class="modboxin  content_bdr" >
										  <table width="100%" border="0" cellspacing="0" cellpadding="0">
							  
							  <tr>
								<td colspan="5" class="block_content"><table width="100%" border="0" cellspacing="0" cellpadding="0">
									<tr>
									  <td width="10%" class="block_content_title">S.No</td>
									  <td width="30%" align="left" class="block_content_title">Product Name</td>
									  <td width="30%" align="left" class="block_content_title">Category Name</td>
									  <td width="15%" align="left" class="block_content_title">Price Per Item</td>
									  <td width="15%" align="left" class="block_content_title">Brand</td>
									</tr>';	
							$output.='<tr height="150" class="red_star">
									  <td align="center" colspan="5">Featured products not found</td>
									</tr>';
							$output.='
							 </table></td>
							  </tr>
							  <tr>
								<td width="3%" class="block_bleft">&nbsp;</td>
								<td width="94%" align="right" class="block_bbg"><a href="?do=selectfeatured" class="arrow_more">more</a></td>
								<td width="3%" class="block_bright">&nbsp;</td>
							  </tr>
							</table>
										</div>
									  </div>
									 '; 
						}
						
						
		
		
			   
			
			}
			else
			$output="";
			
			return $output;
	}
	
	/**
	* This function is used to Display the Featured Product
	* @name showFeaturedItems
	* @param mixed $arr
	* @return string
 	*/
	
	function showHomeNewProducts($arr,$dashname)
	{		
		
		    
	
	
		    for($i=0;$i<count($dashname);$i++)
			{
			  if($dashname[$i]['dash_name']=='New Products')
			     $newproduct='true';
			}
			if($newproduct=='true')
			{
		
		
		
		
		if(count($arr)>0)
		{
		$output='<div style="left: 0px; top: 0px;" id="m_83" class="modbox" tabindex="0">
                        <div class="modtitle"  height="150px">
                          <table width="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr>
                <td width="3%" class="block_tleft">&nbsp;</td>
                <td width="94%" class="block_tbg">NEW PRODUCTS</td>
                <td width="3%" class="block_tright">&nbsp;</td>
              </tr>
                          </table>
                          <div style="cursor: move;" class="dt" id="m_83_h"></div>
                          <div style="clear: both;"></div>
                        </div>
                        <div id="m_83_b" class="modboxin  content_bdr" >
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
              
              <tr>
                <td colspan="5" class="block_content"><table width="100%" border="0" cellspacing="0" cellpadding="0" >
                    <tr>
                      <td width="10%" class="block_content_title">S.No</td>
                      <td width="25%" align="left" class="block_content_title">Product Name</td>
                      <td width="30%" align="left" class="block_content_title">Category Name</td>
					  <td width="15%" align="left" class="block_content_title">Price</td>
					  <td width="20%" align="left" class="block_content_title">Brand</td>
                    </tr>';	
		$cs=1;
		$i=0;$j=0;
		
				for($i=0;$i < count($arr);$i++)
				{
					
					$rating=ceil($arr[$i]['rating']);
					
					$row=$arr[$i];
					$product_id=$row['product_id'];
					$sku=$row['sku'];
					$title=$row['title'];
					$description=$row['description'];
					$brand=$row['brand'];				
					
					$price=$row['price'];
					$msrp=$row['msrp'];
					
					$weight=$row['weight'];
					$dimension=$row['dimension'];
					$thumb_image=$row['thumb_image'];					
					$image=$row['image'];
					$img=explode('/',$thumb_image);
					$shipping_cost=$row['shipping_cost'];
					$status=$row['status'];
					$tag=$row['tag'];
					$pat="images/products/";
					$category_name=$row['category_name'];
					
					$output.='<tr class="block_row'.$cs.'" onmouseover="mouse_event(this, \'row_bg\');" onmouseout="mouse_event(this, \'block_row'.$cs.'\');">
                      <td align="left">'.($i+1).'</td>
                      <td align="left">'.((strlen($title)>15) ? substr( $title,0,15).'...' : ucwords($title)).'</td>
                      <td align="left">'.((strlen($category_name)>15) ? substr( $category_name,0,15).'...' : ucwords($category_name)).'</td>
					  <td align="left">'.$_SESSION['currency']['currency_tocken'].number_format($arr[$i]['msrp'],2).'</td>
					  <td align="left">'.((strlen($arr[$i]['brand'])>10) ? substr( $arr[$i]['brand'],0,10).'...' : ucwords($arr[$i]['brand'])).'</td>
                    </tr>';
					if($cs==1)
						$cs=$cs+1;
					else
						$cs=$cs-1;					
					
				}
				 $output.='
			 </table></td>
              </tr>
              <tr>
                <td width="3%" class="block_bleft">&nbsp;</td>
                <td width="94%" align="right" class="block_bbg"><a href="?do=manageproducts" class="arrow_more">more</a></td>
                <td width="3%" class="block_bright">&nbsp;</td>
              </tr>
            </table>
                        </div>
                      </div>
                     '; 
		}
		else
		{
			$output='<div style="left: 0px; top: 0px;" id="m_83" class="modbox" tabindex="0">
                        <div class="modtitle">
                          <table width="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr>
                <td width="3%" class="block_tleft">&nbsp;</td>
                <td width="94%" class="block_tbg">NEW PRODUCTS</td>
                <td width="3%" class="block_tright">&nbsp;</td>
              </tr>
                          </table>
                          <div style="cursor: move;" class="dt" id="m_83_h"></div>
                          <div style="clear: both;"></div>
                        </div>
                        <div id="m_83_b" class="modboxin  content_bdr" >
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
              
              <tr>
                <td colspan="5" class="block_content"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="10%" class="block_content_title">S.No</td>
                      <td width="30%" align="left" class="block_content_title">Product Name</td>
                      <td width="30%" align="left" class="block_content_title">Category Name</td>
					  <td width="15%" align="left" class="block_content_title">Price Per Item</td>
					  <td width="15%" align="left" class="block_content_title">Brand</td>
                    </tr>';	
			$output.='<tr height="150" class="red_star">
                      <td align="center" colspan="5">New products not found</td>
                    </tr>';
			$output.='
			 </table></td>
              </tr>
              <tr>
                <td width="3%" class="block_bleft">&nbsp;</td>
                <td width="94%" align="right" class="block_bbg"><a href="?do=manageproducts" class="arrow_more">more</a></td>
                <td width="3%" class="block_bright">&nbsp;</td>
              </tr>
            </table>
                        </div>
                      </div>
                     '; 
		}
		
		}
		
      
			else
			$output="";
			return $output;	
			
	}
	
	/**
	 * Function returns the most searched keywords details. 
	 * @param array $arr
	 * 
	 * @return string
	 */
	
	function showHomeMostSearchedKeywords($arr,$dashname)
	{		
	   
	        
	
	
		    for($i=0;$i<count($dashname);$i++)
			{
			  if($dashname[$i]['dash_name']=='Most Searched Keyword')
			     $keyword='true';
			}
			if($keyword=='true')
			{
			   
	  
	
	
	if(count($arr)>0)
	{
		$output='<div style="left: 0px; top: 0px;" id="m_98" class="modbox" tabindex="0">
                        <div class="modtitle"  height="150px">
                          <table width="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr>
                <td width="3%" class="block_tleft">&nbsp;</td>
                <td width="94%" class="block_tbg">MOST SEARCHED KEYWORD</td>
                <td width="3%" class="block_tright">&nbsp;</td>
              </tr>
                          </table>
                          <div style="cursor: move;" class="dt" id="m_98_h"></div>
                          <div style="clear: both;"></div>
                        </div>
                        <div id="m_98_b" class="modboxin  content_bdr" >
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
              
              <tr>
                <td colspan="3" class="block_content"><table width="100%" border="0" cellspacing="0" cellpadding="0" >
                    <tr>
                      <td width="10%" class="block_content_title">S.No</td>
                      <td width="50%" align="left" class="block_content_title">Searched Keyword</td>
                      <td width="40%" align="left" class="block_content_title">Search Frequency</td>
                    </tr>';	
		$cs=1;
		for ($i=0;$i<count($arr);$i++)
		{
			$output.='<tr class="block_row'.$cs.'" onmouseover="mouse_event(this, \'row_bg\');" onmouseout="mouse_event(this, \'block_row'.$cs.'\');">
                      <td align="left">'.($i+1).'</td>
                      <td align="left">'.((strlen($arr[$i]['keyword'])>15) ? substr( $arr[$i]['keyword'],0,15).'...' : ucwords($arr[$i]['keyword'])).'</td>
                      <td align="left">'.$arr[$i]['cnt'].'</td>
                    </tr>';
					if($cs==1)
						$cs=$cs+1;
					else
						$cs=$cs-1;
					
		}		   
		  $output.='
			 </table></td>
              </tr>
              <tr>
                <td width="3%" class="block_bleft">&nbsp;</td>
                <td width="94%" align="right" class="block_bbg"><a href="?do=mostsearchedkeywords" class="arrow_more">more</a></td>
                <td width="3%" class="block_bright">&nbsp;</td>
              </tr>
            </table>
                        </div>
                      </div>
                     '; 
					 }
					 else
		{
			$output='<div style="left: 0px; top: 0px;" id="m_98" class="modbox" tabindex="0">
                        <div class="modtitle">
                          <table width="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr>
                <td width="3%" class="block_tleft">&nbsp;</td>
                <td width="94%" class="block_tbg">MOST SEARCHED KEYWORDS</td>
                <td width="3%" class="block_tright">&nbsp;</td>
              </tr>
                          </table>
                          <div style="cursor: move;" class="dt" id="m_98_h"></div>
                          <div style="clear: both;"></div>
                        </div>
                        <div id="m_98_b" class="modboxin  content_bdr" >
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
              
              <tr>
                <td colspan="3" class="block_content"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="10%" class="block_content_title">S.No</td>
                      <td width="50%" align="left" class="block_content_title">Searched Keyword</td>
                      <td width="40%" align="left" class="block_content_title">Search Frequency</td>
                    </tr>';	
			$output.='<tr height="150" class="red_star">
                      <td align="center" colspan="3">Most searched keywords not found</td>
                    </tr>';
			$output.='
			 </table></td>
              </tr>
              <tr>
                <td width="3%" class="block_bleft">&nbsp;</td>
                <td width="94%" align="right" class="block_bbg"><a href="?do=mostsearchedkeywords" class="arrow_more">more</a></td>
                <td width="3%" class="block_bright">&nbsp;</td>
              </tr>
            </table>
                        </div>
                      </div>
                     '; 
		}
	
		
		
    
			
			
			}
			else
			$output="";
			
				return $output;	
			
	}
	
	/**
	 * Function returns the zeuscart news details. 
	 * @param array $arr
	 * 
	 * @return string
	 */
	
	function showHomeZeuscartNews($content,$dashname)
	{
	      
	
	
		    for($i=0;$i<count($dashname);$i++)
			{
			  if($dashname[$i]['dash_name']=='Latest News&Updates')
			     $zeusnews='true';
			}
			if($zeusnews=='true')
			{
			    
	
	
	
	if(!empty($content))
	{
		$output='<div style="left: 0px; top: 0px;" id="m_112" class="modbox" tabindex="0">
                        <div class="modtitle"  height="150px">
                          <table width="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr>
                <td width="3%" class="block_tleft">&nbsp;</td>
                <td width="94%" class="block_tbg">LATEST NEWS & UPDATES</td>
                <td width="3%" class="block_tright">&nbsp;</td>
              </tr>
                          </table>
                          <div style="cursor: move;" class="dt" id="m_112_h"></div>
                          <div style="clear: both;"></div>
                        </div>
                        <div id="m_112_b" class="modboxin  content_bdr" >
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
              
              <tr>
                <td colspan="3" class="block_content"><table width="100%" border="0" cellspacing="0" cellpadding="0" >
                    <tr>
                      <td width="10%" class="block_content_title">S.No</td>
                      <td width="55%" align="left" class="block_content_title">Title</td>
                      <td width="35%" align="left" class="block_content_title">Created Date</td>
                    </tr>';	
		$cs=1;
			
		$sList = explode("<out>", $content);
		for($i=0;$i<count($sList)-1;$i++)
		{		
			$ex=explode("<in>",$sList[$i]);
			$news_date_time = explode(" ",$ex[1]);
			$news_date = explode("-",$news_date_time[0]);
			$news_time = explode(":",$news_date_time[1]);
			$dateadded=date("D, M d, Y H:i:s",mktime($news_time[0],$news_time[1],$news_time[2],$news_date[1],$news_date[2],$news_date[0]));
			$output.='<tr class="block_row'.$cs.'" onmouseover="mouse_event(this, \'row_bg\');" onmouseout="mouse_event(this, \'block_row'.$cs.'\');">
                      <td align="left">'.($i+1).'</td>
                      <td align="left">'.((strlen($ex[3])>35) ? substr( $ex[3],0,35).'...' : ucwords($ex[3])).'</td>
                      <td align="left">'.$dateadded.'</td>
                    </tr>';
					if($cs==1)
						$cs=$cs+1;
					else
						$cs=$cs-1;
					
		}		   
		  $output.='
			 </table></td>
              </tr>
              <tr>
                <td width="3%" class="block_bleft">&nbsp;</td>
                <td width="94%" align="right" class="block_bbg"><a href="http://www.ajsquare.com/news" class="arrow_more" target="blank">more</a></td>
                <td width="3%" class="block_bright">&nbsp;</td>
              </tr>
            </table>
                        </div>
                      </div>
                     '; 
					 }
					 else
		{
			$output='<div style="left: 0px; top: 0px;" id="m_112" class="modbox" tabindex="0">
                        <div class="modtitle">
                          <table width="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr>
                <td width="3%" class="block_tleft">&nbsp;</td>
                <td width="94%" class="block_tbg">LATEST NEWS & UPDATES</td>
                <td width="3%" class="block_tright">&nbsp;</td>
              </tr>
                          </table>
                          <div style="cursor: move;" class="dt" id="m_112_h"></div>
                          <div style="clear: both;"></div>
                        </div>
                        <div id="m_112_b" class="modboxin  content_bdr" >
                          <table width="100%" border="0" cellspacing="0" cellpadding="0">
              
              <tr>
                <td colspan="3" class="block_content"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                      <td width="10%" class="block_content_title">S.No</td>
                      <td width="55%" align="left" class="block_content_title">Title</td>
                      <td width="35%" align="left" class="block_content_title">Created Date</td>
                    </tr>';	
			$output.='<tr height="150" class="red_star">
                      <td align="center" colspan="3">Latest news and updates not found</td>
                    </tr>';
			$output.='
			 </table></td>
              </tr>
              <tr>
                <td width="3%" class="block_bleft">&nbsp;</td>
                <td width="94%" align="right" class="block_bbg"><a href="http://www.ajsquare.com/news" class="arrow_more" target="blank">more</a></td>
                <td width="3%" class="block_bright">&nbsp;</td>
              </tr>
            </table>
                        </div>
                      </div>
                     '; 
		}
	
	
	
	  
			
			}
			else
			$output="";
			return $output;
	  		
	}
	
	/**
	 * Display new customer details. 
	 * @param array $result
	 * @return string
	 */	
	function newCustomers($result)
	{
	
	 if(count($result)>0)
		{
		     $output='<table width="100%" border="0" cellpadding="0" cellspacing="0" class="content_list_bdr"> <tr>
                <td  class="content_list_head" >Customer Name</td>
                <td  class="content_list_head" align="center">E-Mail</td>
                <td  class="content_list_head" align="center">Join Date</td>
                <td  class="content_list_head" align="center">Order Amount</td>
              </tr>
			  <tr>
                <td colspan="4" class="cnt_list_bot_bdr"><img src="images/list_bdr.gif" alt="" width="1" height="2" /></td>
              </tr>';
		     foreach($result as $row)
			 {
			 
                 $username=$row['user_display_name'];
				 if(strlen($username)>25)
				     $username=substr($username,0,25). "..";
					 
				  $email=$row['user_email'];
				  $doj=$row['user_doj'];
				  
				 //$orderamount=number_format($row['product_unit_price'],2);
				 
				 
			     $output.=' <tr style="background-color:#FFFFFF;" onmouseout="listbg(this, 0);" onmouseover="listbg(this, 1);">
                <td class="content_list_txt1">'.$username.'</td>
                <td class="content_list_txt1" align="right">$ '.$email.'</td>
                <td class="content_list_txt1" align="right">'.$doj.'</td>
                <td class="content_list_txt1" align="right">$ '.$orderamount.'</td>
              </tr>';
			 }
			   $output.='<tr >
                <td colspan="4" align="right" class="order_footer"><strong>GRAND TOTAL :</strong></td>
                <td class="order_footer" align="right" style="padding-right:10px"><strong>$ '.number_format($grandtotal,2).'</strong></td>
              </tr>
              
            </table>';
			
			return $output;
		}
	}
	
}
?>	