<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/
/**
 * DBestSellingProducts
 *
 * This class contains functions to list out the best selling products.
 *
 * @package		Display_DBestSellingProducts
 * @category	Display
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------

class Display_DBestSellingProducts
{
	
	/**
	 * Function returns the best selling products details. 
	 * @param array $arr
	 * @param integer $paging
	 * @param integer $prev	 
	 * @param integer $next	 
	 * 
	 * @return string
	 */
	 
	 
	 function showBestSellingProducts()
	{
	
		$output='';
		
		
		$output='<tr>
                      <td colspan="3"><div class="formblock_content">
                          <table  border="0" cellpadding="0" cellspacing="0">
                            <tr class="formblock_row3">
                              <td width="100" align="center" class="form_txt">S.No</td>
                              <td width="30%" align="center" class="form_txt">Product Name</td>
                              <td width="30%" align="center" class="form_txt">Category Name</td>
							  <td width="15%" align="center" class="form_txt">Price Per Item</td>
                              <td width="15%" align="center" class="form_txt">Items Sold</td>
                            </tr>
                          </table>
                        </div></td>
                    </tr>                    
                    <tr>
                      <td colspan="5"><div class="formblock_content" name="ajaxcontentdiv" id="ajaxcontentdiv">
                          ';
		
		
		
		/*$output='<tr>
                      <td colspan="3"><div class="formblock_content">
                          <table width="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr class="formblock_row3">
                              <td width="10%" align="center" class="form_txt">S.No</td>
                              <td width="30%" align="center" class="form_txt">Product Name</td>
                              <td width="30%" align="center" class="form_txt">Category Name</td>
							  <td width="15%" align="center" class="form_txt">Price Per Item</td>
                              <td width="15%" align="center" class="form_txt">Items Sold</td>
                            </tr>
                          </table>
                        </div></td>
                    </tr>                    
                    <tr>
                      <td colspan="3"><div class="formblock_content" name="ajaxcontentdiv" id="ajaxcontentdiv">';*/
                          
		return $output;
		
			
	}	 
	 
	 
	
	function showAjaxBestSellingProducts($arr,$paging,$prev,$next)
	{
	
		if(count($arr)>0)
		{
		$output.='<table width="100%" border="0" cellpadding="0" cellspacing="0">';
		
		
		for ($i=0;$i<count($arr);$i++)
		{
		if($i % 2 == 0)
					$class='class="formblock_row1 form_border"';
				else
					$class='class="formblock_row2 form_border"';
					
                            $output.='<tr '.$class.'>
                             <td width="10%" align="center" style="text-indent:5px;">'.($i+1).'</td>
                              <td width="30%" align="left" style="text-indent:5px;">'.ucwords($arr[$i]['title']).'</td>
                              <td width="30%" align="left" style="text-indent:5px;">'.ucwords($arr[$i]['category_name']).'</td>
							  <td width="15%" align="right" style="text-indent:5px;">'.$_SESSION['currency']['currency_tocken'].number_format($arr[$i]['msrp'],2).'&nbsp;</td>
                              <td width="15%" align="right" style="text-indent:5px;">'.$arr[$i]['cnt'].'&nbsp;</td>
                            </tr>';
			
		}
		 $output.='
					 <tr>
                      <td class="formblock_bleft">&nbsp;</td>
                      <td colspan="3" align="center" class="formblock_bbg">'.' '.$prev.' ';
		
		    for($i=1;$i<=count($paging);$i++)
				 $pagingvalues .= $paging[$i]."  ";
		
		$output .= $pagingvalues.' '.$next.'</td>
                      <td  class="formblock_bright">&nbsp;</td>
                    </tr>  </table>
                        </div></td>
                    </tr>                  
                </table>';
		
		}
		else
		{
			$output='<tr>
                      <td colspan="3"><div class="formblock_content">
                          <table width="100%" border="0" cellpadding="0" cellspacing="0">
                            <tr class="formblock_row3">
                              <td width="10%" align="center" class="form_txt">S.No</td>
                              <td width="30%" align="center" class="form_txt">Product Name</td>
                              <td width="30%" align="center" class="form_txt">Category Name</td>
							  <td width="15%" align="center" class="form_txt">Price Per Item</td>
                              <td width="15%" align="center" class="form_txt">Items Sold</td>
                            </tr>
                          </table>
                        </div></td>
                    </tr>                    
                    <tr>
                      <td colspan="3"><div class="formblock_content">
                          <table width="100%" border="0" cellpadding="0" cellspacing="0">';
						   $output.='<tr class="formblock_row1 form_border">
                              <td class="red_star" align="center" colspan="5">No Best Selling Products Found</td>
                            </tr>';
							 $output.='</table>
                        </div></td>
                    </tr>
					 <tr>
                      <td class="formblock_bleft">&nbsp;</td>
                      <td align="center" class="formblock_bbg"></td>
                      <td class="formblock_bright">&nbsp;</td>
                    </tr>                    
                </table></form>';
		}
		return $output;		
		/*$output.='<table width="100%" border="0" cellpadding="0" cellspacing="0">';		
		
		for ($i=0;$i<count($arr);$i++)
		{
				if($i % 2 == 0)
					$class='class="formblock_row1 form_border"';
				else
					$class='class="formblock_row2 form_border"';
					
                            $output.='<tr '.$class.'>
                              <td width="10%" align="center" style="text-indent:5px;">'.($i+1).'</td>
                              <td width="30%" align="left" style="text-indent:5px;">'.ucwords($arr[$i]['title']).'</td>
                              <td width="30%" align="center" style="text-indent:5px;">'.ucwords($arr[$i]['category_name']).'</td>
							  <td width="15%" align="left" style="text-indent:5px;">'.$_SESSION['currency']['currency_tocken'].number_format($arr[$i]['msrp'],2).'</td>
                              <td width="15%" align="center" style="text-indent:5px;">'.$arr[$i]['cnt'].'</td>
                            </tr>';
					
		}
		$output.='</table>                       
					 <tr>
                      <td class="formblock_bleft">&nbsp;</td>
                      <td align="center" class="formblock_bbg">'.' '.$prev.' ';
		
		    for($i=1;$i<=count($paging);$i++)
				 $pagingvalues .= $paging[$i]."  ";
		
		$output .= $pagingvalues.' '.$next.'</td>
                      <td class="formblock_bright">&nbsp;</td>
                    </tr>					
                </table></div></td>
                    </tr>';*/
		return $output;
		
			
	}
	
	//function showBestSellingProducts($arr,$paging,$prev,$next)
//	{
//	
//		$output = "";
//		
//		$output .= '<table width="99%" border="0" cellpadding="0" cellspacing="0" align="center" class="content_list_bdr">';
//		$output .= '<tr><td class="content_list_head" >S.No</td><td class="content_list_head" >Product Name</td><td class="content_list_head" >Category Name</td><td class="content_list_head" >Price Per Item</td><td class="content_list_head" >Items Sold</td></tr>';
//		
//		for ($i=0;$i<count($arr);$i++)
//		{
//		
//		$output.='<tr  onmouseover="listbg(this, 1);" onmouseout="listbg(this, 0);" style="background-color: rgb(255, 255, 255);">
//			<td align="center" style="padding:5px;width:20px" class=content_list_txt1>'.($i+1).'</td>
//			<td class=content_list_txt1>'.ucwords($arr[$i]['title']).'</td>';
//				
// 
//		$output.='<td align="left"  style="padding-left:10px;" class=content_list_txt1 >'.ucwords($arr[$i]['category_name']).'</td>
//			<td align="right"  style="padding-left:10px;" class=content_list_txt1 >'.$_SESSION['currency']['currency_tocken'].number_format($arr[$i]['msrp'],2).'</td>
//			<td align="right"  style="padding-left:10px;" class=content_list_txt1 >'.$arr[$i]['cnt'].'</td>
//			</tr>';					
//		}
//		$output .='<tr align="center"><td colspan="8"  class="content_list_footer" >'.' '.$prev.' ';
//		
//		    for($i=1;$i<=count($paging);$i++)
//				 $pagingvalues .= $paging[$i]."  ";
//		
//		$output .= $pagingvalues.' '.$next.'</td></tr>';
//						
//		$output .= '</table>';
//		return $output;
//			
//	}
}
?>
