<?php 
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * DCreatePage
 *
 * This class contains functions to list out the custom pages available.
 *
 * @package		Display_DCreatePage
 * @category	Display
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------



class Display_DCreatePage
{
	/**
	 * Function returns all the custom pages available. 
	 * @param array $arr
	 *
	 * @return string
	 */
	function showCustomPage($arr)
	{
		if(count($arr) < 1)
			$output .='<div width="100%" class="exc_msgbox">No custom page is created still now.</div>';
				
		else 
		{
			$output = '<table width="100%" border="0" cellpadding="0" cellspacing="0" >
              <tr class="formblock_row3 formblock_content"">
                <td class="form_txt" align="center">S.No</td>
                <td class="form_txt" align="center">Page Name</td>				
                <td class="form_txt" align="center">Page Url</td>
				<td class="form_txt" align="center">Delete</td>
				<td class="form_txt" align="center">Visibility</td>				
                </tr>';
		//$output.='<th>S.no.</th><th>Page Url</th>';
		for ($i=0;$i<count($arr);$i++)
		{
			$status='';
			if($arr[$i]['status']==1)
				$status='checked';
		
			if($i % 2 == 0)
				$classtd='class="formblock_row1 form_border"';
			else
				$classtd='class="formblock_row2 form_border"';
			$output.='<input type="hidden" name="mainindex" value="">';
			$output .= '<tr style="background-color:#FFFFFF;" onmouseout="listbg(this, 0);" onmouseover="listbg(this, 1);" '.$classtd.'>
                <td align="center">'.($i+1).'</td>
				<td align="left" style="text-indent:5px;">'.$arr[$i]['page_name'].'</td>
				<td align="left" style="text-indent:5px;">'.$arr[$i]['page_url'].'</td>
				<td align="center"><a href="?do=createpage&action=deletepage&pageid='.$arr[$i]['page_id'].'" 
				onclick="return confirm(\'Are you sure want to Delete this Page?\')" class="delete_bttn">&nbsp;</a> 
				</td>
				<td align="center"><input type="checkbox" name="chkStatus[]" '.$status.' value="'.$arr[$i]['page_id'].'" /></td>
				</tr>';
		}
		$output .= '<tr align="center" height="30px" ><td align="center" colspan="5"  class="formblock_bleft formblock_bbg formblock_bright"><input type=submit value="Update" class="button_style1"></td></tr>
		</table>';
	
		}
	return $output;
	}
}
?>