<?php 
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/
/**
 * DDisplayCategoryList
 *
 * This class contains functions to display the category details.
 *
 * @package		Display_DDisplayCategoryList
 * @category	Display
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------


class Display_DDisplayCategoryList
{
 	
	/**
	 * Function display the attributes. 
	 * @param array $result
	 * @return string
	 */
	function dispCategory($result)
	{
	     if((count($result)>0))
		{
		   $i=1;		   
			foreach($result  as $row)
			{
			    $title=$row['html_content_name'];
				$picture=$row['html_content'];
				$output.='<div>'.$picture.'</div>';
				
			}
		}
		return $output;
	}
}
?>