<?php 
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * DHomePageBanner
 *
 * This class contains functions to get the list of home page banners available.
 *
 * @package		Display_DHomePageBanner
 * @category	Display
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------


class Display_DHomePageBanner
{
 	/**
	 * Function creates a template for displaying the list of home page banners available. 
	 * @param array $arr	 
	 * @return string
	 */
		
	function homePageBanner($arr)
	{
		//print_r($arr);
		$output = '<tr>
          <td   width="20%" align="left" nowrap class="form_txt">
	       Home Page Banner</td><td  class="form_txt" width="6%">:</td>
		   <td   valign="top" width="60%" colspan="2" >
		   <img src="../'.$arr[0]['set_value'].'" name="banner"  /></td></tr>
		   <tr><td align="center" colspan="4" >  &nbsp;            
         </td>  
    </tr>
		   <tr class="formblock_row2" onmouseover="mouse_event(this, \'formrow_bg\');" onmouseout="mouse_event(this, \'formblock_row2\');" >
		   
          <td align="left" width="20%"  class="form_txt" >Upload Banner</td><td  class="form_txt" width="6%">:</td>
          <td class="content_form" width="60%" colspan="2" ><input type="file" name="banner" id="banner" value=""/>
		  </td>
		  </tr>
		  <tr><td align="center" colspan="4" >  &nbsp;            
         </td>  
    </tr> 
               
        ';
			
		return $output;
	}
	
	/**
	 * Function creates a template for displaying the home page url available. 
	 * @param array $arr	 
	 * @return string
	 */	
	
	function homePageBannerUrl($arr)
	{
	$output='<tr class="formblock_row1" onmouseover="mouse_event(this, \'formrow_bg\');" 

onmouseout="mouse_event(this, \'formblock_row1\');">
          <td align="left" class="form_txt">
	       Banner Url</td><td  class="form_txt" width="6%">:</td>
		   <td  class="content_form"  >
		   <input type="text" name="url" class="form_txtbox"  value="'.$arr[0]['set_value'].'" /></td></tr>';
		   return $output;
	}
}
?>