<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * DNewsletterSettings
 *
 * This class contains functions to list out the news letter settings available.
 *
 * @package		Display_DNewsletterSettings
 * @category	Display
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------


class Display_DNewsletterSettings
{

	/**
	 * Function creates a template to display the available news letters. 
	 * @param array $arr
	 * 
	 * @return string
	 */
	
	
	function showNewsletter()
	{
	
		$output = "";
		$output.='<table width="100%" border="0" cellpadding="0" cellspacing="0" class="formblock_content" >
                            <tr class="formblock_row3">
                              <td width="150" align="center" class="form_txt">S.No</td>
 							  <td width="400" align="center" class="form_txt">News Letter Title</td>					  
				              <td width="320" class="form_txt" align="center" >Created Date</td>
							  <td width="210" align="center" class="form_txt">Status</td>  
                              <td width="150" align="center" class="form_txt">Delete</td>  							  
							  </tr>';		
		
		 $output.='<tr> <td colspan="5">
					 <div name="ajaxcontentdiv" id="ajaxcontentdiv" >';		
		
		
		
		/*($output .= '<table width="100%" border="0" cellpadding="0" cellspacing="0" >
              <tr>
                <td class="content_list_head">S.No</td>
                <td class="content_list_head">NewsLetter Title</td>
				<td align="center" class="content_list_head">Created Date</td>
				<td align="center" class="content_list_head">Status</td>
			
                <td colspan="2" align="center" class="content_list_head">Delete</td>
                </tr>
              <tr>
                <td colspan="6" class="cnt_list_bot_bdr"><img src="images/list_bdr.gif" alt="" width="1" height="2" /></td>
              </tr>
			  ';*/
			  
		return $output;
			
	}



	
	/**
	 * Function creates a template to display the available news letters. 
	 * @param array $arr
	 * 
	 * @return string
	 */
	
	
	function showAjaxNewsletter($arr,$flag,$paging,$prev,$next)
	{
	
	
	
		$output = "";	
		
		 $output.='<table cellspacing="0" border="0" width="100%" align="center">';	
		
	    if (count($arr) > 0)
		{
		for ($i=0;$i<count($arr);$i++)
		{
			
			
			$status=$arr[$i]['newsletter_status'];
			
			if($status==1)
			{
			$status='active_link'; 
			$title='Active';
			}
			else
			{
			$status='inactive_link'; 
			$title='InActive';
			}	
		
		 	$ndate_time=$arr[$i]['newsletter_date_added'];
			$n_date_time = explode(" ",$ndate_time);
			$n_date = explode("-",$n_date_time[0]);
			$n_time = explode(":",$n_date_time[1]);
			$ndate=date("l, M d, Y ",mktime($n_time[0],$n_time[1],$n_time[2],$n_date[1],$n_date[2],$n_date[0]));
				
		if($i%2==0)
				{				
				
			$output.='<tr  id="order'.$i.'" class="formblock_row1 form_border" >
                              <td width="80" align="center" style="text-indent: 8px;">'.($i+1).'</td>
                              <td width="225" align="left" style="text-indent:8px;"><a href="?do=newsletter&action=disp&id='.$arr[$i]['newsletter_id'].'" >'.$arr[$i]['newsletter_title'].' </a></td>
							  <td width="200" align="left" style="text-indent:8px;">'.$ndate.'</td>
              <td width="100" align="center" style="text-indent:8px;" title='.$title.' ><span class='.$status.' style="text-decoration:none" >&nbsp;</span></td>
							  <td width="100" align="center" style="text-indent:8px;"><input type="button" name="delete" class="delete_bttn"  title="delete" onclick="deletenews('.$arr[$i]['newsletter_id'].');" style="cursor:pointer;" /> </td>';		    
						
						$output.='</tr>';		
			}
			else
			{
			
						  
			$output.='<tr  id="order'.$i.'" class="formblock_row1 form_border" >
                               <td width="80" align="center" style="text-indent: 8px;">'.($i+1).'</td>
                              <td width="225" align="left" style="text-indent:8px;"><a href="?do=newsletter&action=disp&id='.$arr[$i]['newsletter_id'].'" >'.$arr[$i]['newsletter_title'].' </a></td>
							  <td width="200" align="left" style="text-indent:8px;">'.$ndate.'</td>
              <td width="100" align="center" style="text-indent:8px;" title='.$title.' ><span class='.$status.' style="text-decoration:none" >&nbsp;</span></td>
							  <td width="100" align="center" style="text-indent:8px;"><input type="button" name="delete" class="delete_bttn"  title="delete" value="" onclick=deletenews('.$arr[$i]['newsletter_id'].') style="cursor:pointer" /></td>';									  
								
						$output.='</tr>';		  								 	  						  
			}				
			
		
		}		
		 $output.='<tr align="center"><td colspan="10"  class="formblock_bleft formblock_bbg formblock_bright" >'.' '.$prev.' ';
		    for($i=1;$i<=count($paging);$i++)
				 $pagingvalues .= $paging[$i]."  ";
				 	 	$output .= $pagingvalues.' '.$next.'</td></tr>';						
						$output.='</table></div></td></tr></table>';	
		}							
		
		else
		{
		$output.='<tr><td colspan="9" class="content_list_txt1" valign="top" width="100%"><div class="exc_msgbox"  width="100%" style="width:900px"> No News Letters Available to Display</div></td></tr>';
		}
		
		
		
		return $output;
		
		/*$output = "";
		//echo "<pre>";
		//print_r($arr);
		$output .= '<table width="100%" border="0" cellpadding="0" cellspacing="0" >
              <tr>
                <td class="content_list_head">S.No</td>
                <td class="content_list_head">NewsLetter Title</td>
				<td align="center" class="content_list_head">Created Date</td>
				<td align="center" class="content_list_head">Status</td>
			
                <td colspan="2" align="center" class="content_list_head">Delete</td>
                </tr>
              <tr>
                <td colspan="6" class="cnt_list_bot_bdr"><img src="images/list_bdr.gif" alt="" width="1" height="2" /></td>
              </tr>
			  ';
		//$output.='<th>S.no.</th><th>Newsletter title</th><th>Created Date</th><th>Status</th><th colspan="2">Options</th>';
		for ($i=0;$i<count($arr);$i++)
		{
			$ndate_time=$arr[$i]['newsletter_date_added'];
			$n_date_time = explode(" ",$ndate_time);
			$n_date = explode("-",$n_date_time[0]);
			$n_time = explode(":",$n_date_time[1]);
			$ndate=date("l, M d, Y ",mktime($n_time[0],$n_time[1],$n_time[2],$n_date[1],$n_date[2],$n_date[0]));
			
			if($i % 2 == 0)
				$classtd='class="content_list_txt1"';
			else
				$classtd='class="content_list_txt2"';
			$status=$arr[$i]['newsletter_status'];
			if($status==1)
			{
			$status='active_link'; //sent
			}
			else
			{
			$status='inactive_link'; //Not Sent
			}
			$output .= '<tr style="background-color: rgb(255, 255, 255);" onmouseout="listbg(this, 0);" onmouseover="listbg(this, 1);"><td align="center" '.$classtd.'">'.($i+1).'</td><td align="" '.$classtd.'"><a href="?do=newsletter&action=disp&id='.$arr[$i]['newsletter_id'].'" >'.$arr[$i]['newsletter_title'].' </a></td>';
			$output .= '<td align="center" '.$classtd.'">'.$ndate.'</td>';
			$output .= '<td align="center" '.$classtd.'"><span class='.$status.'>&nbsp;</span></td>';
			//$output .= '<td>'.$msg.'</td>';	
			//$output.='<td align="center" '.$classtd.'"><input type="button" name="View"  title="View" value="View" onclick=view('.$arr[$i]['newsletter_id'].') /></td>';		
			$output.='<td align="center" '.$classtd.'"><input type="button" name="delete" class="delete_bttn"  title="delete" value="" onclick=deletenews('.$arr[$i]['newsletter_id'].') /></td>';
		}
			
		$output.='</td></tr></table>';
		return $output;*/
			
	}
	
	/**
	 * Function creates a template to display the selected news letter. 
	 * @param array $arr
	 * 
	 * @return string
	 */
	
	function viewNewsletter($arr)
	{
	
		$output = "";
		//echo "<pre>";
		//print_r($arr); // ?do=newsletter&action=edit&id='.(int)$_GET['id'].'
		$output.='<form name="viewnewsletter" action="" method="post" ><table width="100%" border="0" cellspacing="0" cellpadding="0" >
	    <tr>
                <td class="formblock_tleft">&nbsp;</td>
                <td class="formblock_tbg">EDIT NEWSLETTER</td>
                <td class="formblock_tright">&nbsp;</td>
                </tr>

	<tr> <td colspan="3" class="formblock_content">
';
		//$output .= '<table border="1"><tr><td>';
		
		$output.='<table width="97%" border="0" cellspacing="0" cellpadding="0"  align="center">
			
				 <td colspan="3" align="left">&nbsp;</td>
				<tr class="content_list_txt1">
            <td width="" align="left" class="form_txt">Newsletter Title:  <input type="text" name="newslettertitle" id="newslettertitle" class="form_txtbox" value="'.$arr[0]['newsletter_title'].'" />&nbsp;&nbsp;<a href="?do=newsletter" class="add_link" >Add Newsletter</a></td></tr>
<tr>
            <td colspan="3" align="left">&nbsp;</td>
          </tr>
          <tr class="content_list_txt1">';
		$output.='<tr class="content_list_txt1">
            <td width="" align="left" class="form_txt">NewsLetter Content: <br>  <br>
<div><textarea name="newsletter" id="newsletter" cols="85" rows="20" >'.$arr[0]['newsletter_content'].'</textarea>
</td></tr>
<tr><td>&nbsp;</td></tr>

';
			
		$output .= '</td></tr></table>
		
		            </td>
 </tr> 
  <tr>
                      <td class="formblock_bleft">&nbsp;</td>
                      <td align="center" class="formblock_bbg"><input type="submit" name="update" id="update" class="button_style1" value="Update" onclick="edit('.$arr[0]['newsletter_id'].')" />&nbsp;&nbsp;<input type="submit" name="send" id="send" value="Send" class="button_style1" onclick="sendmail('.$arr[0]['newsletter_id'].')" /></td>
                      <td class="formblock_bright">&nbsp;</td>
             </tr>
 </table>
 
 </form>';

		return $output;
	}	
	
	function showSubscriberhead()	 
	 {
	 	$output = "";
		$output .= '<table width="965" border="0" cellpadding="0" cellspacing="0">
              <tr class="formblock_row3">
                <td class="form_txt" align="center" width="65">S.No</td>
                <td class="form_txt" align="center" width="825">Email</td>
				<td class="form_txt" align="center" width="75">Status</td>
               </tr><tr><td colspan="3"><div name="ajaxcontentdiv" id="ajaxcontentdiv" >';
		return $output;
	 }
	/**
	 * Function creates a template to display the list of subscribed users for the news letter. 
	 * @param array $arr
     * @param integer $paging
	 * @param integer $prev	 
	 * @param integer $next	 	  
	 * @return string
	 */
	
	
	function subscribedUsers($arr,$paging,$prev,$next)
	{
	
		$output.='<table cellspacing="0" border="0" width="100%" align="center">';
		
		for ($i=0;$i<count($arr);$i++)
		{
		
			if($i%2==0)
				$classtd='class="formblock_row1 form_border"';
			else
				$classtd='class="formblock_row2 form_border"';
			$status=$arr[$i]['newsletter_status'];
			if($arr[$i]['status']==1)
			{
			$status='active_link';
			}
			else
			{
			$status='inactive_link';
			}
			$output .= '<tr style="background-color: rgb(255, 255, 255);" onmouseout="listbg(this, 0);" onmouseover="listbg(this, 1);" '.$classtd.'><td align="center" width="65">'.($i+1).'</td><td width="825">'.$arr[$i]['email'].' <br />
			</td>';			
			$output .= '<td align="center" width="75"><span class="'.$status.'">&nbsp;</span></td>';
			}
			
		$output.='</tr>';
		$output .='<tr align="center"><td colspan="3" class="formblock_bleft formblock_bbg formblock_bright" >'.' '.$prev.' ';
		
		    for($i=1;$i<=count($paging);$i++)
				 $pagingvalues .= $paging[$i]."  ";
		
		$output .= $pagingvalues.' '.$next.'</td></tr>';
						
		$output.='</table></div></td></tr></table>';
		return $output;
	}	
}
?>