<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/
class Core_CFooterLinks
{
	var $output=array();
   	function termsCondition()
	{
		$sql = "SELECT termscontent from termsconditions_table where termsid=1 ";
		$obj = new Bin_Query();
		if($obj->executeQuery($sql))
			$output =  Display_DFooterLinks::termsCondition($obj->records);
		else
			$output =  Display_DFooterLinks::termsConditionElse();
		return $output;
	}
	
	function copyRights()
	{
		$sql = "SELECT set_value from admin_settings_table where set_name='Copy Rights'";
		$obj = new Bin_Query();
		if($obj->executeQuery($sql))
			$output = $obj->records[0]['set_value'];
		return $output;
	}
	
	function privacyPolicy()
	{
		$sql = "SELECT privacypolicy from privacypolicy_table where id=1";
		$obj = new Bin_Query();
		if($obj->executeQuery($sql))
			$output =  Display_DFooterLinks::privacyPolicy($obj->records);
		else
			$output =  Display_DFooterLinks::privacyPolicyElse();
		return $output;
	}
	
	
	function validateContactUs()
	{
		$name=$_POST['txtname'];
		$from_mail = $_POST['email'];
		$mail_content = $_POST['comment'];
		$sql = "SELECT set_value from admin_settings_table where set_id=14";
		$obj = new Bin_Query();
		if($obj->executeQuery($sql))
		{
			$to_mail = $obj->records[0]['set_value'];
			Core_CFooterLinks::sendingMail($from_mail,$to_mail,$mail_content);
			$output = '<div align="center"><font color="orange" size="+1">Your Comment was submitted</font></div>';
		}
		else
			$output = '<div align="center"><font color="orange" size="+1">Your Comment was not submitted</font></div>';
		return $output;
	}
	
	function sendingMail($from_mail,$to_mail,$mail_content)
	{
		include('classes/Lib/Mail.php');
		$mail = new Lib_Mail();
		$mail->From($from_mail); 
		$mail->ReplyTo('noreply@Zeuscart.com');
		$mail->To($to_mail); 
		$mail->Subject('contact');
		$mail->Body($mail_content);
		$mail->Send();
	}
	
	function aboutUs()
	{
		$sql = "SELECT set_value from admin_settings_table where set_id=15";
		$obj = new Bin_Query();
		$obj->executeQuery($sql);
		$output =  Display_DFooterLinks::aboutUs($obj->records);
		
		return $output;
	}
}
?>


