<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/
class Core_CUserAddressBook
{
	function Ulogin($Err)
	{
		if(count($Err->values)==0)
		{
			$this->data = $Err->values;
			$this->data = $Err->messages;
		}
		else 
		{	
			$this->data = $Err->values;
			$this->errormessages = $Err->messages;
		}
	}
	
	function showAddress()
	{
		include('classes/Display/DUserAccount.php');
		$userid=$_SESSION['user_id'];
		if($_GET['id']!='')
		{
			$sql="select a.*,b.cou_name from addressbook_table a,country_table b where a.country=b.cou_code and a.user_id=".$userid." and a.contact_name='".$_GET['id']."'";
			$query = new Bin_Query();
			$query->executeQuery($sql);
			return Display_DUserAccount::showAddress($query->records);
		}
	}
	
	function showAddressBook()
	{
		include('classes/Display/DUserAccount.php');
		
		$userid=$_SESSION['user_id'];
		$pagesize=10;
  	    if(isset($_GET['page']))
		{
		    
			$start = trim($_GET['page']-1) *  $pagesize;
			$end =  $pagesize;
		}
		else 
		{
			$start = 0;
			$end =  $pagesize;
		}
		$total = 0;
		
		$sqlselect="SELECT a.*,b.cou_name from addressbook_table a,country_table b where a.country=b.cou_code and a.user_id=".$userid." order by a.contact_name";
		
		$query = new Bin_Query();
		$query->executeQuery($sqlselect);
		
		$total = ceil($query->totrows/ $pagesize);
		include('classes/Lib/Paging.php');
		$tmp = new Lib_Paging('classic',array('totalpages'=>$total, 'length'=>10),'pagination');
		$this->data['paging'] = $tmp->output;
		$this->data['prev'] =$tmp->prev;
		$this->data['next'] = $tmp->next;	
		
		$sqlselect="SELECT a.*,b.cou_name from addressbook_table a,country_table b where a.country=b.cou_code and user_id=".$userid." order by a.contact_name LIMIT $start,$end";
		
		$obj = new Bin_Query();
		$obj->executeQuery($sqlselect);
		return Display_DUserAccount::showAddressBook($obj->records,$this->data['paging'],$this->data['prev'],$this->data['next'],$start);
	}
	function showAddAddress()
	{
		include('classes/Display/DUserAccount.php');

		$sqlCountry="SELECT * from country_table";
		
		$objCountry = new Bin_Query();
		$objCountry->executeQuery($sqlCountry);
		
		$userid=$_SESSION['user_id'];
		if($_GET['id']!='')
		{
			$sql="select * from addressbook_table where user_id=".$userid." and contact_name='".$_GET['id']."'";
			$query = new Bin_Query();
			$query->executeQuery($sql);
			return Display_DUserAccount::showAddAddress($objCountry->records,$query->records);
		}
		else
			return Display_DUserAccount::showAddAddress($objCountry->records);
	}
	function showAddAddressFromCheckout()
	{
		include('classes/Display/DUserAccount.php');

		$sqlCountry="SELECT * from country_table";
		
		$objCountry = new Bin_Query();
		$objCountry->executeQuery($sqlCountry);
		
		$userid=$_SESSION['user_id'];
		if($_GET['id']!='')
		{
			$sql="select * from addressbook_table where user_id=".$userid." and contact_name='".$_GET['id']."'";
			$query = new Bin_Query();
			$query->executeQuery($sql);
			return Display_DUserAccount::showAddAddressFromCheckout($objCountry->records,$query->records);
		}
		else
			return Display_DUserAccount::showAddAddressFromCheckout($objCountry->records);
	}
	function addAddress()
	{
		$userid=$_SESSION['user_id'];
	
		$sql="select * from addressbook_table where user_id=".$userid." and contact_name='".$_POST['txtGName']."'";
		$query = new Bin_Query();
		$query->executeQuery($sql);
		if(empty($query->records))
		{
			$sql="insert into addressbook_table values('".$userid."','".$_POST['txtGName']."','".$_POST['txtFName']."','".$_POST['txtLName']."','".$_POST['txtCompany']."','".$_POST['txtEMail']."','".$_POST['txtAddress']."','".$_POST['txtCity']."','".$_POST['txtSuburb']."','".$_POST['txtState']."','".$_POST['selCountry']."','".$_POST['txtZip']."','".$_POST['txtPhone']."','".$_POST['txtFax']."')";
			$query = new Bin_Query();
			$query->executeQuery($sql);
			return "<div class='success_msgbox'>Created!</div></br>";
		}	
		return "<div class='exc_msgbox'>Could not Created!</div></br>";
	}
	function addAddressFromCheckout()
	{
		$userid=$_SESSION['user_id'];
	
		$sql="select * from addressbook_table where user_id=".$userid." and contact_name='".$_POST['txtname']."'";
		$query = new Bin_Query();
		$query->executeQuery($sql);
		if(empty($query->records))
		{
			$sql="insert into addressbook_table values('".$userid."','".$_POST['txtname']."','".$_POST['txtname']."','','".$_POST['txtcompany']."','".$_POST['txtEMail']."','".$_POST['txtstreet']."','".$_POST['txtcity']."','".$_POST['txtsuburb']."','".$_POST['txtstate']."','".$_POST['selbillcountry']."','".$_POST['txtzipcode']."','','')";
			$query = new Bin_Query();
			$query->executeQuery($sql);
			return "<div class='success_msgbox'>Created!</div></br>";
		}	
		return "<div class='exc_msgbox'>Could not Created!</div></br>";
	}
	function editAddress()
	{
		$userid=$_SESSION['user_id'];
	
		$sql="update addressbook_table set contact_name='".$_POST['txtGName']."',first_name='".$_POST['txtFName']."',last_name='".$_POST['txtLName']."',company='".$_POST['txtCompany']."',email='".$_POST['txtEMail']."',address='".$_POST['txtAddress']."',city='".$_POST['txtCity']."',suburb='".$_POST['txtSuburb']."',state='".$_POST['txtState']."',country='".$_POST['selCountry']."',zip='".$_POST['txtZip']."',phone_no='".$_POST['txtPhone']."',fax='".$_POST['txtFax']."' where user_id='".$userid."' and contact_name='".$_POST['hidGroup']."'";
			$query = new Bin_Query();
			$query->executeQuery($sql);
			return "<div class='success_msgbox'>Updated!</div></br>";
	}
	function delAddress()
	{
		$userid=$_SESSION['user_id'];
	
		$sql="delete from addressbook_table where user_id='".$userid."' and contact_name='".$_GET['id']."'";
		$query = new Bin_Query();
		$query->executeQuery($sql);
		return "<div class='success_msgbox'>Deleted!</div></br>";
	}

}
?>
