<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/
class Display_DProductDetail
{
	var $output = array();	
	
 	/**
	* This function is used to Display the Products
	* @name showProducts
	* @param mixed $arr
	* @return string
 	*/
	function showProducts($arr)
	{
		
		$output .= '<table border="1" width="100%">';
		$output.='<th>S.no.</th><th width="100%">Product Name</th><th>Image</th>';
		//print_r($arr);
		for ($i=0;$i<count($arr);$i++)
		{
			$temp=$arr[$i]['thumb_image'];
			$img=explode('/',$temp);
			$output .= '<tr><td>'.($i+1).'</td><td ><a href=callid('.$arr[$i]['product_id'].') name="prodname"> '.$arr[$i]['title'].'</a></td>';
			$output .='<td ><img src="uploadedimages/thumb/thumb_'.$img[2].'" name="image1"  id="image1" /></td>';
			$output.='<td><input type="button" name="View"  title="Delete" value="View" onclick=callid('.$arr[$i]['product_id'].') /></td></tr>';
		}
			$output .= '</table>';
			return $output;	
	}
	
 	/**
	* This function is used to Display the Page Info
	* @name pageInfo
	* @param mixed $arr
	* @return string
 	*/
	function pageInfo($arr)
	{
		
		return $output.='<meta name="description" content='. $arr[0]['meta_desc'] .' /><meta name="keywords" content='.$meta_keywords.' />
<title> '.$arr[0]['title'].' </title>
';
		
			return $output;	
	}
	
	
	
	
 	/**
	* This function is used to Display the Product Detail Page
	* @name productDetail
	* @param mixed $arr
	* @param string $diffrate
	* @param string $features
	* @param string $rating
	* @param string $breadCrumb
	* @param int $reviewCount
	* @param mixed $reviewArr
	* @param mixed $imgArr
	* @param mixed $tierArr
	* @param mixed $relArr
	* @return string
 	*/
	function productDetail($arr,$diffrate,$features,$rating,$breadCrumb,$reviewCount,$reviewArr,$imgArr,$tierArr,$relArr,$var_arr)
	{

	//echo "<pre>";
	//print_r($arr);
	
	$result=$_SESSION['reviewResult'];
	$_SESSION['reviewResult']='';
	$output='<div align="left">'.$breadCrumb.'</div><div style="padding-bottom:10px;">'.$result.'</div><br\>
	<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td class="roundbox_top" ></td>
  </tr>
  <tr>
    <td class="detailBG">
	<div align="right"><!--<a href="javascript:CreateBookmarkLink()"><img src="images/bookmark.jpg" alt="bookmark" border=0/></a>-->
	<script type="text/javascript">
  addthis_url    = location.href;   
  addthis_title  = document.title;  
  addthis_pub    = \'ajsquare\';     
</script><script src="http://s7.addthis.com/js/addthis_widget.php?v=12" type="text/javascript"/></script>
<a class="snap_noshots" onclick="return addthis_to()" onmouseout="addthis_close()" onmouseover="return addthis_open(this, \'share\', \'http://'.$_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI'].'\', \''.$_SERVER['SERVER_NAME'].'\')" href="http://www.addthis.com/bookmark.php?v=15&amp;winname=addthis&amp;pub=ajsquare&amp;s=&amp;url=http:%3A%2F%2F'.($_SERVER['SERVER_NAME'].$_SERVER['REQUEST_URI']).'&amp;title=&amp;logo=&amp;logobg=&amp;logocolor=&amp;ate=&amp;adt=undefined&amp;content=&amp;CXNID=2000001.5215456080540439074NXC"></a>
	</div>
	<div>
<form method="post"	action="?do=addtocartfromproductdetail&prodid='.$arr[0]['product_id'].'" name="frmcart">
	<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="33%" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0" height=250>
      <tr>
       <td valign=middle align=center>';
	
	$output.= (file_exists($arr[0]['image'])) ?	
			  '<img src="'.$arr[0]['image'].'" border="0" />' : 
			  '<img src="images/noimage3.jpg" border="0"  />';
	$output.='</td>
      </tr>
      <tr>
		<td>&nbsp;</td>
      </tr>
      <tr>';
	  
	  	  $imgs='';	
		  $class='';

		  
		  for($i=0;$i<count($imgArr);$i++)
		  {
			  if(file_exists($imgArr[$i]['thumb_image_path']))
			  {				  
			$imgs.='<td><a href="'.$imgArr[$i]['image_path'].'" rel="imglightbox">
			<img src="'.$imgArr[$i]['thumb_image_path'].'" alt="" width="42" height="29" border="0" /></a></td>';			  								  
				  //$imgs.='<td><a href="#" onclick=window.open("?do=prodetail&action=largeview&id='.(int)$_GET['prodid'].'","a","height=440,width=490,menubar=0,status=0,toolbar=0,scrollbars=0,location=0,minimize=0,resizable=0")><img src="'.$imgArr[$i]['thumb_image_path'].'" alt="" width="42" height="29" border="0" /></a></td>';
				  $class='otherview';
			  }	  
			  //else	  
			  //   $output.='<td><img src="images/noimage1.jpg" alt="camera" width="42" height="29" border="0" /></td>';
		  }				
	  
	  
        $output.='<td align="center" valign="bottom" class="'.$class.'">
		<table width="100%" border="0" cellpadding="0" cellspacing="0" class="otherviewTXT">
          <tr>'.$imgs.'</tr>';
		  
		  $fn='&nbsp;';
		  for($i=0;$i<4;$i++)
			  if(file_exists($imgArr[$i]['thumb_image_path']))
			  $fn="Click over image to enlarge";
			  
			  
			//$fn='<a href="#" onclick=window.open("?do=prodetail&action=largeview&id='.(int)$_GET['prodid'].'","a","height=440,width=490,menubar=0,status=0,toolbar=0,scrollbars=0,location=0,minimize=0,resizable=0") class="resultDETAILS">More images</a>';
		  
          $output.='<tr>
            <td colspan="4">'.$fn.'</td>
          </tr>
        </table></td>
      </tr>
    </table></td>
    <td width="67%" valign="top" class="itemDETAIL">
	<ul>'.$arr[0]['title'];
	if($arr[0]['quantity']>0)
	{
		$output.='<li><div>'.$diffrate[0]['msrp'].'&nbsp;&nbsp;';
		if($arr[0]['cse_enabled']==1 && $arr[0]['sku']!='')
		{
			$output.='<a href="?do=pricecompare&action=compareproductprice&keyword='.$arr[0]['cse_key'].'" style="text-decoration:none" >
			<input type="button" name="compareprice" value="Compare Price" class="compareprice" />
			<!--<img src="images/compare_price.gif" alt="compare price" border="0" />--></a>';
		}
		$output.='</div></li>';
	}
	else
	{
		$output.='<li><div><!--$-->'.$_SESSION['currencysetting']['selected_currency_settings']['currency_tocken'].number_format($arr[0]['msrp']*$_SESSION['currencysetting']['selected_currency_settings']['conversion_rate'],2).'&nbsp;&nbsp;';
		if($arr[0]['cse_enabled']==1 && $arr[0]['sku']!='')
		{
			$output.='<a href="?do=pricecompare&action=compareproductprice&keyword='.$arr[0]['cse_key'].'" style="text-decoration:none" >
			<input type="button" name="compareprice" value="Compare Price" class="compareprice" />
			<!--<img src="images/compare_price.gif" alt="compare price" border="0" />--></a>';
		}	
		$output.='</div></li>';
	}
	

	$output.='<li>Quantity ';
	$output.='<select name="qty[]">';
	if($arr[0]['soh']==0)
		$output.='<option value="0">0</option>';
	
	for($s=1;$s<=$arr[0]['soh'];$s++)
		$output.='<option value="'.$s.'">'.$s.'</option>';
	$output.='</select>';	
	$output.='</li>';
	
	if($arr[0]['digital']==1)
	 $output.='<li>Type  : <span>Digital</span></li>';
	else
	 $output.='<li>Type  : <span>Physical</span></li>';
	$output.='<li>Tags  :  <span>';

	$tags=explode(',',$arr[0]['tag']);
	foreach( $tags as $tag)
		$tagLinks[]='<a href="?do=search&search='.$tag.'">'.$tag.'</a>';

	$output.=implode(' | ',$tagLinks).'</span></li>';
	$revStat='<a href="#rev">Be the first person to give review</a>';
	if(count($reviewArr)>0)
		$revStat=count($reviewArr);
	if($rating!='')		
		$output.='<li>Rating  : '.$rating.'&nbsp;&nbsp; <a href="#divReview"> Reviews</a>  : '.$revStat.'</li>';
	else
		$output.='<li>Rating  : No Rating &nbsp;&nbsp; <a href="#divReview">Reviews</a>  : '.$revStat.'</li>';
	
	//$output.='<li>Reviews  : '.count($reviewArr).'</li>';
	
	if($arr[0]['soh']>0)
	{
		$output.='<li>Availability : <span>In Stock</span></li>';
	}
	else
	{
		$output.='<li>Availability : <span style="background-color:#BA2712;color:yellow;padding:5px;"> Out Of Stock </span></li>';
	}
	if($arr[0]['shipping_cost']!=0)
	{
	 	$output.='<li>Shipping Cost : <!--$-->'.$_SESSION['currencysetting']['selected_currency_settings']['currency_tocken'].$arr[0]['shipping_cost']*$_SESSION['currencysetting']['selected_currency_settings']['conversion_rate'].'</li>';
	}	
	else
	{
		$output.='<li>Shipping Cost : Free </li>';
	}
	
	//----------------variation----------------
	
	if (count($var_arr)>0)
	{
		//print_r($var_arr);
		$output.='<li style="padding-bottom:20px;">Choose Variation : ';
		
		$variation_id=(int)$_GET['varid'];
		
		
		$output.='<br><span style="padding-left:120px;"><input type="radio" name="variations" value="" '.(($variation_id=='') ? 'checked="checked"' : '' ).'  onclick="document.frmcart.action=\'?do=prodetail&action=showprod&prodid='.(int)$_GET['prodid'].'\';document.frmcart.submit();">&nbsp;&nbsp;Default</span>';

		
		foreach($var_arr as $variations)
		{
			$output.='<br><span style="padding-left:120px;"><input type="radio" name="variations" value="'.$variations['variation_id'].'" '.(($variation_id==$variations['variation_id']) ? 'checked="checked"' : '' ).' onclick="document.frmcart.action=\'?do=prodetail&action=showprod&prodid='.(int)$_GET['prodid'].'&varid='.$variations['variation_id'].'\';document.frmcart.submit();">&nbsp;&nbsp;'.$variations['variation_name'].'</span>';
		}
		$output.='</li>';
		
	}
	
	//----------------variation----------------
		
	$output.='<li>';
	
		
	if($arr[0]['soh']>0)
	{
			$output.='<!--<a href="?do=addtocart&prodid='.$arr[0]['product_id'].'" >-->
		<div style="float:left; padding-right:10px;" ><table border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td align="right" class="button_left"></td>
			<td><input type="submit" name="Submit2" value="Add to Cart" class="button" style="width:80px; border:0px;" /></td>
			<td class="button_right"></td>
		  </tr>
		</table></div>
		<!--</a> -->';
	}
	
	$output.='<!--<a href="?do=wishlist&action=viewwishlist&prodid='.$arr[0]['product_id'].'">-->
    <div style="float:left; padding-right:10px;" ><table border="0" cellspacing="0" cellpadding="0">
	  <tr>
		<td align="right" class="button_left"></td>
		<td><input type="button" name="Submit2" value="Add to Wishlist" class="button" style="width:90px; border:0px;" onclick="document.frmcart.action=\'?do=wishlist&action=viewwishlist&prodid='.$arr[0]['product_id'].'\';document.frmcart.submit();"/></td>
		<td class="button_right" ></td>
	  </tr>
	</table></div>
	<!--</a>-->
	
	<!--<a href="?do=compareproduct&action=addtocompareproduct&prodid='.$arr[0]['product_id'].'">-->
    <div style="float:left; padding-right:10px;" ><table border="0" cellspacing="0" cellpadding="0">
	  <tr>
		<td align="right" class="button_left"></td>
		<td><input type="button" name="Submit2" value="Add to Compare" class="button" style="width:100px; border:0px;" onclick="document.frmcart.action=\'?do=compareproduct&action=addtocompareproduct&prodid='.$arr[0]['product_id'].'\';document.frmcart.submit();" /></td>
		<td class="button_right"></td>
	  </tr>
	</table></div>
	<!--</a>-->
	
	</li>
	</ul></td>
  </tr>
</table>
</form>
</div>
<div class="dot_line"></div>
<div>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
                      <tbody>
                        <tr>
                          <td><table id="Table_" width="100%" border="0" cellpadding="0" cellspacing="0" height="33">
                              <tbody>
                                <tr>
                                  <td  valign="bottom" class="tab_line">
								  <div id="div1" onclick=dispDiv(1) class="tab_active">Description</div>
                             <div id="div2" onclick=dispDiv(2) class="tab"><a href="#" onclick="return false;">Features</a></div>';
								  $mode='hidden';
								  if(count($tierArr)>0)
  								    $mode='visible';
	                              
								  $output.='<div id="div3" onclick=dispDiv(3) class="tab" style="visibility:'.$mode.'"><a href="#" onclick="return false;">Tier Price</a></div></td>';
								  
                                $output.='</tr>
                              </tbody>
                          </table></td>
                        </tr>
                        <tr>
                          <td class="tabBG">';
						  $output.='<div id="divTier" style="display:none"><ul>Tier Price';

//						  for($t=0;$t<count($tierArr);$t++)
							// $output.='<li>Buy '.$tierArr[$t]['quantity'].' for <!--$-->'.$_SESSION['currencysetting']['selected_currency_settings']['currency_tocken'].number_format($tierArr[$t]['msrp']*$_SESSION['currencysetting']['selected_currency_settings']['conversion_rate'],2).' each.</li>';
						  
							  $output.='</ul></div>';
						  
						  $output.='<div id="divFeature" style="display:none"><ul>Features';
						  	if($arr[0]['sku']!='')
								{$output.='<li>SKU - '.$arr[0]['sku'].'</li>';$fl=1;}
						  	if($arr[0]['brand']!='')
								{$output.='<li>Brand - '.$arr[0]['brand'].'</li>';$fl=1;}
						  	if($arr[0]['weight']!='')
								{$output.='<li>Weight -  '.$arr[0]['weight'].' (lbs)</li>';$fl=1;}
						  	if($arr[0]['dimension']!='')
								{$output.='<li>Dimension -  '.$arr[0]['dimension'].' (inches)</li>';$fl=1;}
							if($fl!=1)
								$output.='<li>No Features.</li>';
							
						  $output.='</ul>
						  </div>	
						  <div id="divDesc" style="display:block"><ul>Description	
							<li>'.$arr[0]['description'].'</li>
						  </ul>
						  </div>
						  </td>
                        </tr>
                      </tbody>
                  </table>
</div>';
		if(count($relArr)>0)
		{
			$output.='<div style="margin-top:20px">
			<div class="title">Who Bought This Item Also Bought</div>
			<div style="padding:15px 0 5px 0">
				  <table width="100%" border="0" cellspacing="0" cellpadding="0">
					<tr>';
					
					for($i=0;$i<4;$i++)
					{
					 if($relArr[$i]['thumb_image']!='' && file_exists($relArr[$i]['thumb_image']))
						$imgPath=$relArr[$i]['thumb_image'];
					 else
						$imgPath='images/noimage1.jpg';
						
					  $style='';
					  if($i<3 && $relArr[$i]['product_id']!='')	
					  	$style='style="background:url(images/bg_line1.gif) repeat-y right"';
						
					  $mode='none';	
					  if($relArr[$i]['product_id']!='')
						  $mode='block';
					  
					  $output.='<td width="25%" align="center" '.$style.'>
					  <div class="featureITEM" style="display:'.$mode.'"><a href="?do=prodetail&action=showprod&prodid='.$relArr[$i]['product_id'].'"><img src="'.$imgPath.'" alt="item" width="'.THUMB_WIDTH.'" border=0/></a>
					  <div class="item"><a href="?do=prodetail&action=showprod&prodid='.$relArr[$i]['product_id'].'">'.$relArr[$i]['title'].'</a></div>
					  <div class="item1" style="padding-top:8px"><!--Our Price :-->  <span><!--$-->'.$_SESSION['currencysetting']['selected_currency_settings']['currency_tocken'].number_format($relArr[$i]['msrp']*$_SESSION['currencysetting']['selected_currency_settings']['conversion_rate'],2).'</span><br></div>
					  </div>		  
					  </td>';
					}	
					$output.='</tr>
				  </table>
				  </div>
			</div>';
		}	

		if(count($reviewArr)>0)
		{
			$output.='
			<div style="margin-top:30px">
				<div class="title" id="divReview">
				  <table width="100%" border="0" cellspacing="0" cellpadding="0">
					<tr>
					  <td>User Reviews</td>
					  <td class="reviewLNK"><a href="#rev">Write Reviews</a></td>
					</tr>
				  </table>
				</div>
			<div style="padding:15px 0 5px 0" class="review">
			<ol>';
			for($i=0;$i<count($reviewArr);$i++)
			{
				$img='';
				for($j=0;$j<5;$j++)
				if($j<round($reviewArr[$i]['rating']))
					$img.='<img src="images/starf.png" width="11" height="11"/>';
				else
					$img.='<img src="images/stare.png" width="11" height="11"/>';

			
				$output.='<li>Reviewed by : 	&nbsp;<span>'.$reviewArr[$i]['user_display_name'].'</span><br />
				Rating : &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<span>'.$img.'</span><br/>
				<div><b>'.$reviewArr[$i]['review_caption'].'</b><br/>';
				if(strlen($reviewArr[$i]['review_txt'])>200)
					$output.=substr($reviewArr[$i]['review_txt'],0,200).'...<a href="#div'.$i.'" onclick="return showDesc('.$i.')">read complete review</a><div id="divR'.$i.'" style="display:none;">'.$reviewArr[$i]['review_txt'].'</div>';
				else
					$output.=$reviewArr[$i]['review_txt'];
					
				$output.='</div>
				</li>';
			}			
			$output.='</ol>
			</div>';
		}
		
		$output.='<br/>
		<form name="frm" method=post action="">
		<input type=hidden id=hidDiv value="'.count($reviewArr).'">
		<div class="title" id="rev">
		  <table width="100%" border="0" cellspacing="0" cellpadding="0">
			<tr>
			  <td>Write Your Own Review</td>
			</tr>
		  </table>
		</div><br/>
		<table>
		<tr><td class="newsletterTXT">Rate this Product</td><td>
		<img name="img1" src="images/stare.png" title="1 star out of 5" onmouseover="fun(1)" onmouseout="fun1(1)" onclick=fun2(1)>
		<img name="img2" src="images/stare.png" title="2 stars out of 5" onmouseover="fun(2)" onmouseout="fun1(2)" onclick=fun2(2)>
		<img name="img3" src="images/stare.png" title="3 stars out of 5" onmouseover="fun(3)" onmouseout="fun1(3)" onclick=fun2(3)>
		<img name="img4" src="images/stare.png" title="4 stars out of 5" onmouseover="fun(4)" onmouseout="fun1(4)" onclick=fun2(4)>
		<img name="img5" src="images/stare.png" title="5 stars out of 5" onmouseover="fun(5)" onmouseout="fun1(5)" onclick=fun2(5)>
		<input type=hidden name=hidRate>	
		</td></tr>
		<tr><td class="newsletterTXT">Caption</td><td><input type="text" name="caption" class="newsletterTXT" style="padding-top:2px" ></td></tr>		
		<tr><td valign="top" class="newsletterTXT">Review</td><td><textarea rows=5 cols=60 class="newsletterTXT" name="review" style="padding-top:2px"></textarea>&nbsp;&nbsp;</td></tr>		
		<tr><td valign="top" class="newsletterTXT">Enter Code</td><td>
		
		 <img src="?do=captcha"  id="captcha" name="captcha" width="90" height="45"/><br />
                        <span class="featureTXT" style="padding:0px;font-size:11px"> <a href="#reg" onclick="javascript:shuffle();" >Try another one</a></span> <br />  
                       <input name="txtcaptcha" type="text" class="newsletterTXT" style="padding-top:2px"/>
                       <br />
		               <span class="checkout_text">Enter 5 characters displayed on the above image 
(case insensitive)</span>
                       <br /><font color="#FF0000">                                                   
                          </font>	<br />				
<input type="submit" value="Post" class="gobutton" name="reviewbutton" id="reviewbutton" ></td></tr>		

		</table>
		</form>';
	return $output;	
	}
	
	//--------------End----------------------------------------------------------------------//
	
	
 	/**
	* This function is used to Display the Review Rating
	* @name reviewRating
	* @param mixed $arr
	* @return string
 	*/
	function reviewRating($arr)
	{
		/*$cnt=count($arr);
		//print_r($cnt);
		$rate = round($arr[0]['rating']+ $arr[0]['rating']/$cnt);
		if($rate>0)
			return '<img src="images/star'.$rate.'.jpg"/>';*/
		$rating=ceil($arr);
		$ratepath='';
		for($r1=0;$r1<5;$r1++)
		{
			if($r1<$rating)
				$ratepath.='<img src="images/starf.png">';
			else
				$ratepath.='<img src="images/stare.png">';							
		}	
		return $ratepath;
	}
 	/**
	* This function is used to Display the breadCrumb
	* @name breadCrumb
	* @param mixed $arr
	* @return string
 	*/
	function breadCrumb($arr)
	{	
		//print_r($arr);exit;
		$bread='<table width="100%" border="0" cellspacing="0" cellpadding="0"  class="resultDETAILS">
              <tr>
                  <td align="left" scope="col"><a href="?do=indexpage">Home</a> > <a href="?do=featured&action=showmaincatlanding&maincatid='.$arr[0]['maincatid'].'">'.$arr[0]['Category'].'</a> > <a href="?do=featured&action=showfeaturedproduct&subcatid='.$arr[0]['category_id'].'">'.$arr[0]['SubCategory'].'</a> > '.$arr[0]['title'].' </a></td>
              </tr>
          </table>';
		return $bread;
	}

 	/**
	* This function is used to Display the attribute List of Product
	* @name attributeList
	* @param mixed $arr
	* @return string
 	*/
	function attributeList($arr)
	{
		for ($i=0;$i<count($arr);$i++)
		{
			if($i % 2 == 0)
			{
				$classval = 'class="odd"';
				$classtd='class="label"';
			}	
			else
			{
				$classval = 'class="even"';
				$classtd='class="label"';
			}	
				
			$output .= '<tr '.$classval.'><td '.$classtd.'>'.$arr[$i]['attrib_name'].'</td><td '.$classval.'>'.$arr[$i]['attrib_value'].'</a></td></tr>';
		}
			$output .= '</tbody></table></td><tr><td width="3%" >&nbsp;</td></tr></table>';
			return $output;	
	}
	
 	/**
	* This function is used to Display the related Products
	* @name relatedProducts
	* @param mixed $arr
	* @param int $flag
	* @param int $r
	* @return string
 	*/
	function relatedProducts($arr,$flag,$r)
	{
		//print_r($arr);exit;
		if($flag==1)
			$output='<br/><span class="head_text">Related Products </span><div id="middle_details"><div id="product_tbbg_details">
			<table width="100%" border="0" cellpadding="2" cellspacing="2">';
		$loop=0;$j=0;
	 $cnt=count($arr);
	if(($cnt>0))
	{
		for($i=0;$i<$cnt;$i++)
		{
						$product_id=$arr[$i]['product_id'];
						$sku=$arr[$i]['sku'];
						$title=$arr[$i]['title'];
						$description=$arr[$i]['description'];
						$brand=$arr[$i]['brand'];
						$price=number_format($arr[$i]['price'],2);
						$msrp=number_format($arr[$i]['msrp'],2);
						$weight=$arr[$i]['weight'];
						$dimension=$arr[$i]['dimension'];
						$thumb_image=$arr[$i]['thumb_image'];
						$image=$arr[$i]['image'];
						$img=explode('/',$thumb_image);
						$shipping_cost=$arr[$i]['shipping_cost'];
						$status=$arr[$i]['status'];
						$tag=$arr[$i]['tag'];
						$pat="images/products/";
						
						if($loop==3)
						{
							$output.='</tr>';
							$loop=0;
						}		
						if($loop==0)
							$output.='<tr>';
						
						$output.="<td id='product_tbbg'><table width='95%' border='0' align='center' cellpadding='2' cellspacing='2'><tr><td><a href='?do=prodetail&action=showprod&prodid=".$product_id."'>";
						if(file_exists($thumb_image))
						{
						  $output.='<img src="'.$thumb_image.'" width="90" height="67"  border="0" />';
						}
						else
						{
							$output.='<img border="0" width="90" height="67" src="images/noimage.jpg"/>';
						} 
					
        $output.="</a></td>
        </tr>
		 <tr>
          <td class='text'><a href='?do=prodetail&action=showprod&prodid=".$product_id."'>$title</a></td>
        </tr>
		<tr>
          <td align='left' class='rate_text'>".$r[$j]['msrp']."</td>
        </tr>
		<tr>
          <td align='left' class='addtowishlist'><a href='?do=wishlist&action=viewwishlist&id=".$product_id."'>Add to Wishlist</a> </td>
        </tr>
        <tr>
          <td align='left' class='addtocompare'><a href='?do=compareproduct&action=addtocompareproduct&prodid=".$product_id."'>Add to Compare</a></td>
        </tr>
		";
			
			$output.="</table></td>	";
		
			$loop++;$j++;
			}
			$output.='</table></div>';
			
		}
		else
			$output='No Records Found';
		return $output;
	}
	
	
	
	/*---------- Created by RANJITH KUMAR S----------------------*/
	
 	/**
	* This function is used to Display the Related Products
	* @name dispRelatedProduct
	* @param mixed $arr
	* @return string
 	*/
	function dispRelatedProduct($arr)
	{
		//echo "<pre>";
		//print_r($arr);
		if(count($arr > 0))
		{
			$output='<table width="100%" border="0" cellspacing="0" cellpadding="0">
			      <tr>
				<td><div class="heading"><span class="headingTXT">Browse Similar Items</span></div></td>
			      </tr>
			      <tr>
				<td class="border1">
					<ul class="categoriesList">';
			for($i=0;$i<count($arr);$i++)
			{
				$output.='<li><a href="?do=prodetail&action=showprod&prodid='.$arr[$i]['product_id'].'">'.$arr[$i]['title'].'</a></li>';
			}
			$output.='</ul>		</td>
			      </tr>
			      <tr>
				<td valign="top" class="roundbox1_bottom" ><!--<img src="images/bot.gif" alt="" width="189" height="4" />-->&nbsp;</td>
			      </tr>
			    </table>';
		}
		return $output;
	}
	
 	/**
	* This function is used to Display the Product in Large View
	* @name showLargeView
	* @param mixed $arr
	* @param int $paging
	* @param int $prev
	* @param int $next	
	* @param int $val
	* @return string
 	*/
	function showLargeview($arr,$paging,$prev,$next,$val)
	{
	//print_r($arr);
		$output='
		<table width="100%" border="0" cellspacing="0" cellpadding="0" height=350px>
		<tr>
		<td valign="top" class="itemDETAIL" align=center>
		<ul>'.$arr['title'].'
		</ul></td>
		</tr>
		<tr><td>&nbsp;</td></tr>
		<tr><td align=center>
		<img src="'.$arr['image_path'].'" border="1"  width="213" height="153" />
		</td></tr>
		<tr align="right"><td class="content_list_footer" >'.' '.$prev.' ';
					for($i=1;$i<=count($paging);$i++)
					 $pagingvalues .= $paging[$i]."  ";
							$output .= $pagingvalues.' '.$next.'</td></tr>
		</table>';
		 return $output;
	}
	
}	
?>
