<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/
class Display_DUserAccount
{
 	/**
	* This function is used to Display the News Letter Subscription Page
	* @name showNewsLetter
	* @param mixed $arr
	* @return string
 	*/
	function showNewsLetter($arr)
	{
	include_once('classes/Core/CUserNewsLetter.php');
	$value=0;
	//if($arr[0]['subsciption_id']==1)
		$value=$arr[0]['subsciption_id'];
		
	$status='';
	if($arr[0]['status']==1)
		$status='checked=checked';
		
	$output='<form name="frmNewsSub" method="post" action="?do=newsletter&action=add">
	<table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="100%" colspan="2" class="serachresult">Newsletter Subscriptions </td>
            </tr>
          
          <tr>
            <td colspan="2" valign="top" class="checkout_title1">&nbsp;</td>
          </tr>
          <tr>
            <td colspan="2" valign="top" class="checkout_title1">
            <div>
              <input type="checkbox" name="chkNewsSub" '.$status.' />
			  <input type="hidden" name="subId" value="'.$value.'" />
              <strong>General Subscription</strong></div>	</td>
          </tr>
          <tr>
            <td align="center" class="dot_line">
			<table width="80%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td align="right"><span class="checkout_required"></span><br /><br />
                <table border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td align="right" class="button_left"></td>
                    <td><input type="submit" value="Save" class="button" /></td>
                    <td class="button_right"></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
          </tr>
          
        </table></form>';
		return $output;
	}

 	/**
	* This function is used to Display the User Dashboard
	* @name showDashboard
	* @param mixed $arr
	* @param mixed $arrUser	
	* @param int $status
	* @param int $paging
	* @param int $prev
	* @param int $next	
	* @param int $val
	* @return string
 	*/
	function showDashboard($arr,$arrUser,$status,$paging,$prev,$next,$val)
	{
		$newsStatus='You are currently not subscribed to newsletter.';
		if($status[0]['status']==1)
			$newsStatus='You are currently subscribed to newsletter.';
		
		$output='<div><table width="100%" border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td width="100%" colspan="2" class="serachresult">Account Dashboard  </td>
			</tr>
		  <tr>
			<td colspan="2" class="account_hello"><span>Hello, '.$_SESSION['user_name'].'</span><br />
			  From your My Account Dashboard you have the ability to view a snapshot of your recent account activity and update your account information. Select a link below to view or edit information.</td>
		  </tr>
		  
		  <tr>
			<td colspan="2">&nbsp;</td>
			</tr>
		  <tr>
			<td colspan="2" valign="top"><div>
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td class="account_title">Recent Orders</td>
			<td class="account_viewlink"><a href="#"></a></td>
		  </tr>
		</table>
			<table width="100%" border="0" cellpadding="0" cellspacing="1" bgcolor="#cac7c7">
			  <tr>
				<td width="15%" bgcolor="#FFFFFF" class="account_tabletitle">Order#</td>
				<td width="13%" bgcolor="#FFFFFF" class="account_tabletitle" >Date</td>
				<td width="22%" bgcolor="#FFFFFF" class="account_tabletitle" >Ship to</td>
				<td width="16%" bgcolor="#FFFFFF" class="account_tabletitle" nowrap style="text-align:right; padding-right:10px">Order Total</td>
				<td width="12%" bgcolor="#FFFFFF" class="account_tabletitle">Status</td>
			  </tr>';
			
			if(count($arr)>0)  
			{
				for($i=0;$i<count($arr);$i++)			  
				{
				  $output.='<tr>
					<td bgcolor="#FFFFFF" class="account_tableTXT">#'.$arr[$i]['orders_id'].'</td>
					<td bgcolor="#FFFFFF" class="account_tableTXT" >'.$arr[$i]['pdate'].'</td>
					<td bgcolor="#FFFFFF" class="account_tableTXT" >'.$arr[$i]['user_display_name'].'</td>
					<td bgcolor="#FFFFFF" class="account_tableTXT" style="text-align:right; padding-right:10px">'.$_SESSION['currencysetting']['selected_currency_settings']['currency_tocken'].number_format($arr[$i]['total']*$_SESSION['currencysetting']['selected_currency_settings']['conversion_rate'],2).'</td>
					<td bgcolor="#FFFFFF" class="account_tableTXT">'.$arr[$i]['orders_status_name'].'</td>
				  </tr>';
				 } 
			 
				/*$output.='<tr align="center"><td class="content_list_footer" >'.' '.$prev.' ';
				for($i=1;$i<=count($paging);$i++)
					 $pagingvalues .= $paging[$i]."  ";
							$output .= $pagingvalues.' '.$next.'</td></tr>';*/
			}
			else
			{
				$output.='<td bgcolor="#FFFFFF" class="account_tableTXT" colspan=5>No Orders Found!</td>';
			}				
						
			$output.='</table>
			</div></td>
		  </tr>
		  <tr>
			<td colspan="2">&nbsp;</td>
		  </tr>
		  <tr>
			<td colspan="2">
			<div>
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td width="50%" class="account_title">Account Information</td>
			<td width="50%" class="account_title">&nbsp;</td>
		  </tr>
		  <tr>
			<td align="left" valign="top"><table width="95%" border="0" cellspacing="0" cellpadding="0">
			  <tr>
				<td class="account_title1 line">Contact Information</td>
				<td class="account_viewlink line"><a href="?do=accountinfo">Edit</a></td>
			  </tr>
			  <tr>
				<td colspan="2" class="account_address">'.$arrUser[0]['name'].'<br />
				  '.$arrUser[0]['user_email'].'<br />
				  <a href="?do=accountinfo">Change Password</a></td>
				</tr>
			</table></td>
			<td align="left" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
			  <tr>
				<td align="left" class="account_title1 line">Newsletters</td>
				<td class="account_viewlink line"><a href="?do=newsletter">Edit</a></td>
			  </tr>
			  <tr>
				<td colspan="2" class="account_address">'.$newsStatus.'<a href="#"></a></td>
				</tr>
			</table></td>
		  </tr>
		  <tr>
			<td colspan="2" align="left" valign="top">&nbsp;</td>
			</tr>
		  <tr>
			<td colspan="2" align="left" valign="top"></td>
		  </tr>
		</table>
		</div>
			</td>
		  </tr>
		  <tr>
			<td colspan="2">&nbsp;</td>
		  </tr>
		</table>
		</div>';
		return $output;
	}
 	/**
	* This function is used to Display the User Account Information
	* @name showAccountInfo
	* @param mixed $arr
	* @return string
 	*/
	function showAccountInfo($arr)
	{
		include("classes/Lib/HandleErrors.php");
		include_once('classes/Core/CUserAccInfo.php');
		$usergroup=$arr[0]['groupname'];
		$groupdiscount=$arr[0]['groupdiscount'];
		Core_CUserAccInfo::Ulogin($Err);
		$output['val']=$Err->values;
		$output['msg']=$Err->messages;

		if(count($output['val'])==0)	
		{
			$fname=$arr[0]['user_fname'];
			$lname=$arr[0]['user_lname'];
			$email=$arr[0]['user_email'];
			$hidcpwd=base64_decode($arr[0]['user_pwd']);
			$hidsubid=$arr[0]['subsciption_id'];;
		}
		else
		{
			$fname=$output['val']['txtFName'];
			$lname=$output['val']['txtLName'];
			$email=$output['val']['txtEmail'];
			//$cpwd=$output['val']['txtCPwd'];
			$npwd=$output['val']['txtNPwd'];
			$cnpwd=$output['val']['txtCNPwd'];
			$hidcpwd=$output['val']['hidCPwd'];
			$hidsubid=$output['val']['hidsubid'];;
		}

		$out='<form name="frmAcc" method="post" action="?do=accountinfo&action=add"><div><table width="100%" border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td class="serachresult">Edit Account Information <AJDF:output>'.$output['result'].'</AJDF:output></td>
			</tr>
		  
		  
		  <tr>
			<td align="left" valign="top">
			<div>
			<table width="80%" border="0" cellspacing="0" cellpadding="0" class="checkout_rigistration">
			  <tr>
				<td colspan="3" class="account_title" style="color:#b32b18">Account Information</td>
				</tr>
			  <tr>
				<td width="31%" valign=top>First Name <span>*</span></td>
				<td width="4%" valign=top>:</td>
				<td width="65%" nowrap><input name="txtFName" type="text" class="txtbox1 w4 TxtC1" id="txtFName" value="'.$fname.'" />&nbsp;<h5><span style="color:#ff0000"><AJDF:output>'.$output['msg']['txtFName'].'</AJDF:output></span></h5></td>
			  </tr>
			  <tr>
				<td valign=top>Last Name <span>*</span></td>
				<td valign=top>:</td>
				<td nowrap><input name="txtLName" type="text" class="txtbox1 w4 TxtC1" id="txtLName" value="'.$lname.'" />&nbsp;<h5><span style="color:#ff0000"><AJDF:output>'.$output['msg']['txtLName'].'</AJDF:output></span></h5></td>
			  </tr>
			  
			  <tr>
				<td valign=top>Email Address <span>*</span></td>
				<td valign=top>:</td>
				<td nowrap><input name="txtEmail" type="text" class="txtbox1 w4 TxtC1" id="txtEmail" value="'.$email.'" />&nbsp;<h5><span style="color:#ff0000"><AJDF:output>'.$output['msg']['txtEmail'].'</AJDF:output></span></h5>
				<input type="hidden" name="hidsubid" value="'.$hidsubid.'"/>				
				</td>
			  </tr>
			  </table>
			</div>
			<div>
			<table width="80%" border="0" cellspacing="0" cellpadding="0" class="checkout_rigistration">
			  <tr>
				<td colspan="3" class="account_title" style="color:#b32b18">Change Password</td>
				</tr>
			  <tr>
				<td width="31%" valign=top>Current Password <span>*</span></td>
				<td width="4%" valign=top>:</td>
				<td width="65%" nowrap><input name="txtCPwd" type="password" class="txtbox1 w4 TxtC1" id="txtCPwd"  value="'.$cpwd.'"/>&nbsp;<h5><span style="color:#ff0000"><AJDF:output>'.$output['msg']['txtCPwd'].'</AJDF:output></span></h5>
				<input type="hidden" name="hidCPwd" value="'.$hidcpwd.'"/>
				</td>
			  </tr>
			  <tr>
				<td valign=top>New Password  <span>*</span></td>
				<td valign=top>:</td>
				<td nowrap><input name="txtNPwd" type="password" class="txtbox1 w4 TxtC1" id="txtNPwd"  value="'.$npwd.'"/>&nbsp;<h5><span style="color:#ff0000"><AJDF:output>'.$output['msg']['txtNPwd'].'</AJDF:output></span></h5></td>
			  </tr>
			  
			  <tr>
				<td valign=top>Confirm New Password  <span>*</span></td>
				<td valign=top>:</td>
				<td nowrap><input name="txtCNPwd" type="password" class="txtbox1 w4 TxtC1" id="txtCNPwd"  value="'.$cnpwd.'"/>&nbsp;<h5><span style="color:#ff0000"><AJDF:output>'.$output['msg']['txtCNPwd'].'</AJDF:output></span></h5></td>
			  </tr>';
			  if($usergroup!='')
			    $out.='<tr>
				<td valign=top colspan="3" align="center">You are in <span style="color:#999999;"><b>'.$usergroup.'</b></span> group.&nbsp;You wiil be getting <span style="color:#999999;"><b>'.$groupdiscount.'</b></span>% discount while checkout. </td>
			  </tr>';
			 $out.='</table>
			</div>	</td>
			</tr>
		  <tr>
		  
			<td align="center" class="dot_line"><table width="80%" border="0" cellspacing="0" cellpadding="0">
			  <tr>
				<td align="right"><span class="checkout_required">* Required Fields</span><br />
				<table border="0" cellspacing="0" cellpadding="0">
				  <tr>
					<td align="right" class="button_left">	</td>
					<td><input type="submit" name="Submit2" value="Save" class="button" /></td>
					<td class="button_right"></td>
				  </tr>
				</table></td>
			  </tr>
			</table></td>
		  </tr>
		  
		</table>
		</div></form>';
		return $out;
	}
	
 	/**
	* This function is used to Display the User Product's Review
	* @name showProductReview
	* @param mixed $arr
	* @param int $paging
	* @param int $prev
	* @param int $next	
	* @param int $val
	* @return string
 	*/
	function showProductReview($arr,$paging,$prev,$next,$val)
	{

		$output='<div><table width="100%" border="0" cellspacing="0" cellpadding="0">
			  <tr>
				<td width="100%" colspan="2" class="serachresult">My Product Reviews </td>
				</tr>
			  
			  <tr>
				<td colspan="2" valign="top"><div>
				<table width="100%" border="0" cellspacing="0" cellpadding="0">
			  <tr>
				<td width="73%" class="account_title1">'.count($arr).' item(s) </td>
				<td width="27%" align="right" class="account_tableTXT"></td>
			  </tr>
			</table>
				<table width="100%" border="0" cellpadding="0" cellspacing="1" bgcolor="#cac7c7">
				  <tr>
					<td width="14%" bgcolor="#FFFFFF" class="account_tabletitle">Date</td>
					<td width="36%" bgcolor="#FFFFFF" class="account_tabletitle" >Product</td>
					<td width="34%" bgcolor="#FFFFFF" class="account_tabletitle">Reviews</td>
					<td width="34%" bgcolor="#FFFFFF" class="account_tabletitle">Rating</td>
					<td width="34%" bgcolor="#FFFFFF" class="account_tabletitle">Status&nbsp;</td>										
				  </tr>';
				  if(count($arr)>0)
				  {
					  for($i=0;$i<count($arr);$i++)
					  {
					  	if($arr[$i]['rating']>0)
							$rating='<img src="images/star'.$arr[$i]['rating'].'.jpg"/>';
						else
							$rating='No Rating';
							
						  $output.='<tr>
							<td bgcolor="#FFFFFF" class="account_tableTXT">'.$arr[$i]['rdate'].'</td>
							<td bgcolor="#FFFFFF" class="account_reviewTXT" ><a href="?do=prodetail&action=showprod&prodid='.$arr[$i]['product_id'].'">'.$arr[$i]['title'].'</a></td>
							<td bgcolor="#FFFFFF" class="account_reviewTXT">'.$arr[$i]['review_caption'].'</td>
							<td bgcolor="#FFFFFF" class="account_reviewTXT" nowrap>'.$rating.'&nbsp;&nbsp;</td>
							<td bgcolor="#FFFFFF" class="account_reviewTXT" nowrap>'.$arr[$i]['rstatus'].'&nbsp;&nbsp;</td>
						  </tr>';
					  }
					  
				  $output.='<tr align="center"><td class="content_list_footer" >'.' '.$prev.' ';
					for($i=1;$i<=count($paging);$i++)
					 $pagingvalues .= $paging[$i]."  ";
							$output .= $pagingvalues.' '.$next.'</td></tr>';
				 }	  
				 else
				 {
						  $output.='<tr>
							<td bgcolor="#FFFFFF" class="account_tableTXT" colspan="5" align=right>No Products Found</td>
						  </tr>';
				 }		
				$output.='</table>
				</div></td>
			  </tr>
			  <tr>
				<td colspan="2"><table width="100%" border="0" cellspacing="0" cellpadding="0">
				  <tr>
					<td width="73%" class="account_title1">'.count($arr).' item(s) </td>
					<td width="27%" align="right" class="account_tableTXT">&nbsp;&nbsp;
					</td>
				  </tr>
				</table></td>
			  </tr>
			</table>
			</div>';
			
			return $output;
	}
 	/**
	* This function is used to Display the User Wishlist
	* @name showWishlist
	* @param mixed $arr
	* @param int $paging
	* @param int $prev
	* @param int $next	
	* @param int $val
	* @param mixed $result
	* @return string
 	*/
	function showWishList($arr,$paging,$prev,$next,$val,$result)
	{
		$output.=$result.'<table width="100%" border="0" cellpadding="0" cellspacing="1" bgcolor="#cac7c7">
			<tr>
			  <td width="71%" bgcolor="#FFFFFF" class="viewcartTITLE" style="padding-left:15px;">Product Name</td>
			  <td width="15%" align="center" bgcolor="#FFFFFF" class="viewcartTITLE" >Added On </td>
			  <td width="14%" align="center" bgcolor="#FFFFFF" class="viewcartTITLE" >&nbsp;</td>
			 </tr>';

		if(count($arr)>0)
		{
			 for($i=0;$i<count($arr);$i++)
			  {
			  if(file_exists($arr[$i]['image']))
			  	$img=$arr[$i]['image'];
			  else
			  	$img="images/noimage.jpg";	
				
				$output.='<tr>
				  <td colspan="5" align="center" bgcolor="#FFFFFF" style="padding:15px 0px">
				  <table width="100%" border="0" cellpadding="0" cellspacing="0">
					  <tr>
						<td width="43" align="left" style="padding-left:10px;"><a href="?do=wishlist&action=deletewishlist&prodid='.$arr[$i]['product_id'].'"><img src="images/bullet.jpg" alt="remove" width="14" height="14" style="border:none"/></a></td>
						<td width="52" align="left"><a href="?do=prodetail&action=showprod&prodid='.$arr[$i]['product_id'].'">
							<img src="'.$img.'" alt="" width="52" height="52" style="border:none" /></a></td>
						<td width="350" align="center" class="viewcartTXT1"><a href="?do=prodetail&action=showprod&prodid='.$arr[$i]['product_id'].'">'.$arr[$i]['title'].'<br /><!--$-->
						  '.$_SESSION['currencysetting']['selected_currency_settings']['currency_tocken'].number_format($arr[$i]['msrp']*$_SESSION['currencysetting']['selected_currency_settings']['conversion_rate'],2).'</a></td>
						<td width="93" align="center" class="viewcart_price">'.$arr[$i]['adate'].'</td>';
						
						$output.='<td width="86" align="center" class="viewcart_price"><a href="?do=prodetail&action=showprod&prodid='.$arr[$i]['product_id'].'">Add to Cart </a></td>';
						
						
						/*$output.='<td width="86" align="center" class="viewcart_price"><a href="?do=addtocart&prodid='.$arr[$i]['product_id'].'">Add to Cart </a></td>';*/
						$output.='</tr>
				  </table></td>
				</tr>';
			 }
		}	 
		else
		{
			 $output.='<tr><td bgcolor="#FFFFFF" class="account_tableTXT" style="padding-left:15px;" colspan=3>No Products Found</td></tr>';
		}	 
		 $output.='</table>';
		  /*$output.='<tr align="center"><td class="content_list_footer" >'.' '.$prev.' ';
			for($i=1;$i<=count($paging);$i++)
			 $pagingvalues .= $paging[$i]."  ";
					$output .= $pagingvalues.' '.$next.'</td></tr>';*/
		
		$_SESSION['wishList']=$output;			
		return $output;
	}	

 	/**
	* This function is used to get the User wishlist to send to the friend
	* @name getWishList
	* @param mixed $arr
	* @return string
 	*/
	function getWishList($arr)
	{
		$output.='<table width="100%" border="0" cellpadding="0" cellspacing="1" bgcolor="#cac7c7">
			<tr>
			  <td width="71%" bgcolor="#FFFFFF" class="viewcartTITLE" style="padding-left:15px;">Product Name</td>
			  <td width="15%" align="center" bgcolor="#FFFFFF" class="viewcartTITLE" >Added On </td>
			 </tr>';


		 for($i=0;$i<count($arr);$i++)
		  {
			$output.='<tr>
			  <td colspan="5" align="center" bgcolor="#FFFFFF" style="padding:15px 0px">
			  <table width="100%" border="0" cellpadding="0" cellspacing="0">
				  <tr>
					<td width="52" align="left"><a href="http://'.$_SERVER['SERVER_NAME'].'/?do=prodetail&action=showprod&prodid='.$arr[$i]['product_id'].'"><img src="http://'.$_SERVER['SERVER_NAME'].'/'.$arr[$i]['image'].'" alt="" width="52" height="52" style="border:none" /></a></td>
					<td width="350" align="center" class="viewcartTXT1"><a href="http://'.$_SERVER['SERVER_NAME'].'/?do=prodetail&action=showprod&prodid='.$arr[$i]['product_id'].'">'.$arr[$i]['title'].'<br />$
					  '.number_format($arr[$i]['msrp'],2).'</a></td>
					<td width="93" align="center" class="viewcart_price">'.$arr[$i]['adate'].'</td>
					</tr>
			  </table></td>
			</tr>';
		 }
		 $output.='</table>';
		return $output;
	}
	
 	/**
	* This function is used to Display the User's Order info
	* @name showMyOrder
	* @param mixed $arr
	* @param int $paging
	* @param int $prev
	* @param int $next	
	* @param int $val
	* @return string
 	*/
	function showMyOrder($arr,$paging,$prev,$next,$val)
	{
	//print_r($arr);
		$output='<div><table width="100%" border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td width="100%" colspan="2" class="serachresult">My Orders   </td>
			</tr>
		  
		  <tr>
			<td colspan="2" valign="top"><div>
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td width="73%" class="account_title1">'.count($arr).' item(s) </td>
			<td width="27%" align="right" class="account_tableTXT"></td>
		  </tr>
		</table>
			<table width="100%" border="0" cellpadding="0" cellspacing="1" bgcolor="#cac7c7">
			  <tr>
				<td  bgcolor="#FFFFFF" class="account_tabletitle">Order#</td>
				<td  bgcolor="#FFFFFF" class="account_tabletitle" >Date</td>
				<td  bgcolor="#FFFFFF" class="account_tabletitle" nowrap style="text-align:right; padding-right:10px">Order Total</td>
				<td  bgcolor="#FFFFFF" class="account_tabletitle">Status</td>
				<td  bgcolor="#FFFFFF" class="account_tabletitle" nowrap>Shipped via</td>
				<td  bgcolor="#FFFFFF" class="account_tabletitle" nowrap>Track id</td>	
				<td  bgcolor="#FFFFFF" class="account_tabletitle" nowrap>Action</td>				
			  </tr>';
		if(count($arr)>0)	  
		{
			   for($i=0;$i<count($arr);$i++)
				  {
					$output.='<tr>
							<td bgcolor="#FFFFFF" class="account_tableTXT"><a href="?do=orderdetail&id='.$arr[$i]['orders_id'].'">#'.$arr[$i]['orders_id'].'</a></td>
							<td bgcolor="#FFFFFF" class="account_tableTXT" >'.$arr[$i]['pdate'].'</td>
							<td bgcolor="#FFFFFF" class="account_tableTXT" style="text-align:right; padding-right:10px"> '.$_SESSION['currencysetting']['selected_currency_settings']['currency_tocken'].number_format($arr[$i]['total']*$_SESSION['currencysetting']['selected_currency_settings']['conversion_rate'],2).'</td>
							<td bgcolor="#FFFFFF" class="account_tableTXT">'.$arr[$i]['orders_status_name'].'&nbsp;&nbsp;</td>
							<td bgcolor="#FFFFFF" class="account_tableTXT" style="padding-left:2px" >'.$arr[$i]['shipment_name'].'</td>
							<td bgcolor="#FFFFFF" class="account_tableTXT" style="padding-left:2px">'.$arr[$i]['shipment_track_id'].'</td>
							<td bgcolor="#FFFFFF" class="account_tableTXT" style="padding-left:0px" nowrap>';
							
							if($arr[$i]['shipment_id']==3)
							{
							$output.='<form method="get" action="http://wwwapps.ups.com/etracking/tracking.cgi" target="_blank">
									<input name="tracknums_displayed" value="5" type="hidden">
									<input name="TypeOfInquiryNumber" value="T" type="hidden">
									<input name="HTMLVersion" value="4.0" type="hidden">
									<input type="hidden" name="InquiryNumber1" size="25" maxlength="48" value="'.$arr[$i]['shipment_track_id'].'">
									<input name="InquiryNumber2" size="24" type="hidden">
									<input name="InquiryNumber3" size="24" type="hidden">
									<input name="InquiryNumber4" size="24" type="hidden">
									<input name="InquiryNumber5" size="24" type="hidden">
									<input name="track" value="Track" type="hidden">
									<table width=100%" border="0" >
									 <tr>
									 <td align="left">
									 <table cellspacing=0 cellpadding=0>
									  <tr>	
									  <td class="button_left"></td>
	 								  <td>
									  <input type="submit" value="Track it" class="button" />
									  <td class="button_right"></td>
									  </tr>
									  </table>
									</td></tr></table></form>';
							}
							else if($arr[$i]['shipment_id']==1)
							{
							$output.='<form method="post" action="http://track.dhl-usa.com/TrackByNbr.asp" target="_blank">
									<input name="txtTrackNbrs" size="25" type="hidden" value="'.$arr[$i]['shipment_track_id'].'"> 
									<table width=100%" >
									<tr>
									<td align="left">
									 <table cellspacing=0 cellpadding=0>
									  <tr>	
									  <td class="button_left"></td>									  
	 								  <td>
									  <input type="submit" value="Track it" class="button" />
									  <td class="button_right"></td>
									  </tr>
									  </table>
									</td></tr></table>
									</form>';
							}
							else if($arr[$i]['shipment_id']==2)
							{
							$output.='<form name="fedex" method="get" action="http://www.fedex.com/Tracking" target="_blank">
									<input name="tracknumbers" size="25" type="hidden" value="'.$arr[$i]['shipment_track_id'].'"> 
									<input name="Request+Tracking+Info" value="Go" type="hidden">
									<table width=100%" >
									<tr>
									<td align="left">
									 <table cellspacing=0 cellpadding=0>
									  <tr>	
									  <td class="button_left"></td>									  
	 								  <td>
									  <input type="submit" value="Track it" class="button" />
									  <td class="button_right"></td>
									  </tr>
									  </table>
									</td></tr></table>
									</form>';
							}
							else if($arr[$i]['shipment_id']==4)
							{
							$output.='<form method="post" action="http://trkcnfrm1.smi.usps.com/PTSInternetWeb/InterLabelInquiry.do" target="_blank">
									<input name="strOrigTrackNum" size="25" type="hidden" value="'.$arr[$i]['shipment_track_id'].'"> 
									<input name="Go to Track &amp; Confirm" value="Go" type="hidden">
									<table width=100%" border=0>
									<tr>
									<td align="left">
									 <table cellspacing=0 cellpadding=0>
									  <tr>	
									  <td class="button_left" ></td>									  
	 								  <td>
									  <input type="submit" value="Track it" class="button" />
									  <td class="button_right" ></td>
									  </tr>
									  </table>
									</td></tr></table>
									</form>';
							}							
							else if($arr[$i]['shipment_id']==5)
							{
							$output.='<form action="https://em.canadapost.ca/emo/basicPin.do" method="post" 
							name="basicPinPoolForm" target="_blank" >
							<input type="hidden" name="trackingId" value="'.$arr[$i]['shipment_track_id'].'" />
							<input type="hidden" value="false" name="referenceNumberPressed"/>
							<input type="hidden" value="" name="clearReferenceNumberPressed"/>	 
							<input type="hidden" name="trackingCode"/>
							<input type="hidden" value="en" name="language"/>
							<input type="hidden" value="query" name="action"/>
							<input type="hidden" value="basicPinPool" name="fromPage"/>
							<table width=100%" border=0>
									<tr>
									<td align="left">
									 <table cellspacing=0 cellpadding=0>
									  <tr>	
									  <td class="button_left" ></td>									  
	 								  <td>
									  <input type="submit" value="Track it" class="button" />
									  <td class="button_right" ></td>
									  </tr>
									  </table>
									</td></tr></table></form>';
							}
							else if($arr[$i]['shipment_id']==5)
							{
							$output.='<form action="https://em.canadapost.ca/emo/basicPin.do" method="post" 
							name="basicPinPoolForm" target="_blank" >
							<input type="hidden" name="trackingId" value="'.$arr[$i]['shipment_track_id'].'" />
							<input type="hidden" value="false" name="referenceNumberPressed"/>
							<input type="hidden" value="" name="clearReferenceNumberPressed"/>	 
							<input type="hidden" name="trackingCode"/>
							<input type="hidden" value="en" name="language"/>
							<input type="hidden" value="query" name="action"/>
							<input type="hidden" value="basicPinPool" name="fromPage"/>
							<table width=100%" border=0>
									<tr>
									<td align="left">
									 <table cellspacing=0 cellpadding=0>
									  <tr>	
									  <td class="button_left" ></td>									  
	 								  <td>
									  <input type="submit" value="Track it" class="button" />
									  <td class="button_right" ></td>
									  </tr>
									  </table>
									</td></tr></table></form>';
							}
							else if($arr[$i]['shipment_id']==6)
							{
							$output.='<form name="frmSearch" method="post" 
							action="http://ausposttracking.com.au/tower/VisSys/login" target="_blank" >
							<input type="hidden" value="genpub" name="username"/>
							<input type="hidden" value="genpub" name="password"/>
							<input type="hidden" value="/tower/" name="LOGOFF_URL"/>
							<input type="hidden" value="SHIPMENT_SEARCH" name="PASSTHRU_KEY"/>						
							<input type="hidden" value="" size="35" maxlength="30" name="mastershipmentnumber"/>
<input type="hidden" value="'.$arr[$i]['shipment_track_id'].'" size="35" maxlength="30" name="shipmentnumber"/>
					<input type="hidden" value="DOMESTIC" size="35" maxlength="30" name="SHIPMENT_FLEX_FIELD_9"/>				
							<input type="hidden" value="Article" name="articleConsChoice"/>							
							<table width=100%" border=0>
									<tr>
									<td align="left">
									 <table cellspacing=0 cellpadding=0>
									  <tr>	
									  <td class="button_left" ></td>									  
	 								  <td>
									  <input type="submit" value="Track it" class="button"  />
									  <td class="button_right" ></td>
									  </tr>
									  </table>
									</td></tr></table></form>';
							}
							else if($arr[$i]['shipment_id']==7)
							{
							$output.='<form name="frmSearch" 					action="http://www.intershipper.net/Shipping/Intershipper/Website/MainPage.jsp?Page=Login" target="_blank" method="post" >
									  <table width=100%" border=0>
									  <tr>
								      <td align="left">
									  <table cellspacing=0 cellpadding=0>
									  <tr>	
									  <td class="button_left"></td>									  
	 								  <td>
  								      <input type="submit" value="Track it" class="button"  />
									  <td class="button_right" ></td>
									  </tr>
									  </table>
									  </td></tr></table></form>';
							}
							else if($arr[$i]['shipment_id']==8)
							{
							$output.='<form name="frmSearch" action="http://www.city-link.co.uk/track_parcel/track_parcel.php" method="get" name="trackerfrm" target="_blank" >
									  <table width=100%" border=0>
									  <tr>
								      <td align="left">
									  <table cellspacing=0 cellpadding=0>
									  <tr>	
									  <td class="button_left"></td>									  
	 							      <td>
								      <input type="submit" value="Track it" class="button"  />
									  <td class="button_right" ></td>
									  </tr>
									  </table>
									  </td></tr></table></form>';
							}	
							else if($arr[$i]['shipment_id']==9)
							{
							$output.='<form name="frmSearch" action="http://www.post.ch/swisspost-tracking?formattedParcelCodes='.$arr[$i]['shipment_track_id'].';&p_language=en" method="get" name="trackerfrm" target="_blank" >
									  <table width=100%" border=0>
									  <tr>
								      <td align="left">
									  <table cellspacing=0 cellpadding=0>
									  <tr>	
									  <td class="button_left"></td>									  
	 							      <td>
								      <input type="submit" value="Track it" class="button"  />
									  <td class="button_right" ></td>
									  </tr>
									  </table>
									  </td></tr></table></form>';
							}											
							$output.='</td>
							</tr>';
							
							
							
				 }
				//<td bgcolor="#FFFFFF" class="account_tableTXT" >'.$arr[$i]['user_display_name'].'</td>
				  $output.='<tr align="center"><td class="content_list_footer" >'.' '.$prev.' ';
					for($i=1;$i<=count($paging);$i++)
					 $pagingvalues .= $paging[$i]."  ";
							$output .= $pagingvalues.' '.$next.'</td></tr>';
			}
			else
			{
				$output .='<td bgcolor="#FFFFFF" class="account_tableTXT" colspan=6 >No orders Found</td>';
			}
			$output .='</table>
			</div></td>
		  </tr>
		  <tr>
			<td colspan="2"><table width="100%" border="0" cellspacing="0" cellpadding="0">
			  <tr>
				<td width="73%" class="account_title1">'.count($arr).' item(s) </td>
				<td width="27%" align="right" class="account_tableTXT"></td>
			  </tr>
			</table></td>
		  </tr>
		</table>
		</div>';
		return $output;
	}
	
	function dateDiff($dformat, $endDate, $beginDate)
	{
		$date_parts1=explode($dformat, $beginDate);
		$date_parts2=explode($dformat, $endDate);
		$start_date=gregoriantojd($date_parts1[1], $date_parts1[0], $date_parts1[2]);
		$end_date=gregoriantojd($date_parts2[1], $date_parts2[0], $date_parts2[2]);
		return $end_date - $start_date;
	}
	function showDigitalProduct($arr,$Err,$totreview,$breadcrumb)
	{
	
	//print_r($arr);
		$output='<div><table width="100%" border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td width="100%" colspan="2" class="serachresult">My Downloads   </td>
			</tr>
		  
		  <tr>
			<td colspan="2" valign="top"><div>
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td width="73%" class="account_title1">'.count($arr).' item(s) </td>
			<td width="27%" align="right" class="account_tableTXT"></td>
		  </tr>
		</table>
			<table width="100%" border="0" cellpadding="0" cellspacing="1" bgcolor="#cac7c7">
			  <tr>
				<td  bgcolor="#FFFFFF" class="account_tabletitle">Order#</td>
				<td  bgcolor="#FFFFFF" class="account_tabletitle" >Product</td>
				<td  bgcolor="#FFFFFF" class="account_tabletitle" nowrap>Order Date</td>
				<td  bgcolor="#FFFFFF" class="account_tabletitle" nowrap>Expire Date</td>					
			  </tr>';
		if(count($arr)>0)	  
		{
			   for($i=0;$i<count($arr);$i++)
				  {
					$output.='<tr>
							<td bgcolor="#FFFFFF" class="account_tableTXT">#'.$arr[$i]['orders_id'].'</td>
							<td bgcolor="#FFFFFF" class="account_tableTXT" ><a href="?do=prodown&rid='.$arr[$i]['orders_id'].'&pid='.$arr[$i]['product_id'].'">'.$arr[$i]['title'].'</a></td>
							
							<td bgcolor="#FFFFFF" class="account_tableTXT">'.$arr[$i]['pdate'].'</td>';
							if(Display_DUserAccount::dateDiff("/", date("j/n/Y"),$arr[$i]['expdate'])>0)
							{
							$output.='<td bgcolor="#FFFFFF" class="account_tableTXT">Download Expired</td></tr>';
							}
							else
							{
							$output.='<td bgcolor="#FFFFFF" class="account_tableTXT">'.$arr[$i]['expdate'].'</td></tr>';
							}
				 }
				//<td bgcolor="#FFFFFF" class="account_tableTXT" >'.$arr[$i]['user_display_name'].'</td>
				  $output.='<tr align="center"><td class="content_list_footer" >'.' '.$prev.' ';
					for($i=1;$i<=count($paging);$i++)
					 $pagingvalues .= $paging[$i]."  ";
							$output .= $pagingvalues.' '.$next.'</td></tr>';
			}
			else
			{
				$output .='<td bgcolor="#FFFFFF" class="account_tableTXT" colspan=6 >No orders Found</td>';
			}
			$output .='</table>
			</div></td>
		  </tr>
		  <tr>
			<td colspan="2"><table width="100%" border="0" cellspacing="0" cellpadding="0">
			  <tr>
				<td width="73%" class="account_title1">'.count($arr).' item(s) </td>
				<td width="27%" align="right" class="account_tableTXT"></td>
			  </tr>
			</table></td>
		  </tr>
		  
		</table>
		</div>';
		return $output;
	
	}
	
	
	
	
 	/**
	* This function is used to Display the Order info
	* @name showOrderDetails
	* @param mixed $arr
	* @return string
 	*/
	function showOrderDetails($arr)
	{
		$output='<div><table width="100%" border="0" cellspacing="0" cellpadding="0">
			  <tr>
				<td class="serachresult">Order Details </td>
				</tr>
			  
			  <tr>
				<td align="left" valign="top">
				<div>
				<table width="100%" border="0" cellspacing="0" cellpadding="0">
				  <tr>
					<td colspan="2" class="account_title">Order #'.$arr[0]['orders_id'].'</td>
				  </tr>
				  <tr>
					<td width="18%" valign="top" class="checkout_text">Order Status<br />
					  Order Recipient<br />
					  Order Total<br />
					  Order Date<br />
					  Close Date </td>
					<td width="82%" valign="top" class="checkout_text">: '.$arr[0]['orders_status_name'].'<br />
					  : '.$arr[0]['shipping_name'].'<br />
					  : <!--$-->'.$_SESSION['currencysetting']['selected_currency_settings']['currency_tocken'].number_format($arr[0]['order_total']*$_SESSION['currencysetting']['selected_currency_settings']['conversion_rate'],2).' <!--USD--><br />
					  : '.$arr[0]['purDate'].'<br />
					  : '.(($arr[0]['closeDate']=='0/0/0000') ? 'Order Open' : $arr[0]['closeDate'] ).'</td>
				  </tr>
				  
				  <tr>
					<td colspan="2" class="account_title">Payment Details</td>
				  </tr>
				  <tr>
					<td valign="top" class="checkout_text">Paid Through<!--<br />
					  Paypal--></td>
					<td valign="top" class="checkout_text">: '.$arr[0]['gateway_name'].'<!--<br />
					  : '.$arr[0]['merchant_id'].'--></td>
				  </tr>
				  
				  <tr>
					<td colspan="2" class="line">&nbsp;</td>
				  </tr>
				  <tr>
					<td colspan="2"><div>
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
						  <tr>
							<td width="50%" valign="top" class="account_address"><strong style="color:#333333">Primary Billing Address</strong><br />
							  '.$arr[0]['billing_name'].'<br />
							  '.$arr[0]['billing_company'].'<br />
							  '.$arr[0]['billing_street_address'].'<br />
							  '.$arr[0]['billing_city'].' '.$arr[0]['billing_postcode'].' '.$arr[0]['billing_state'].'<br />
							  '.$arr[0]['billcountry'].'<br />
							  </td>
							<td width="50%" class="account_address"><strong style="color:#333333">Primary Shipping Address</strong><br />
							  '.$arr[0]['shipping_name'].'<br />
							  '.$arr[0]['shipping_company'].'<br />
							  '.$arr[0]['shipping_street_address'].'<br />
							  '.$arr[0]['shipping_city'].' '.$arr[0]['shipping_postcode'].' '.$arr[0]['shipping_state'].'<br />
							  '.$arr[0]['shipcountry'].'</td>
						  </tr>
						</table>
					</div></td>
				  </tr>
				  <tr>
					<td colspan="2" class="line">&nbsp;</td>
				  </tr>
				  <tr>
					<td colspan="2">&nbsp;</td>
				  </tr>
				  <tr>
					<td colspan="2" class="account_title">Order #'.$arr[0]['orders_id'].' Contains the Following Items:</td>
				  </tr>
				  <tr>
					<td colspan="2" valign="top"><table width="100%" border="0" cellpadding="0" cellspacing="1" bgcolor="#cccccc">
						<tr>
						  <td width="37%" bgcolor="#cccccc" class="viewcartTITLE" style="padding-left:10px;">Item Details</td>
						  <td width="15%" align="left" bgcolor="#cccccc" class="viewcartTITLE" style="padding-left:10px;">Price</td>
						  <td width="12%" align="left" bgcolor="#cccccc" class="viewcartTITLE" style="padding-left:10px;">Quantity</td>
						  <td width="18%" align="left" bgcolor="#cccccc" class="viewcartTITLE" style="padding-left:10px;">Shipping Charge </td>
						  <td width="18%" align="left" bgcolor="#cccccc" class="viewcartTITLE" style="padding-left:10px;">Total</td>
						</tr>';
						$grand=0;
						for($i=0;$i<count($arr);$i++)
						{
							$total=($arr[$i]['product_unit_price']*$arr[$i]['product_qty'])+$arr[$i]['shipping_cost'];
							$output.='<tr>
							  <td align="left" bgcolor="#FFFFFF" class="order_TXT">'.$arr[$i]['title'].'</td>
							  <td align="right" bgcolor="#FFFFFF" class="order_Price1"><!--$-->'.$_SESSION['currencysetting']['selected_currency_settings']['currency_tocken'].number_format($arr[$i]['product_unit_price']*$_SESSION['currencysetting']['selected_currency_settings']['conversion_rate'],2).'</td>
							  <td align="right" bgcolor="#FFFFFF" class="order_Price1">'.$arr[$i]['product_qty'].'</td>
							  <td align="right" bgcolor="#FFFFFF" class="order_Price1"><!--$-->'.$_SESSION['currencysetting']['selected_currency_settings']['currency_tocken'].number_format($arr[$i]['shipping_cost']*$_SESSION['currencysetting']['selected_currency_settings']['conversion_rate'],2).'</td>
							  <td align="right" bgcolor="#FFFFFF" class="order_Price"><!--$-->'.$_SESSION['currencysetting']['selected_currency_settings']['currency_tocken'].number_format($total*$_SESSION['currencysetting']['selected_currency_settings']['conversion_rate'],2).'</td>
							</tr>';
							$grand+=$total;
						}
						$output.='<tr>
						  <td colspan="4" align="right" style="background:url(images/viewcart_bg.jpg) repeat-x top #FFFFFF" class="viewcartTXT2">Grand Total </td>
						  <td align="left" style="background:url(images/viewcart_bg.jpg) repeat-x top #FFFFFF" class="viewcart_total">$'.number_format($grand*$_SESSION['currencysetting']['selected_currency_settings']['conversion_rate'],2).'</td>
						</tr>
						
					</table></td>
				  </tr>
				</table>
				</div>
				</td>
			  </tr>
			  
			  
			</table>
			</div>';
		return $output;	
	}
 	/**
	* This function is used to Display the All New Products
	* @name showAllNew
	* @param mixed $arr
	* @param int $paging
	* @param int $prev
	* @param int $next	
	* @param int $val
	* @return string
 	*/
	function showAllNew($arr,$paging,$prev,$next,$val)
	{
	//print_r($arr);
	//print_r($val);
	$output.='
	<div><table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td class="serachresult">All New Products </td>
    </tr>
  
  <tr>
    <td align="left" valign="top">
	<div>
	<table width="100%" border="0" cellspacing="0" cellpadding="0">
      
      <tr align="right"><td class="content_list_footer" colspan=2 ><div>'.' '.$prev.' ';
					for($i=1;$i<=count($paging);$i++)
					 $pagingvalues .= $paging[$i]."  ";
							$output .= $pagingvalues.' '.$next.'</div></td></tr>
      <tr>
        <td colspan="2">&nbsp;</td>
      </tr>
      <tr>
        <td width="800%" colspan="2">';
		
		$k=0;
		for($i=0;$i<count($arr)/4;$i++)
		{
			$output.='<table width="100%" border="0" cellspacing="0" cellpadding="0">
			  <tr>';
			  for($j=0;$j<4;$j++)
			  {

			  	$rating=ceil($arr[$k]['rating']);
				$ratepath='';
				for($r=0;$r<5;$r++)
				{
					if($r<$rating)
						$ratepath.='<img src="images/starf.png">';
					else
						$ratepath.='<img src="images/stare.png">';							
				}
			  
				  if($arr[$k]['thumb_image']!='' && file_exists($arr[$k]['thumb_image']))
						$imgPath=$arr[$k]['thumb_image'];
				  else
						$imgPath='images/noimage1.jpg';
					
				$mode='none';		
				if($arr[$k]['product_id']!='')	
					$mode='block';
				//{	
					
					$output.='<td width="25%" align="center" style="';
					if($j<3 && $mode=='block')
						$output.='background:url(images/bg_line1.gif) repeat-y right';
					$output.='"><div class="featureITEM" style="display:'.$mode.'"><a href="?do=prodetail&action=showprod&prodid='.$arr[$k]['product_id'].'"><img src="'.$imgPath.'" alt="'.addslashes($arr[$k]['title']).'"  width="'.THUMB_WIDTH.'" border=0 /></a>
							<div class="featureTXT"><a href="?do=prodetail&action=showprod&prodid='.$arr[$k]['product_id'].'">'.((strlen($arr[$k]['title'])>15) ? substr( $arr[$k]['title'],0,15).'...' : $arr[$k]['title']).'</a></div>
					  <div class="featurePRICE"><!--Price :--> <!--$-->'.$_SESSION['currencysetting']['selected_currency_settings']['currency_tocken'].number_format($arr[$k]['msrp']*$_SESSION['currencysetting']['selected_currency_settings']['conversion_rate'],2).'<br />
								'.$ratepath.'</div>
					  <!--<div class="featureBUTTON">
							  <table border="0" cellspacing="0" cellpadding="0">
								<tr>
								  <td align="right" class="button_left"> </td>
								  <td><a href="?do=addtocart&prodid="><a href="?do=prodetail&action=showprod&prodid='.$arr[$k]['product_id'].'"><input type="submit" name="Submit23222" value="       Buy Now      " class="button" /></a></td>
								  <td class="button_right" ></td>
								</tr>
							  </table>
						<a href="#"></a></div>-->
					  <div class="featureBUTTON">
					  <form name="addtowishlist" id="addtowishlist" action="?do=wishlist&action=viewwishlist&prodid='.$arr[$k]['product_id'].'" method="post">
							  <table border="0" cellspacing="0" cellpadding="0">
								<tr>
								  <td align="right" class="button_left" style="cursor:pointer" ></td>
								  <td><input type="submit" name="Submit232222" value="Add to Wishlist" class="button" style="cursor:pointer" /></td>
								  <td class="button_right" style="cursor:pointer" ></td>
								</tr>
							  </table>
							  </form>
						</div>
					</div></td>';
				//}	
				$k++;
			}
			  $output.='</tr>
			  <tr>
				<td align="center" colspan=4>&nbsp;</td>
			  </tr>
			</table>';
			
		}
		$output.='</td>
			  </tr>
			  
			  <tr>
				<td colspan="2" valign="top">&nbsp;</td>
			  </tr>
			   <tr><td class="content_list_footer" ><a href="?do=rss" style="text-decoration:none" target="_blank"><img src="images/rss.gif" border=0/></a></td><td class="content_list_footer" align="right">'.' '.$prev.' ';
							for($i=1;$i<=count($paging);$i++)
							 $pagingvalues1 .= $paging[$i]."  ";
									$output .= $pagingvalues1.' '.$next.'</td></tr>
			</table>
			</div>
			</td>
		  </tr>
		  
		  
		</table>
		</div>';
		return $output;
	}
	
 	/**
	* This function is used to Display the All Featured product
	* @name showAllFeatured
	* @param mixed $arr
	* @param int $paging
	* @param int $prev
	* @param int $next	
	* @param int $val
	* @return string
 	*/
	function showAllFeatured($arr,$paging,$prev,$next,$val)
	{
	//print_r($arr);
	//print_r($val);
	$output.='
	<div><table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td class="serachresult">All Featured Products </td>
    </tr>
  
  <tr>
    <td align="left" valign="top">
	<div>
	<table width="100%" border="0" cellspacing="0" cellpadding="0">
      
      <tr align="right"><td class="content_list_footer" >'.' '.$prev.' ';
					for($i=1;$i<=count($paging);$i++)
					 $pagingvalues .= $paging[$i]."  ";
							$output .= $pagingvalues.' '.$next.'</td></tr>
      <tr>
        <td colspan="2">&nbsp;</td>
      </tr>
      <tr>
        <td width="800%" colspan="2">';
		
		$k=0;
		for($i=0;$i<count($arr)/4;$i++)
		{
			$output.='<table width="100%" border="0" cellspacing="0" cellpadding="0">
			  <tr>';
			  for($j=0;$j<4;$j++)
			  {

			  	$rating=ceil($arr[$k]['rating']);
				$ratepath='';
				for($r=0;$r<5;$r++)
				{
					if($r<$rating)
						$ratepath.='<img src="images/starf.png">';
					else
						$ratepath.='<img src="images/stare.png">';							
				}
			  
				  if($arr[$k]['thumb_image']!='' && file_exists($arr[$k]['thumb_image']))
						$imgPath=$arr[$k]['thumb_image'];
				  else
						$imgPath='images/noimage1.jpg';
					
				$mode='none';		
				if($arr[$k]['product_id']!='')	
					$mode='block';
				//{	
					
					$output.='<td width="25%" align="center" style="';
					if($j<3 && $mode=='block')
						$output.='background:url(images/bg_line1.gif) repeat-y right';
					$output.='"><div class="featureITEM" style="display:'.$mode.'"><a href="?do=prodetail&action=showprod&prodid='.$arr[$k]['product_id'].'"><img src="'.$imgPath.'" alt="'.addslashes($arr[$k]['title']).'" width="'.THUMB_WIDTH.'" border=0 /></a>
							<div class="featureTXT"><a href="?do=prodetail&action=showprod&prodid='.$arr[$k]['product_id'].'">'.((strlen($arr[$k]['title'])>15) ? substr( $arr[$k]['title'],0,15).'...' : $arr[$k]['title']).'</a></div>
					  <div class="featurePRICE"><!--Price :--> <!--$-->'.$_SESSION['currencysetting']['selected_currency_settings']['currency_tocken'].number_format($arr[$k]['msrp']*$_SESSION['currencysetting']['selected_currency_settings']['conversion_rate'],2).'<br />
								'.$ratepath.'</div>
					  <!--<div class="featureBUTTON">
							  <table border="0" cellspacing="0" cellpadding="0">
								<tr>
								  <td align="right" class="button_left"></td>
								  <td><a href="?do=addtocart&prodid='.$arr[$k]['product_id'].'"><a href="?do=prodetail&action=showprod&prodid='.$arr[$k]['product_id'].'"><input type="submit" name="Submit23222" value="       Buy Now      " class="button" /></a></td>
								  <td class="button_right"></td>
								</tr>
							  </table>
						<a href="#"></a></div>-->
					  <div class="featureBUTTON">
							  <table border="0" cellspacing="0" cellpadding="0">
								<tr>
								  <td align="right" class="button_left"></td>
								  <td><a href="?do=wishlist&action=viewwishlist&prodid='.$arr[$k]['product_id'].'" style="text-decoration:none;"><form method="post" action="?do=wishlist&action=viewwishlist&prodid='.$arr[$k]['product_id'].'"><input type="submit" name="Submit232222" value="Add to Wishlist" class="button" /></form></a></td>
								  <td class="button_right"></td>
								</tr>
							  </table>
						<a href="#"></a></div>
					</div></td>';
				//}	
				$k++;
			}
			  $output.='</tr>
			  <tr>
				<td align="center" colspan=4>&nbsp;</td>
			  </tr>
			</table>';
			
		}
		$output.='</td>
			  </tr>
			  
			  <tr>
				<td colspan="2" valign="top">&nbsp;</td>
			  </tr>
			   <tr align="right"><td class="content_list_footer" >'.' '.$prev.' ';
							for($i=1;$i<=count($paging);$i++)
							 $pagingvalues1 .= $paging[$i]."  ";
									$output .= $pagingvalues1.' '.$next.'</td></tr>
			</table>
			</div>
			</td>
		  </tr>
		  
		  
		</table>
		</div>';
		return $output;
	}
	function showAddressBookOld($arr,$paging,$prev,$next,$val)
	{
	$output.='<div><table width="100%" border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td class="serachresult">Address Book  </td><td align="right" class="account_address"><a href="?do=addaddress" class="categoryList">Add Contact</a>
			</td>
		  </tr>
		  <tr>
			<td align="left" valign="top" colspan=2>
			<div>
			<table width="100%" border="0" cellspacing="0" cellpadding="0">';
			$k=0;
			for($i=0;$i<2;$i++)
			{
			  $output.='<tr>';
			  	for($j=0;$j<2;$j++)
				{
					$output.='<td width="50%" valign="top" class="account_address">';
					if($arr[$k]['contact_name']!='')
					{
						$output.='<strong style="color:#333333">'.($val+$k+1).'. '.$arr[$k]['contact_name'].'</strong><br />
						  '.$arr[$k]['first_name'].' '.$arr[$k]['last_name'].'<br />
						  '.$arr[$k]['company'].'<br />
						  '.$arr[$k]['address'].'<br />
						  '.$arr[$k]['city'].', '.$arr[$k]['zip'].', '.$arr[$k]['state'].'<br />
						  '.$arr[$k]['cou_name'].'<br />
						  Phone No : '.$arr[$k]['phone_no'].'<br />
						  Fax : '.$arr[$k]['fax'].'<br />
						  Email :'.$arr[$k]['email'].'<br />
						  <a href="?do=addaddress&id='.$arr[$k]['contact_name'].'">Edit Address</a>
						  <a href="?do=deladdress&id='.$arr[$k]['contact_name'].'" onclick="return confirm(\'Are you Sure to delete?\');">Remove Address</a>';
					}	  
  				    $output.='</td>';
					  $k++;
				}	  
			  $output.='</tr>';
			} 
			
			$output.='</table>
			</div>
			</td>
		  </tr>
		   <tr align="right"><td class="content_list_footer" colspan=2>'.' '.$prev.' ';
				for($i=1;$i<=count($paging);$i++)
				 $pagingvalues1 .= $paging[$i]."  ";
						$output .= $pagingvalues1.' '.$next.'</td></tr>
		</table>
	</div>';
		return $output;
	}
	function showAddress($arr)
	{
	$output.='<div><table width="100%" border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td class="serachresult">Address Book </td><td align="right" class="account_address">
			<a href="?do=addressbook" class="categoryList">View Contact</a>|
			<a href="?do=addaddress" class="categoryList">Add Contact</a>
			</td>
		  </tr>
		  <tr>
			<td align="left" valign="top" colspan=2>
			<div>
			<table width="100%" border="0" cellspacing="0" cellpadding="0">';
			  $k=0;	
			  $output.='<tr>';
			  $output.='<td width="50%" valign="top" class="account_address">';
				if($arr[$k]['contact_name']!='')
				{
					$output.='<strong style="color:#333333">'.$arr[$k]['contact_name'].' Address details</strong><br /><h1>'.$arr[$k]['first_name'].' '.$arr[$k]['last_name'].'</h1>
					  '.$arr[$k]['company'].'<br />
					  '.$arr[$k]['address'].'<br />
					  '.$arr[$k]['city'].', '.$arr[$k]['zip'].', '.$arr[$k]['state'].'<br />
					  <h2>'.$arr[$k]['cou_name'].'</h2>
					  Phone No : '.$arr[$k]['phone_no'].'<br />
					  Fax : '.$arr[$k]['fax'].'<br />
					  Email :<span><a href="mailto:'.$arr[$k]['email'].'">'.$arr[$k]['email'].'</a></span><br />
					  <a href="?do=addaddress&id='.$arr[$k]['contact_name'].'">Edit Address</a>|
					  <a href="?do=deladdress&id='.$arr[$k]['contact_name'].'" onclick="return confirm(\'Are you Sure to delete?\');">Delete Address</a>';
				}	  
			  $output.='</tr>';
			$output.='</table>
			</div>
			</td>
		  </tr>
		   <tr align="right"><td class="content_list_footer" colspan=2>'.' '.$prev.' ';
				for($i=1;$i<=count($paging);$i++)
				 $pagingvalues1 .= $paging[$i]."  ";
						$output .= $pagingvalues1.' '.$next.'</td></tr>
		</table>
	</div>';
		return $output;
	}
	function showAddressBook($arr,$paging,$prev,$next,$val)
	{
	$output.='<div><table width="100%" border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td class="serachresult">Address Book  </td><td align="right" class="account_address"><a href="?do=addaddress" class="categoryList">Add Contact</a>
			</td>
		  </tr>
		  <tr>
			<td align="left" valign="top" colspan=2>
			<div>
			<table width="100%" border="0" cellspacing="0" cellpadding="0">';
			$k=0;
			for($i=0;$i<5;$i++)
			{
			  $output.='<tr>';
			  	for($j=0;$j<2;$j++)
				{
					$output.='<td width="50%" valign="top" class="account_address">';
					if($arr[$k]['contact_name']!='')
					{
						$output.='
						<div class="addressbook address_left">
						<h1>'.$arr[$k]['contact_name'].'</h1>
						<h4>'.$arr[$k]['first_name'].' '.$arr[$k]['last_name'].'</h4>
						<h2><a href="mailto:'.$arr[$k]['email'].'">&nbsp;'.$arr[$k]['email'].'</a></h2>
						'.$arr[$k]['city'].', '.$arr[$k]['state'].'
						<h3><a href="?do=addressbook&action=view&id='.$arr[$k]['contact_name'].'">View Contact</a></h3>
						</div>';
					}	  
  				    $output.='</td>';
					  $k++; 
				}	  
			  $output.='</tr>';
			} 
			
			$output.='</table>
			</div>
			</td>
		  </tr>
		   <tr align="right"><td class="content_list_footer" colspan=2>'.' '.$prev.' ';
				for($i=1;$i<=count($paging);$i++)
				 $pagingvalues1 .= $paging[$i]."  ";
						$output .= $pagingvalues1.' '.$next.'</td></tr>
		</table>
	</div>';
		return $output;
	}
	function showAddAddress($arrCountry,$arrAdd=array())
	{
	
		include("classes/Lib/HandleErrors.php");
		include_once('classes/Core/CUserAddressBook.php');
		Core_CUserAddressBook::Ulogin($Err);
		$output['val']=$Err->values;
		$output['msg']=$Err->messages;
		
		//print_r($output['val']);
		//print_r($arrAdd);

		if(count($arrAdd)>0 && count($output['val'])==0)	
		{
			$gName=$arrAdd[0]['contact_name'];
			$fName=$arrAdd[0]['first_name'];
			$lName=$arrAdd[0]['last_name'];
			$company=$arrAdd[0]['company'];
			$eMail=$arrAdd[0]['email'];
			$address=$arrAdd[0]['address'];
			$city=$arrAdd[0]['city'];
			$suburb=$arrAdd[0]['suburb'];
			$state=$arrAdd[0]['state'];
			$country=$arrAdd[0]['country'];
			$zip=$arrAdd[0]['zip'];
			$telephone=$arrAdd[0]['phone_no'];
			$fax=$arrAdd[0]['fax'];
			$status=(isset($_GET['id'])?1:0);
			$group=$_GET['id'];
		}
		else
		{
			$gName=$output['val']['txtGName'];
			$fName=$output['val']['txtFName'];
			$lName=$output['val']['txtLName'];
			$company=$output['val']['txtCompany'];
			$eMail=$output['val']['txtEMail'];
			$address=$output['val']['txtAddress'];
			$city=$output['val']['txtCity'];
			$suburb=$output['val']['txtSuburb'];
			$state=$output['val']['txtState'];
			$country=$output['val']['selCountry'];
			$zip=$output['val']['txtZip'];
			$telephone=$output['val']['txtPhone'];
			$fax=$output['val']['txtFax'];
			$status=$output['val']['hidStatus'];		
			$group=$output['val']['hidGroup'];		
		}

		if($status==1)
		{
			$buttonCaption='Update';
			$action="edit";
			$readonly="readonly";
		}
		else
		{
			$buttonCaption='Create';			
			$action="add";	
			$readonly="";			
		}


	$output1.='
	    <form name="frmAddress" method="post" action="?do=addaddress&action='.$action.'">
		<input type="hidden" name="hidStatus" value="'.$status.'">
		<input type="hidden" name="hidGroup" value="'.$group.'">
		<div align="center">
		 <table width="100%" border="0" cellspacing="0" cellpadding="0" class="checkout_rigistration" align="center">
		 	<tr>
			<td class="serachresult">Address Book</td>
			<td colspan=2></td>
			<td align="right" class="account_address" nowrap><a href="?do=addressbook" class="categoryList">View Contacts</a>
			</td>
			</tr>
		   <tr>
			 <td width="26%"><b>Group Name</b> <span>*</span></td>
			 <td width="4%">:</td>
			 <td width="70%"><input name="txtGName" type="text" class="txtbox1 w4 TxtC1" id="textfield9" value="'.$gName.'" /><h1><AJDF:output>'.$output['msg']['txtGName'].'</AJDF:output></h1></td>
		   </tr>
		   <tr>
			 <td width="26%" align="top">First Name <span>*</span></td>
			 <td width="4%">:</td>
			 <td width="70%"><input name="txtFName" type="text" class="txtbox1 w4 TxtC1" id="textfield9" value="'.$fName.'" /><h1><AJDF:output>'.$output['msg']['txtFName'].'</AJDF:output></h1></td>
		   </tr>
		   <tr>
			 <td valign="top">Last Name <span>*</span></td>
			 <td valign=top>:</td>
			 <td><input name="txtLName" type="text" class="txtbox1 w4 TxtC1" id="textfield2" value="'.$lName.'"/><h1><AJDF:output>'.$output['msg']['txtLName'].'</AJDF:output></h1></td>
		   </tr>
		   <tr>
			 <td>Company</td>
			 <td>:</td>
			 <td><input name="txtCompany" type="text" class="txtbox1 w4 TxtC1" id="textfield3" value="'.$company.'"/></td>
		   </tr>
		   <tr>
			 <td>Email Address</td>
			 <td>:</td>
			 <td><input name="txtEMail" type="text" class="txtbox1 w4 TxtC1" id="textfield4" value="'.$eMail.'"/><h1><AJDF:output>'.$output['msg']['txtEMail'].'</AJDF:output></h1></td>
		   </tr>
		   <tr>
			 <td>Address <span>*</span></td>
			 <td>:</td>
			 <td><input name="txtAddress" type="text" class="txtbox1 w4 TxtC1" id="textfield7" value="'.$address.'"/><h1><AJDF:output>'.$output['msg']['txtAddress'].'</AJDF:output></h1></td>
		   </tr>
		   <tr>
			 <td>City <span>*</span></td>
			 <td>:</td>
			 <td><input name="txtCity" type="text" class="txtbox1 w4 TxtC1" id="textfield8" value="'.$city.'"/><h1><AJDF:output>'.$output['msg']['txtCity'].'</AJDF:output></h1></td>
		   </tr>
		   <tr>
			 <td>Sub Urb </td>
			 <td>:</td>
			 <td><input name="txtSuburb" type="text" class="txtbox1 w4 TxtC1" id="textfield8" value="'.$suburb.'"/></td>
		   </tr>
		   <tr>
			 <td>State/Province <span>*</span></td>
			 <td>:</td>
			 <td><input name="txtState" type="text" class="txtbox1 w4 TxtC1" id="textfield8" value="'.$state.'"/><br><h1><AJDF:output>'.$output['msg']['txtState'].'</AJDF:output></h1>
			 </td>
		   </tr>
		   <tr>
			 <td>Country <span>*</span></td>
			 <td>:</td>
			 <td><select name="selCountry" id="select3" class="listbox1 w4a TxtC1">';
				 for($i=0;$i<count($arrCountry);$i++)
				 {
				 	 $sel='';
				 	 if($country==$arrCountry[$i]['cou_code'])
					 	$sel='selected';
						
					 $output1.='<option value="'.$arrCountry[$i]['cou_code'].'" '.$sel.'>'.$arrCountry[$i]['cou_name'].'</option>';
				 }
			 $output1.='</select></td>
		   </tr>
		   <tr>
			 <td>Zip/Postal Code <span>*</span></td>
			 <td>:</td>
			 <td><input name="txtZip" type="text" class="txtbox1 w4 TxtC1" id="textfield82" value="'.$zip.'"/><h1><AJDF:output>'.$output['msg']['txtZip'].'</AJDF:output></h1></td>
		   </tr>
		   <tr>
			 <td>Telephone </td>
			 <td>:</td>
			 <td><input name="txtPhone" type="text" class="txtbox1 w4 TxtC1" id="textfield822" value="'.$telephone.'"/></td>
		   </tr>
		   <tr>
			 <td>Fax</td>
			 <td>:</td>
			 <td><input name="txtFax" type="text" class="txtbox1 w4 TxtC1" id="textfield823" value="'.$fax.'"/></td>
		   </tr>
		   <tr>
			 <td colspan=2></td><td style="padding-top:10px;" align="right"><table width="100%" border="0" cellspacing="0" cellpadding="0">
				 <tr>
				   <td valign="top"><div>
					   <table border="0" cellspacing="0" cellpadding="0">
						 <tr>
						   <td align="right" class="button_left"> </td>
						   <td><input type="submit" name="Submit2" value="'.$buttonCaption.'" class="button" /></td>
						   <td class="button_right" ></td>
						 </tr>
					   </table>
				   </div></td>
				 </tr>
			 </table></td>
		   </tr>
		 </table>
	   </div>
	   </form>';
	   return $output1;
	}
	function showAddAddressFromCheckout($arrCountry,$arrAdd=array())
	{
	
		include("classes/Lib/HandleErrors.php");
		include_once('classes/Core/CUserAddressBook.php');
		Core_CUserAddressBook::Ulogin($Err);
		$output['val']=$Err->values;
		$output['msg']=$Err->messages;
		
		//print_r($output['val']);
		//print_r($arrAdd);

		if(count($arrAdd)>0 && count($output['val'])==0)	
		{
			$gName=$arrAdd[0]['contact_name'];
			$fName=$arrAdd[0]['first_name'];
			$lName=$arrAdd[0]['last_name'];
			$company=$arrAdd[0]['company'];
			$eMail=$arrAdd[0]['email'];
			$address=$arrAdd[0]['address'];
			$city=$arrAdd[0]['city'];
			$suburb=$arrAdd[0]['suburb'];
			$state=$arrAdd[0]['state'];
			$country=$arrAdd[0]['country'];
			$zip=$arrAdd[0]['zip'];
			$telephone=$arrAdd[0]['phone_no'];
			$fax=$arrAdd[0]['fax'];
			$status=(isset($_GET['id'])?1:0);
			$group=$_GET['id'];
		}
		else
		{
			$gName=$output['val']['txtGName'];
			$fName=$output['val']['txtFName'];
			$lName=$output['val']['txtLName'];
			$company=$output['val']['txtCompany'];
			$eMail=$output['val']['txtEMail'];
			$address=$output['val']['txtAddress'];
			$city=$output['val']['txtCity'];
			$suburb=$output['val']['txtSuburb'];
			$state=$output['val']['txtState'];
			$country=$output['val']['selCountry'];
			$zip=$output['val']['txtZip'];
			$telephone=$output['val']['txtPhone'];
			$fax=$output['val']['txtFax'];
			$status=$output['val']['hidStatus'];		
			$group=$output['val']['hidGroup'];		
		}

		if($status==1)
		{
			$buttonCaption='Update';
			$action="edit";
			$readonly="readonly";
		}
		else
		{
			$buttonCaption='Create';			
			$action="add";	
			$readonly="";			
		}


	$output1.='
	    <form name="frmAddress" method="post" action="?do=addaddress&action='.$action.'">
		<input type="hidden" name="hidStatus" value="'.$status.'">
		<input type="hidden" name="hidGroup" value="'.$group.'">
		<div align="center">
		 <table width="100%" border="0" cellspacing="0" cellpadding="0" class="checkout_rigistration" align="center">
		 	<tr>
			<td class="serachresult">Address Book</td>
			<td colspan=2></td>
			<td align="right" class="account_address" nowrap><!--<a href="?do=addressbook" class="categoryList">View Contacts</a>-->
			</td>
			</tr>
		   <tr>
			 <td width="26%"><b>Group Name</b> <span>*</span></td>
			 <td width="4%">:</td>
			 <td width="70%"><input name="txtGName" type="text" class="txtbox1 w4 TxtC1" id="textfield9" value="'.$gName.'" /><h1><AJDF:output>'.$output['msg']['txtGName'].'</AJDF:output></h1></td>
		   </tr>
		   <tr>
			 <td width="26%" align="top">First Name <span>*</span></td>
			 <td width="4%">:</td>
			 <td width="70%"><input name="txtFName" type="text" class="txtbox1 w4 TxtC1" id="textfield9" value="'.$fName.'" /><h1><AJDF:output>'.$output['msg']['txtFName'].'</AJDF:output></h1></td>
		   </tr>
		   <tr>
			 <td valign="top">Last Name <span>*</span></td>
			 <td valign=top>:</td>
			 <td><input name="txtLName" type="text" class="txtbox1 w4 TxtC1" id="textfield2" value="'.$lName.'"/><h1><AJDF:output>'.$output['msg']['txtLName'].'</AJDF:output></h1></td>
		   </tr>
		   <tr>
			 <td>Company</td>
			 <td>:</td>
			 <td><input name="txtCompany" type="text" class="txtbox1 w4 TxtC1" id="textfield3" value="'.$company.'"/></td>
		   </tr>
		   <tr>
			 <td>Email Address</td>
			 <td>:</td>
			 <td><input name="txtEMail" type="text" class="txtbox1 w4 TxtC1" id="textfield4" value="'.$eMail.'"/><h1><AJDF:output>'.$output['msg']['txtEMail'].'</AJDF:output></h1></td>
		   </tr>
		   <tr>
			 <td>Address <span>*</span></td>
			 <td>:</td>
			 <td><input name="txtAddress" type="text" class="txtbox1 w4 TxtC1" id="textfield7" value="'.$address.'"/><h1><AJDF:output>'.$output['msg']['txtAddress'].'</AJDF:output></h1></td>
		   </tr>
		   <tr>
			 <td>City <span>*</span></td>
			 <td>:</td>
			 <td><input name="txtCity" type="text" class="txtbox1 w4 TxtC1" id="textfield8" value="'.$city.'"/><h1><AJDF:output>'.$output['msg']['txtCity'].'</AJDF:output></h1></td>
		   </tr>
		   <tr>
			 <td>Sub Urb </td>
			 <td>:</td>
			 <td><input name="txtSuburb" type="text" class="txtbox1 w4 TxtC1" id="textfield8" value="'.$suburb.'"/></td>
		   </tr>
		   <tr>
			 <td>State/Province <span>*</span></td>
			 <td>:</td>
			 <td><input name="txtState" type="text" class="txtbox1 w4 TxtC1" id="textfield8" value="'.$state.'"/><br><h1><AJDF:output>'.$output['msg']['txtState'].'</AJDF:output></h1>
			 </td>
		   </tr>
		   <tr>
			 <td>Country <span>*</span></td>
			 <td>:</td>
			 <td><select name="selCountry" id="select3" class="listbox1 w4a TxtC1">';
				 for($i=0;$i<count($arrCountry);$i++)
				 {
				 	 $sel='';
				 	 if($country==$arrCountry[$i]['cou_code'])
					 	$sel='selected';
						
					 $output1.='<option value="'.$arrCountry[$i]['cou_code'].'" '.$sel.'>'.$arrCountry[$i]['cou_name'].'</option>';
				 }
			 $output1.='</select></td>
		   </tr>
		   <tr>
			 <td>Zip/Postal Code <span>*</span></td>
			 <td>:</td>
			 <td><input name="txtZip" type="text" class="txtbox1 w4 TxtC1" id="textfield82" value="'.$zip.'"/><h1><AJDF:output>'.$output['msg']['txtZip'].'</AJDF:output></h1></td>
		   </tr>
		   <tr>
			 <td>Telephone </td>
			 <td>:</td>
			 <td><input name="txtPhone" type="text" class="txtbox1 w4 TxtC1" id="textfield822" value="'.$telephone.'"/></td>
		   </tr>
		   <tr>
			 <td>Fax</td>
			 <td>:</td>
			 <td><input name="txtFax" type="text" class="txtbox1 w4 TxtC1" id="textfield823" value="'.$fax.'"/></td>
		   </tr>
		   <tr>
			 <td colspan=2></td><td style="padding-top:10px;" align="right"><table width="100%" border="0" cellspacing="0" cellpadding="0">
				 <tr>
				   <td valign="top"><div>
					   <table border="0" cellspacing="0" cellpadding="0">
						 <tr>
						   <td align="right" class="button_left"></td>
						   <td><input type="submit" name="Submit2" value="'.$buttonCaption.'" class="button" /></td>
						   <td class="button_right"></td>
						 </tr>
					   </table>
				   </div></td>
				 </tr>
			 </table></td>
		   </tr>
		 </table>
	   </div>
	   </form>';
	   return $output1;
	}
}
?>
