<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/
class Lib_FormValidation extends Lib_Validation_Handler 
{
	function Lib_FormValidation($form)
	{
		
		if($form=='register')
			$this->validateRegister();
		else if($form=='validatelogin')
			$this->validatelogin();
		else if($form=='validatemyprofile')
			$this->validatemyprofile();
		else if($form=='validatemail')
			$this->validatemail();
		else if($form=='productReview')
			$this->validateproductReview();
		else if($form=='contactUs')
			$this->contactUs();
		else if($form=='frmship')
			$this->validateCheckout();
		else if($form=='frmAcc')
			$this->validateUserAccount();
		else if($form=='frmWishSend')
			$this->validateWishlist();
		else if($form=='frmAddAddress')
			$this->validateAddress();			
		else if($form=='checkQuickregister')
			$this->validateQuickReg();

			
			
			
		
	}
	
	function validateproductReview()
	{
		$message = "Please select one of each of the ratings above";
		$this->Assign("ratings",trim($_POST['ratings']),"noempty",$message);
		
		$message = "Required Field Cannot be blank";
		$this->Assign("detail",trim($_POST['detail']),"noempty",$message);
		$this->Assign("reviewtxt",trim($_POST['reviewtxt']),"noempty",$message);
		
		$this->PerformValidation('?do=productreview&action=showproductreview&prodid='.$_REQUEST['prodid']);
	}
	
	function contactUs()
	{
		/*if(empty($_POST['email']))
		{
		    $message = "Required Field Cannot be blank";
			$this->Assign("email",'',"noempty",$message);
		}
		else if($this->validateEmailAddress($_POST['email']))
		{
				exit;
		}
		else
		{
			$message = "Invalid Emails";
 			$this->Assign("email",'',"noempty",$message);
		}
	*/
		$message = "Required Field Cannot be blank/Invalid Email";
		$this->Assign("email",trim($_POST['email']),"noempty/emailcheck",$message);
		
		$message = "Required Field Cannot be blank";
		$this->Assign("txtname",trim($_POST['txtname']),"noempty",$message);
		
		$this->PerformValidation('?do=contactus');
	}
	
	function validatemyprofile()
	{
		$message = "Required Field Cannot be blank/Alphanumeric not allowed/No special characters allowed";
		$this->Assign("firstname",trim($_POST['firstname']),"noempty/nonumber/nospecial''",$message);
		$message = "Required Field Cannot be blank/Alphanumeric not allowed/No special characters allowed";
		$this->Assign("lastname",trim($_POST['lastname']),"noempty/nonumber/nospecial''",$message);
		/*if(empty($_POST['email']))
		{
		    $message = "Required Field Cannot be blank";
			$this->Assign("email",'',"noempty",$message);
		}
		else if($this->validateEmailAddress($_POST['email']))
		{
				exit;
		}
		else
		{
			$message = "Invalid Emails";
 			$this->Assign("email",'',"noempty",$message);
		}*/
		$message = "Required Field Cannot be blank/Invalid Email";		
		$this->Assign("email",trim($_POST['email']),"noempty/emailcheck",$message);
		$message = "Required Field Cannot be blank";
		$this->Assign("passwd",trim($_POST['passwd']),"noempty",$message);
		$this->Assign("cpasswd",trim($_POST['cpasswd']),"noempty",$message);
		if(trim($_POST['passwd']) != '' and trim($_POST['cpasswd']) != '')
		{
			$pwdlength =strlen($_POST['passwd']);
			if($pwdlength<6)
			{
				$message = "Password minimum length is 6";
				$this->Assign("passwd","","noempty",$message);
			}
			elseif(trim($_POST['passwd']) != trim($_POST['cpasswd']))
			{
				$message = "Enter the Confirm Password";
				$this->Assign("cpasswd","","noempty",$message);
				
			}
		}
		$this->PerformValidation('?do=myprofile');
	}
	
	
	function validatelogin()
	{
		
		/*if(empty($_POST['txtemail']))
		{
		    $message = "Required Field Cannot be blank";
			$this->Assign("txtemail",'',"noempty",$message);
		}
		else if($this->validateEmailAddress($_POST['txtemail']))
		{
				exit;
		}
		else
		{
			$message = "Invalid Emails";
 			$this->Assign("txtemail",'',"noempty",$message);
		}*/
		
		
		
		
		$message = "Required Field Cannot be blank/Invalid Email";
		$this->Assign("txtemail",trim($_POST['txtemail']),"noempty/emailcheck",$message);
		$message = "Required Field Cannot be blank";
		$this->Assign("txtpass",trim($_POST['txtpass']),"noempty",$message);
		$this->Assign("txtcaptcha",trim($_POST['txtcaptcha']),"noempty",$message);
		//if(!empty($_POST['txtcaptcha']) && !(strtolower(trim($_POST['txtcaptcha']))==strtolower($code)))
			//$this->Assign("txtcaptcha","","noempty",$message);	
			
		
		$useremail = $_POST['txtemail'];
		$pswd = $_POST['txtpass'];
		$pswd  = base64_encode($pswd);
		
		$message = "Characters should match the above image";
		$code = $_SESSION['security_code'];		
		if(!empty($_POST['txtcaptcha']) && !(strtolower(trim($_POST['txtcaptcha']))==strtolower($code)))
		{
			$this->Assign("txtcaptcha","","noempty",$message);	
			$this->PerformValidation('?do=login');
		}
		else if(trim($useremail) != '' and trim($pswd) != '' and !empty($_POST['txtcaptcha']))
		{
			
			$sqlselect = "select * from users_table where user_email='".$useremail."' and user_status=1";
			$obj1 = new Bin_Query();
			$obj2 = new Bin_Query();
			if($obj1->executeQuery($sqlselect))
			{
				$sql = "select count(*) as temp from users_table where user_email='".$useremail."' and user_pwd='".$pswd."' and user_status=1";
				$obj2->executeQuery($sql);
				if($obj2->records[0]['temp']==0)
				{
					
					$message = "Invalid Username or Password";
					$this->Assign("txtpass",'',"noempty",$message);
					
				}
				else
				{
					$_SESSION['user_id'] = $obj1->records[0]['user_id'];
					$_SESSION['user_name'] = $obj1->records[0]['user_display_name'];
					if($_POST['remlogin'] == "on")
						setcookie("usremail", $_POST['txtemail']);						
					else
						unset($_COOKIE['usremail']);
						
				}
				
			}
			else
			{
				unset($_COOKIE['usremail']);
				$message = "Invalid User Email";
		    	$this->Assign("txtemail",'',"noempty",$message);
				
			}
		}
		
		$this->PerformValidation('?do=login');
	}
	
	function validateRegister()
	{
		
		$message = "Required Field Cannot be blank/Alphanumeric not allowed/No special characters allowed";
		$this->Assign("txtfname",trim($_POST['txtfname']),"noempty/nonumber/nospecial''",$message);
		$message = "Required Field Cannot be blank/ Alphanumeric not allowed/No special characters allowed";
		$this->Assign("txtlname",trim($_POST['txtlname']),"noempty/nonumber/nospecial''",$message);
		$message = "Required Field Cannot be blank/No special characters allowed";
		$this->Assign("txtdisname",trim($_POST['txtdisname']),"noempty/nospecial''",$message);
		/*if(empty($_POST['txtemail']))
		{
		    $message = "Required Field Cannot be blank";
			$this->Assign("txtemail",'',"noempty",$message);
		}
		else if($this->validateEmailAddress($_POST['txtemail']))
		{
				exit;
				
		}
		else
		{
			
			$message = "Invalid Emails";
 			$this->Assign("txtemail",'',"noempty",$message);
		}*/
		$message = "Required Field Cannot be blank/Invalid Email";		
		$this->Assign("txtemail",trim($_POST['txtemail']),"noempty/emailcheck",$message);
		
		$message = "Required Field Cannot be blank";
		$this->Assign("txtaddr",trim($_POST['txtaddr']),"noempty",$message);
		
		$message = "Required Field Cannot be blank/ Alphanumeric not allowed/No special characters allowed";
		$this->Assign("txtcity",trim($_POST['txtcity']),"noempty/nonumber/nospecial' '",$message);
		$this->Assign("txtState",trim($_POST['txtState']),"noempty/nonumber/nospecial' '",$message);
		
		$message = "Required Field Cannot be blank";
		$this->Assign("txtzipcode",trim($_POST['txtzipcode']),"noempty",$message);

		$message = "Required Field Cannot be blank";
		$this->Assign("txtpwd",trim($_POST['txtpwd']),"noempty",$message);
		$this->Assign("txtrepwd",trim($_POST['txtrepwd']),"noempty",$message);
		if(trim($_POST['txtpwd']) != '' and trim($_POST['txtrepwd']) != '')
		{
			$pwdlength =strlen($_POST['txtpwd']);
			if($pwdlength<6 or $pwdlength>20)
			{
				$message = "Password minimum length is 6 & maximum length is 20";
				$this->Assign("txtpwd","","noempty",$message);
			}
			elseif(trim($_POST['txtpwd']) != trim($_POST['txtrepwd']))
			{
				$message = "Enter the Confirm Password correctly";
				$this->Assign("txtrepwd","","noempty",$message);
				
			}
		}
		
		if(trim($_POST['txtfname']) != '' and trim($_POST['txtlname']) != '' and trim($_POST['txtdisname'])!='')
		{
			$fnamelength =strlen($_POST['txtfname']);
			$lnamelength =strlen($_POST['txtlname']);
			$dislength =strlen($_POST['txtdisname']);
			if($fnamelength<3 or $fnamelength>20)
			{
				$message = "Minimum length is 3";
				$this->Assign("txtfname","","noempty",$message);
			}
			if($lnamelength<3 or $lnamelength>20)
			{
				$message = "Minimum length is 3";
				$this->Assign("txtfname","","noempty",$message);
			}
			if($dislength<3 or $dislength>20)
			{
				$message = "Minimum length is 3";
				$this->Assign("txtdisname","","noempty",$message);
			}
		}
		
		$this->Assign("txtcaptcha",trim($_POST['txtcaptcha']),"noempty",$message);
		$message = "Characters should match the above image";
		$code = $_SESSION['security_code'];
		if(!empty($_POST['txtcaptcha']) && !(strtolower(trim($_POST['txtcaptcha']))==strtolower($code)))
				$this->Assign("txtcaptcha","","noempty",$message);	
		
		
		
		/*if(trim($_POST['txtemail']) != '' and trim($_POST['txtremail']) != '')
		{
			if(trim($_POST['txtemail']) != trim($_POST['txtremail']))
			{
				$message = "Enter the Confirm Email id correctly";
				$this->Assign("txtremail","","noempty",$message);
				
			}
		}*/
		
		$message = "Please select terms";
		$this->Assign("chkterms",trim($_POST['chkterms']),"noempty",$message);
		
		if(trim($_POST['txtdisname']) != ''&&trim($_POST['txtemail']) != '')
		{
			//$sqlselect = "select * from users_table where user_display_name='".$_POST['txtdisname']."'";

			$sqlselect = "select * from users_table where user_email='".$_POST['txtemail']."'";
			$obj = new Bin_Query();
			if($obj->executeQuery($sqlselect))
			{
				if($obj->totrows>0)
				{
					$message = "Username already Exist!.Try again.";		
					$this->Assign("txtemail",'',"noempty",$message);
				}
			}
		}
		$this->PerformValidation('?do=userregistration');
	}
	
	function validatemail()
	{
		
		if($_POST['email']!='' and $_POST['email']=='')
		{
		    $message = "Required Field Cannot be blank/Invalid Email";
			$this->Assign("email",'',"noempty/emailcheck",$message);echo'l';exit;
		}
		
		/*else
		{
			$message = "Invalid Emails";
 			$this->Assign("email",'',"noempty",$message);
		}
		$message = "Required Field Cannot be blank/Invalid Email";
		$this->Assign("email",trim($_POST['email']),"noempty/emailcheck",$message);*/
		$this->PerformValidation('?do=forgetpwd');
	}
	
	
	 function email($email, $check_domain = false)
    {
		//echo'email';exit;
        if($check_domain){

        }

        if (ereg('^[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+'.'@'.
                 '[-!#$%&\'*+\\/0-9=?A-Z^_`a-z{|}~]+\.'.
                 '[-!#$%&\'*+\\./0-9=?A-Z^_`a-z{|}~]+$', $email))
        {
            if ($check_domain && function_exists('checkdnsrr')) {
                list (, $domain)  = explode('@', $email);
                if (checkdnsrr($domain, 'MX') || checkdnsrr($domain, 'A')) {
                    return true;
                }
                return false;
            }
            return true;
        }
        return false;
    }
	
	/*function validateEmailAddress($email) 
	{
		
		// First, we check that there's one @ symbol, and that the lengths are right
	    if (!ereg("^[^@]{1,64}@[^@]{1,255}$", $email)) 
		{
    		// Email invalid because wrong number of characters in one section, or wrong number of @ symbols.
			echo 'it has more @values ';
			    return false;
        }
    	// Split it into sections to make life easier
	    $email_array = explode("@", $email);
    	$local_array = explode(".", $email_array[0]);
		
	    for ($i = 0; $i < sizeof($local_array); $i++) 
		{
   			if (!ereg("^(([A-Za-z0-9!#$%&'*+/=?^_`{|}~-][A-Za-z0-9!#$%&'*+/=?^_`{|}~\.-]{0,63})|(\"[^(\\|\")]{0,62}\"))$", $local_array[$i])) 
			{
			   return false;
   			}
   		}
		if (!ereg("^\[?[0-9\.]+\]?$", $email_array[1])) { // Check if domain is IP. If not, it should be valid domain name
		   $domain_array = explode(".", $email_array[1]);
  		if (sizeof($domain_array) < 2) 
		{
		   return false; // Not enough parts to domain
   		}
		for ($i = 0; $i < sizeof($domain_array); $i++) 
		{
			   if (!ereg("^(([A-Za-z0-9][A-Za-z0-9-]{0,61}[A-Za-z0-9])|([A-Za-z0-9]+))$", $domain_array[$i])) 
			   {
				   return false;
		}
	  }
	 }
   	return true;
   }
	*/
	
	function validateCheckout()
	{
//echo 'welcome';
//print_r($_POST);exit;
		$message = "Required Field Cannot be blank";
		$this->Assign("txtname",trim($_POST['txtname']),"noempty",$message);
	//	$this->Assign("txtcompany",trim($_POST['txtcompany']),"noempty",$message);		
		$this->Assign("txtstreet",trim($_POST['txtstreet']),"noempty",$message);
	//	$this->Assign("txtsuburb",trim($_POST['txtsuburb']),"noempty",$message);
		$this->Assign("txtzipcode",trim($_POST['txtzipcode']),"noempty",$message);
		$this->Assign("selbillcountry",trim($_POST['selbillcountry']),"noempty",$message);
		$this->Assign("txtstate",trim($_POST['txtstate']),"noempty",$message);
		
		$this->Assign("txtsname",trim($_POST['txtsname']),"noempty",$message);
	//	$this->Assign("txtscompany",trim($_POST['txtscompany']),"noempty",$message);
		$this->Assign("txtsstreet",trim($_POST['txtsstreet']),"noempty",$message);
	//	$this->Assign("txtssuburb",trim($_POST['txtssuburb']),"noempty",$message);
		$this->Assign("txtszipcode",trim($_POST['txtszipcode']),"noempty",$message);
		$this->Assign("selshipcountry",trim($_POST['selshipcountry']),"noempty",$message);
		$this->Assign("txtsstate",trim($_POST['txtsstate']),"noempty",$message);
		$this->PerformValidation('?do=showcart&action=getaddressdetails');
	}
	
	function validateWishlist()
	{
		$message = "Required Field Cannot be blank/Invalid Email Id";
		$this->Assign("txtEmail",trim($_POST['txtEmail']),"noempty/emailcheck",$message);
		$this->PerformValidation('?do=wishlist');
	}
	
	function validateUserAccount()
	{
		$message = "Required Field Cannot be blank";
		$this->Assign("txtFName",trim($_POST['txtFName']),"noempty",$message);

		$message = "Required Field Cannot be blank";
		$this->Assign("txtLName",trim($_POST['txtLName']),"noempty",$message);

		$message = "Required Field Cannot be blank/Invalid Email";
		$this->Assign("txtEmail",trim($_POST['txtEmail']),"noempty/emailcheck",$message);

		$message = "Required Field Cannot be blank";
		$this->Assign("txtCPwd",trim($_POST['txtCPwd']),"noempty",$message);
		$this->Assign("txtNPwd",trim($_POST['txtNPwd']),"noempty",$message);
		$this->Assign("txtCNPwd",trim($_POST['txtCNPwd']),"noempty",$message);


		if($_POST['txtNPwd']!=''&& $_POST['txtCNPwd']!='')
		{
			$pwdlength =strlen($_POST['txtNPwd']);
			if($pwdlength<6)
			{
				$message = "Password minimum length is 6";
				$this->Assign("txtNPwd","","noempty",$message);
			}
			else if(trim($_POST['txtNPwd'])!=trim($_POST['txtCNPwd']))	
			{
				$message = "Password mismatch";
				$this->Assign("txtCNPwd","","noempty",$message);
			}
			else if(trim($_POST['txtCPwd'])!=trim($_POST['hidCPwd']))
			{
				$message = "Invalid Password";
				$this->Assign("txtCPwd","","noempty",$message);
			}
		}	
		
	$this->PerformValidation('?do=accountinfo');

	}
	function validateAddress()
	{
		$message = "Required Field Cannot be blank";
		$this->Assign("txtGName",trim($_POST['txtGName']),"noempty",$message);
		
		if(trim($_POST['txtGName'])!='' && $_POST['Submit2']=='Create')		
		{
			$sqlselect = "select * from addressbook_table where contact_name='".$_POST['txtGName']."' and user_id='".$_SESSION['user_id']."'";
			$obj = new Bin_Query();
			if($obj->executeQuery($sqlselect))
			{
				if($obj->totrows>0)
				{
					$message = "Name already Exist in datatbase";		
					$this->Assign("txtGName",'',"noempty",$message);
				}
			}
		}
	
		$message = "Required Field Cannot be blank";
		$this->Assign("txtFName",trim($_POST['txtFName']),"noempty",$message);

		$message = "Required Field Cannot be blank";
		$this->Assign("txtLName",trim($_POST['txtLName']),"noempty",$message);

		if(trim($_POST['txtEMail'])!='')
		{
			$message = "Invalid Email";
			$this->Assign("txtEMail",trim($_POST['txtEMail']),"emailcheck",$message);
		}
		
		$message = "Required Field Cannot be blank";
		$this->Assign("txtAddress",trim($_POST['txtAddress']),"noempty",$message);
		$this->Assign("txtCity",trim($_POST['txtCity']),"noempty",$message);
		$this->Assign("txtState",trim($_POST['txtState']),"noempty",$message);
		$this->Assign("txtZip",trim($_POST['txtZip']),"noempty",$message);
		
		$this->PerformValidation('?do=addaddress');

	}
	
	function validateQuickReg()
	{
	

	$message = "Required Field Cannot be blank";
	$this->Assign("txtregemail",trim($_POST['txtregemail']),"noempty",$message);
	$this->Assign("txtregpass",trim($_POST['txtregpass']),"noempty",$message);
	$this->Assign("txtcaptcha",trim($_POST['txtcaptcha']),"noempty",$message);
	
		if($_POST['txtregpass']!='')
		{
			$pwdlength =strlen($_POST['txtregpass']);
			if($pwdlength<6)
			{
				$message = "Password minimum length is 6";
				$this->Assign("txtregpass","","noempty",$message);
			}			
		}	
		
		if(trim($_POST['txtregemail'])!='')
		{
			$message = "Invalid Email";
			$this->Assign("txtregemail",trim($_POST['txtregemail']),"emailcheck",$message);
		}
		
		$message = "Characters should match the above image";
		$code = $_SESSION['security_code'];
		if(!empty($_POST['txtcaptcha']) && !(strtolower(trim($_POST['txtcaptcha']))==strtolower($code)))
				$this->Assign("txtcaptcha","","noempty",$message);	
	
	
	$this->PerformValidation('?do=showcart&action=showquickregistration');

	
	}
	
		
}
?>