<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * CSelectSkin
 *
 * This class contains functions to get the Items  of the Dashbooard from the table  
 *
 * @package		Core_Settings_CDashboardSettings
 * @category	Core
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------

class Core_Settings_CDashboardSettings
{
	/**
	 * Stores the output
	 *
	 * @var array $output
	 */	
	var $output = array();
	
	/**
	 * Stores the error messages 
	 *
	 * @var array $errormessages
	 */		
	var $errormessages = array();
	
	
	/**
	 * Function  to get the Items  of the Dashbooard from the database 
	 * 
	 * 
	 * @return string
	 */	 		  
	function displayDashItems()
	{
		
		     include("classes/Display/DDashboardSettings.php");
			 
			 $sql1 = "SELECT dash_id,dash_name FROM dashboard_items_table ";
			$query1 = new Bin_Query();
			if($query1->executeQuery($sql1))
			{		
				
				$arr1=$query1->records;
			}
			
		 $sql2 = "SELECT dash_id FROM  dashboard_settings_table  where admin_id=".$_SESSION['adminId'];
			$query2 = new Bin_Query();
			
			if($query2->executeQuery($sql2))
			{		
				
				$arr2=$query2->records;
			}
	
	   
	
	      return Display_DDashboardSettings::displayDashItems($arr1,$arr2);
	
	}
	
	
	
	
	/**
	 * Function add and delete  dashboard items from the database 
	 * 
	 * 
	 * @return string
	 */	 		
	
	 function disableDashItems()
	 {
		
	    $query = new Bin_Query();	
	    $dashitems=$_POST['dashitems'];
	    $sql="select count(*) as cnt from dashboard_settings_table where admin_id=".$_SESSION['adminId'];
		$query->executeQuery($sql);
		$arr=$query->records;
	

				if(count($dashitems)==0)
				{
				   
				  $sql="DELETE from dashboard_settings_table where admin_id=".$_SESSION['adminId'];
				  $query->updateQuery($sql);
				
				
				}
				else
				{   
						
					$sql="DELETE from dashboard_settings_table where admin_id=".$_SESSION['adminId'];
					$query->updateQuery($sql);
					for($i=0;$i<count($dashitems);$i++)
					{
					$sql1="INSERT into dashboard_settings_table(dash_id,admin_id) VALUES(".$dashitems[$i].",".$_SESSION['adminId'].")";
				
					$query->updateQuery($sql1);
					
					}
					
				
				
				}
					
	            $_SESSION['updatemsg']='<div class="success_msgbox">successfully Updated </div> ';
	   
	    	
		
	 
	 
	 
	 }
	
		
}


?>