<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/
/**
 * DAttributeValueSelection
 *
 * This class contains functions to list out the attributes values.
 *
 * @package		Display_DAttributeValueSelection
 * @category	Display
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------
class Display_DAttributeValueSelection
{

	/**
	 * Function to get curresponding attribute values. 
	 * @param array $arr
	 * @param string $attname
	 * @return string
	 */
	function getAttribListValues($arr,$attname)
	{ 	
		$output.='<select name="id" class="form_combobox"><option value="all">All Attributes</option>';
		for($i=0;$i<count($arr);$i++)
		{
			
			if($attname == $arr[$i]['attrib_id'])
			{
				$output.='<option value="'.$arr[$i]['attrib_id'].'" selected>'.$arr[$i]['attrib_name'].'</option>';
			}
			else 
				$output.='<option value="'.$arr[$i]['attrib_id'].'" >'.$arr[$i]['attrib_name'].'</option>';
		}	
		$output.='</select >';
		return $output;	
	}
	
	/**
	 * Function display the attributes values. 
	 *  
	 * @return string
	 */
	function listAttributeValue()
	{
		$output = "";
		//echo "<pre>";
		//print_r($arr);
		
		
			$output='<table width="100%" border="0" cellpadding="0" cellspacing="0" class="formblock_content" >
                            <tr class="formblock_row3">
                              <td width="100" align="center" class="form_txt">S.no.</td>
 							  <td width="460" align="center" class="form_txt">Attribute Name</td>					  
				              <td width="400" class="form_txt" align="center" >Attribute Value</td>
							  <td width="150" align="center" class="form_txt">Actions</td>                              
							  </tr>';		
		
		 $output.='<tr> <td colspan="4">
					 <div name="ajaxcontentdiv" id="ajaxcontentdiv" >';
		
		return $output;
		
		
		
		
		
		/*$output .= '<table width="100%" border="0" cellpadding="0" cellspacing="0" class="content_list_bdr">
          <td colspan="2"><tr>
                <td width="5%" class="content_list_head" align="center">S.No</td>
                <td width="41%" class="content_list_head">Attribute Name</td>
				<td width="90%" class="content_list_head">Attribute Value</td>
                <td colspan="2" align="center" class="content_list_head">Actions</td>
                </tr>';*/
           
			
	}
	
	
	/**
	 * Function display the attributes values. 
	 * @param array $arr
	 * @param integer $paging
	 * @param integer $prev	 
	 * @param integer $next	 
	 * @param integer $val	 
	 * @return string
	 */
	function listAttributeAjax($arr,$paging,$prev,$next,$val)
	{
		
          /* for ($i=0;$i<count($arr);$i++)
		{
			if($i % 2 == 0)
				$classtd='class="content_list_txt1"';
			else
				$classtd='class="content_list_txt2"';
			$output.='<input type=hidden name=index value="">';
			
			$output .= '<tr style="background-color:#FFFFFF;" onmouseout="listbg(this, 0);" onmouseover="listbg(this, 1);"><td align="center" '.$classtd.'">'.($val+1).'</td><td align="left" '.$classtd.'">'.$arr[$i]['attrib_name'].'</td><td align="left" '.$classtd.'">'.$arr[$i]['attrib_value'].'</td>';
			
			$output.='<td align="center" '.$classtd.'"><input type="button" class="edit_bttn" name="Edit"  title="Edit" value="" onclick=edit('.$arr[$i]['attrib_value_id'].') /></td>';
			$output.='<td align="center" '.$classtd.'"><input type="button" class="delete_bttn" name="Delete"  title="Delete" value="" onclick=callattribvalues('.$arr[$i]['attrib_value_id'].') /></td></tr>';
			$val++;
		}
		
			
			$output.='<tr align="center"><td colspan="8"  class="content_list_footer" >'.' '.$prev.' ';
		    for($i=1;$i<=count($paging);$i++)
				 $pagingvalues .= $paging[$i]."  ";
				 	 	$output .= $pagingvalues.' '.$next.'</td></tr></table>';
			return $output;
		   
		   $output = "";
		
		//echo "<pre>";
		//print_r($arr);
		/* $output.='  <tr>
                <td colspan="5" class="cnt_list_bot_bdr"><img src="images/list_bdr.gif" alt="" width="1" height="2" /></td>
              </tr>';*/
								 
	    $output.='<table cellspacing="0" border="0" width="100%" align="center">';	
		
	  
		for ($i=0;$i<count($arr);$i++)
		{
			$output.='<input type="hidden" name="mainindex" value="">';
			
			
				
		if($i%2==0)
				{
			$output.='<tr  id="order'.$i.'" class="formblock_row1 form_border" >
                              <td width="80" align="center" style="text-indent: 5px;">'.($i+1).'</td>
                              <td width="325" align="left" style="text-indent:5px;">'.$arr[$i]['attrib_name'].'</td>
							  <td width="325" align="left" style="text-indent:5px;">'.$arr[$i]['attrib_value'].'</td>
                              <td width="45" align="center" style="text-indent:5px;"><input type="button" class="edit_bttn" name="Edit"  title="Edit" value="" onclick=edit('.$arr[$i]['attrib_value_id'].') /></td>
							   <td width="50" align="center" style="text-indent:5px;"><input type="button" name="Delete" class="delete_bttn" title="Delete" value="" onclick="callattribvalues('.$arr[$i]['attrib_value_id'].');" /></td>                              
						    </tr>';		
			
			
			}
			else
			{
			
						  
			$output.='<tr  id="order'.$i.'" class="formblock_row1 form_border" >
                              <td width="80" align="center" style="text-indent: 5px;">'.($i+1).'</td>
                              <td width="325" align="left" style="text-indent:5px;">'.$arr[$i]['attrib_name'].'</td>
							  <td width="325" align="left" style="text-indent:5px;">'.$arr[$i]['attrib_value'].'</td>
                              <td width="45" align="center" style="text-indent:5px;"><input type="button" class="edit_bttn" name="Edit"  title="Edit" value="" onclick=edit('.$arr[$i]['attrib_value_id'].') /></td>
							   <td width="50" align="center" style="text-indent:5px;"><input type="button" name="Delete" class="delete_bttn" title="Delete" value="" onclick="callattribvalues('.$arr[$i]['attrib_value_id'].');" /></td>                   
						    </tr>';		  						  
			}	
			
			
		
		}		
		
		 $output.='<tr align="center"><td colspan="5"  class="formblock_bleft formblock_bbg formblock_bright" >'.' '.$prev.' ';
		    for($i=1;$i<=count($paging);$i++)
				 $pagingvalues .= $paging[$i]."  ";
				 	 	$output .= $pagingvalues.' '.$next.'</td></tr>';
						
						$output.='</table></div></td></tr></table>';		
						
		//$output .= '</table>';
		return $output;
	}  
		  
	
	
	
	/**
	 * Function To Edit an Attributes values. 
	 * @param array $arr
	 * @return string
	 */
	function displayAttributeValues($arr)
	{
	$output = "";
	for ($i=0;$i<count($arr);$i++)
		{
			$output.='<form name="formsubcatedit" action="?do=addattributevalues&action=edit&id='.(int)$_GET['id'].'" method="post" enctype="multipart/form-data">
			
			<tr class="formblock_row2" onmouseover="mouse_event(this, \'formrow_bg\');" onmouseout="mouse_event(this, \'formblock_row2\');">
<td width="20%" align="left" class="form_txt">&nbsp; Attribute Values </td><td  width="6%"class="form_txt" width="6%">  :</td>


<td width="60%"  class="content_form"><input type="text" name="attributevalues" class="form_txtbox" id="attrib" value="'.$arr[0]['attrib_value'].'" /></td>

</tr> <tr>
            <td colspan="3" align="left" style="padding-top:100px;">&nbsp;</td>
          </tr>
		  <tr>
            <td colspan="3" align="left" style="padding-top:100px;">&nbsp;</td>
          </tr>
';
		}
		return $output;
	}	
}
?>