<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * DAdminProductReview
 *
 * This class contains functions to show the product review details.
 *
 * @package		Display_DAdminProductReview
 * @category	Display
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------

$arr = array();
$val = array();
$output = array();
class Display_DAdminProductReview
{
	
	function showReviewForm()
	{
		$output ='<form name="review" method="post">';
		$output .= '<table width="100%" border="0" cellpadding="0" cellspacing="0" class="formblock_content">
		  <tr class="formblock_row3">
                <td align="center" class="form_txt" width="50" >S.No</td>
                <td align="center" class="form_txt" width="100">User Name</td>
				<td align="center" class="form_txt" width="150">Product Name</td>
				<td align="center" class="form_txt" width="250">Review Summary</td>
				<td align="center" class="form_txt" width="150">Review</td>
				<td align="center" class="form_txt" width="150">Posted On</td>
				<td align="center" class="form_txt" width="100">Status</td>
                
                </tr>
				';
		$output .= '<tr class="formblock_row4 form_border"> <td align="center"><b>Search</b></td> <td align="center"><input type="text" size="30"  style="width:75px;" name="username" id="username" value="'.$_POST['username'].'"/></td> <td align="center"><input type="text" name="title" id="title" size="30"  style="width:75px;" value="'.$_POST['title'].'"/></td> <td align="center"><input type="text" name="reviewtxt" id="reviewtxt" size="30"  style="width:150px;" value="'.$_POST['reviewtxt'].'"/></td> <td align="center"><input type="text" size="30"  style="width:75px;" name="review" id="review" value="'.$_POST['review'].'"/></td> <td align="center"><input type="text" id="date" name="date" size="30"  style="width:75px;" value="'.$_POST['date'].'"/>&nbsp;<input type="image" src="images/icon_cal.gif" id="cal-button-1" value="cal">
		 <script type="text/javascript">
            Calendar.setup({
              inputField    : "date",
              button        : "cal-button-1",
              align         : "Tr"
            });
          </script></td> <td align="center"><input class="button_style1" type="button" name="search" value="Search" onclick="loadorder();"/></td></tr><tr > <td colspan="7"><div name="ajaxcontentdiv" id="ajaxcontentdiv" >';
		  return $output;
	}
	/**
	 * List out the review details. 
	 * @param array $arr
	 * @param integer $flag
	 * @return string
	 */
	function showReviewDetails($arr,$flag)
	{
		$cnt=count($arr);
		if($cnt>0)
		{
			 $output='<table cellspacing="0" border="0" width="100%" align="center"  >';
			for ($i=0;$i<$cnt;$i++)
			{
				$reviewdatetime=$arr[$i]['review_date'];
				$review_date_time = explode(" ",$reviewdatetime);
				$review_date = explode("-",$review_date_time[0]);
				$review_time = explode(":",$review_date_time[1]);
				$reviewdate=date("M d, Y ",mktime(0,0,0,$review_date[1],$review_date[2],$review_date[0]));
				if($i % 2 == 0)
				$classtd='class="formblock_row1 form_border"';
			else
				$classtd='class="formblock_row2 form_border"';
				$output .='<tr '.$classtd.'><td width="56" style="text-indent:5px;">'.($i+1).'</td><td width="103" style="text-indent:5px;">'.$arr[$i]['user_display_name'].'</td><td width="147" style="text-indent:5px;"><a href="?do=aprodetail&action=showprod&prodid='.$arr[$i]['product_id'].'">'.$arr[$i]['title'].'</a></td>';
				$output .='<td width="247" style="text-indent:5px;">'.$arr[$i]['review_txt'].'</td><td width="150" style="text-indent:5px;">'.$arr[$i]['review_caption'].'</td><td width="150" style="text-indent:5px;">'.$reviewdate. '</td>';
				
				
				if($arr[$i]['review_status']==0)
				{
					
					$output .='<td width="97" style="text-indent:5px;"><a href="?do=adminproductreview&action=accept&prodid='.$arr[$i]['product_id'].'&usrid='.$arr[$i]['user_id'].'" class="inactive_link" title="Click to Activate">Inactive</a>&nbsp;&nbsp</td>';
				}
				else
				{
					$output .='<td width="97" style="text-indent:5px;"><a href="?do=adminproductreview&action=deny&prodid='.$arr[$i]['product_id'].'&usrid='.$arr[$i]['user_id'].'"class="active_link" title="Click to Inactivate">Active</a></td>';
				}
				
				
				
				$output.='<input type="hidden" name="prodid" value="'.$arr[$i]['product_id'].'"/>';
			}
		}
		else
		{
			$output .= '<tr><td align="center" colspan="7"><font color="orange"><b>No Record Found</b></font></td></tr>';	
		}
		
		
		$output .='<tr align="center" height="30px" ><td align="center" colspan="7"  class="formblock_bleft formblock_bbg formblock_bright"><b>Export Report</b>&nbsp;&nbsp;<select name="export">
						<option value="">Select Format</option>
						<option value="excel">Excel</option>
						<option value="xml">XML</option>
						<option value="csv">CSV</option>
						<option value="tab">TAB</option>
		   			</select>&nbsp;&nbsp;&nbsp;<input type="submit" name="btnreport" value="Export" class="button_style1"></td></tr>';
		$output.='</table></div></td></tr></table></form>';
		return $output;
	}
	
}
?>
