<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * DNewsSettings
 *
 * This class contains functions to list out the available news.
 *
 * @package		Display_DNewsSettings
 * @category	Display
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------

class Display_DNewsSettings
{
	/**
	 * Function creates a template to display the news available. 
	 * @param array $arr
	 * @param integer $flag
     * @param integer $paging
	 * @param integer $prev	 
	 * @param integer $next	 	  
	 * @return string
	 */
	
	
	function showNews()
	{    
	
			
		$output="";
		$output.='<table width="100%" border="0" cellpadding="0" cellspacing="0" class="formblock_content" >
                            <tr class="formblock_row3">
                              <td width="150" align="center" class="form_txt">S.No</td>
 							  <td width="400" align="center" class="form_txt">News Title</td>					  
				              <td width="320" class="form_txt" align="center" >Created Date</td>
							  <td width="210" align="center" class="form_txt">Status</td>  
                              <td width="150" align="center" class="form_txt">Delete</td>  							  
							  </tr>';		
		
		 $output.='<tr> <td colspan="5">
					 <div name="ajaxcontentdiv" id="ajaxcontentdiv" >';

		
		
		/*$output .= '<table width="100%" border="0" cellpadding="0" cellspacing="0" Newsletter Title>
              <tr>
                <td class="content_list_head">S.No</td>
                <td class="content_list_head">News Title</td>
				<td align="center" class="content_list_head">Created Date</td>
				<td align="center" class="content_list_head">Status</td>
			
                <td colspan="2" align="center" class="content_list_head">Delete</td>
                </tr>
              <tr>
                <td colspan="6" class="cnt_list_bot_bdr"><img src="images/list_bdr.gif" alt="" width="1" height="2" /></td>
              </tr>';*/
		
		return $output;
			
	}
	
	
	/**
	 * Function creates a template to display the news available. 
	 * @param array $arr
	 * @param integer $flag
     * @param integer $paging
	 * @param integer $prev	 
	 * @param integer $next	 	  
	 * @return string
	 */
	
	
	function showAjaxNews($arr,$flag,$paging,$prev,$next)
	{    
	
		$output = "";
		
		
		 $output.='<table cellspacing="0" border="0" width="100%" align="center">';	
		
	    if (count($arr) > 0)
		{
		for ($i=0;$i<count($arr);$i++)
		{
			
			
			$status = $arr[$i]['news_status'];
			
			if($status==1)
			{
			$status='active_link'; //sent
			$title='Active';
			}
			else
			{
			$status='inactive_link'; //Not Sent
			$title='InActive';
			}	
		
		 		$validto_date_time = explode(" ",$arr[$i]['news_date']);
				$validto_date = explode("-",$validto_date_time[0]);
				$validto_time = explode(":",$validto_date_time[1]);
				$validtodatetime=date("l, M d, Y ",mktime(0,0,0,$validto_date[1],$validto_date[2],$validto_date[0]));	
				
		if($i%2==0)
				{		
				
				
			$output.='<tr  id="order'.$i.'" class="formblock_row1 form_border" >
                              <td width="80" align="center" style="text-indent: 8px;">'.($i+1).'</td>
                              <td width="225" align="left" style="text-indent:8px;"><a href="?do=news&action=disp&id='.$arr[$i]['news_id'].'" >'.$arr[$i]['news_title'].' </a></td>
							  <td width="200" align="left" style="text-indent:8px;">'.$validtodatetime.'</td>
                              <td width="100" align="center" style="text-indent:8px;" title='.$title.' ><a href="?do=news&action=status&id='.$arr[$i]['news_id'].'&status='.$arr[$i]['news_status'].'"><span class='.$status.' style="text-decoration:none;" >&nbsp;</span></a><input type="hidden" value="'.$arr[$i]['news_status'].'" name="newsStatus" /></td>
				 <td width="100" align="center" style="text-indent:8px;"><input type="checkbox" name="deletenews[]" id="deletenews" value='.$arr[$i]['news_id'].' /></td>';		    
						
						$output.='</tr>';		
			}
			else
			{
			
						  
			$output.='<tr  id="order'.$i.'" class="formblock_row1 form_border" >
                                <td width="80" align="center" style="text-indent: 8px;">'.($i+1).'</td>
                              <td width="225" align="left" style="text-indent:8px;"><a href="?do=news&action=disp&id='.$arr[$i]['news_id'].'" >'.$arr[$i]['news_title'].' </a></td>
							  <td width="200" align="left" style="text-indent:8px;">'.$validtodatetime.'</td>
                              <td width="100" align="center" style="text-indent:8px;" title='.$title.' ><a href="?do=news&action=status&id='.$arr[$i]['news_id'].'&status='.$arr[$i]['news_status'].'"><span class='.$status.' style="text-decoration:none;" >&nbsp;</span></a><input type="hidden" value="'.$arr[$i]['news_status'].'" name="newsStatus" /></td>
				 <td width="100" align="center" style="text-indent:8px;"><input type="checkbox" name="deletenews[]" id="deletenews" value='.$arr[$i]['news_id'].' /></td>';								  
								
						$output.='</tr>';		  								 	  						  
			}				
			
		
		}		
		 $output.='<tr align="center"><td colspan="10"  class="formblock_bleft formblock_bbg formblock_bright" >'.' '.$prev.' ';
		    for($i=1;$i<=count($paging);$i++)
				 $pagingvalues .= $paging[$i]."  ";
				 	 	$output .= $pagingvalues.' '.$next.'</td></tr>';						
						$output.='</table></div></td></tr></table>';	
		}							
		
		else
		{
		$output.='<tr><td colspan="9" class="content_list_txt1" valign="top" width="100%"><div class="exc_msgbox"  width="100%" style="width:900px"> No News Available to Display</div></td></tr>';
		}
		
		
		
		return $output;
		
		
		
		
		
		/*for ($i=0;$i<count($arr);$i++)
		{
			//$msg=substr($msg,0,30).'..';
			if($i % 2 == 0)
				$classtd='class="content_list_txt1"';
			else
				$classtd='class="content_list_txt2"';
			$status=$arr[$i]['news_status'];
			if($status==1)
			{
			$status='active_link'; //sent
			$title='Active';
			}
			else
			{
			$status='inactive_link'; //Not Sent
			$title='InActive';
			}
			$output .= '<tr style="background-color: rgb(255, 255, 255);" onmouseout="listbg(this, 0);" onmouseover="listbg(this, 1);"><td align="center" '.$classtd.'">'.($i+1).'</td><td align="" '.$classtd.'"><a href="?do=news&action=disp&id='.$arr[$i]['news_id'].'" >'.$arr[$i]['news_title'].' </a></td>';
			$output .= '<td align="center" '.$classtd.'">'.$arr[$i]['news_date'].'</td>';
			$output .= '<td align="center" '.$classtd.'" title='.$title.'><a href="?do=news&action=status&id='.$arr[$i]['news_id'].'&status='.$arr[$i]['news_status'].'"><span class='.$status.'></span></a><input type="hidden" value="'.$arr[$i]['news_status'].'" name="newsStatus" /></td> ';
			$output.='<td align="center" '.$classtd.'"><input type="checkbox" name="deletenews[]" id="deletenews" value='.$arr[$i]['news_id'].' /></td>';
		}
		$output .='<tr><td colspan="5" align="center" class="content_list_txt1">'.$prev.' ';
		
		    for($i=1;$i<=count($paging);$i++)
				 $pagingvalues .= $paging[$i]."  ";
		
			$output .= $pagingvalues.' '.$next.'</td></tr>';	
		$output.='</td></tr></table>';
		return $output;*/
			
	}
	
	
	
	/**
	 * Function creates a template to update the available news. 
	 * @param array $arr
	 * 
	 * @return string
	 */
	
	function viewNews($arr)
	{
	
		
		
		$output = "";
		//echo "<pre>";
		//print_r($arr); // ?do=newsletter&action=edit&id='.(int)$_GET['id'].'
		$output.='<form name="viewnews" action="" method="post" ><table width="100%" border="0" cellspacing="0" cellpadding="0" >
	    <tr>
                <td class="formblock_tleft">&nbsp;</td>
                <td class="formblock_tbg"> <div id="quickmenuheading">EDIT NEWS</div></td>
                <td class="formblock_tright">&nbsp;</td>
                </tr>

	<tr> <td colspan="3" class="formblock_content">';
		//$output .= '<table border="1"><tr><td>';
		
		$output.='<table width="97%" border="0" cellspacing="0" cellpadding="0"  align="center">
			      <tr>
            <td colspan="3" align="left">&nbsp;</td>
          </tr>
				<tr >
            <td width="" align="left" class="form_txt">News Title:  <input type="text" name="newstitle" id="newstitle" class="txt_box200" value="'.$arr[0]['news_title'].'" />&nbsp; &nbsp; &nbsp;<a href="?do=news" class="add_link" >Add News</a></td></tr>
<tr>
            <td colspan="3" align="left">&nbsp;</td>
          </tr>
          <tr >';
		$output.='<tr class="">
            <td width="" align="left" class="form_txt">News Content:<br> <br> 
<div><textarea name="newsletter" id="newsletter" cols="85" rows="20" >'.$arr[0]['news_desc'].'</textarea>
</td></tr>
<tr><td>&nbsp;</td></tr>

';
		$output.='
                
               
              </tr>';		
		$output .= '</td></tr></table>
		
			            </td>
 </tr> 
  <tr>
                      <td class="formblock_bleft">&nbsp;</td>
                      <td align="center" class="formblock_bbg"><input type="submit" name="update" id="update" class="button_style1" value="Update" onclick="edit('.$arr[0]['news_id'].')" /></td>
                      <td class="formblock_bright">&nbsp;</td>
             </tr>
 </table> </form>
		
		
		
		';

		return $output;
	}	
	
	
}
?>