<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/
class Core_CHome
{
	function getLogo()
   	{
		$sqlselect = "SELECT set_value FROM admin_settings_table WHERE set_name='Site Logo'";
		$obj = new Bin_Query();
		if($obj->executeQuery($sqlselect))
		{
			if(!file_exists($obj->records[0]['set_value']))
			{
			$output =  "images/logo/logo.gif";	
			}
			else
			{
			$output =  trim($obj->records[0]['set_value']);	
			}			
		}
		else
		{
			$output = "images/logo/logo.gif";
		}
		return $output;
   	}
	
	function getBanner()
   	{
		include_once('classes/Display/DHome.php');   		
		$sql= "SELECT set_value FROM admin_settings_table WHERE set_name='Homepage Banner Image'";
		$obj = new Bin_Query();
		$obj->executeQuery($sql);
		if(file_exists($obj->records[0]['set_value']))
		{
			$output['bannerImage'] =  $obj->records[0]['set_value'];
			$sql= "SELECT set_value FROM admin_settings_table WHERE set_name='Homepage Banner URL'";
			if($obj->executeQuery($sql))		
				$output['bannerUrl'] =  $obj->records[0]['set_value'];	
		}
		else
			$output['bannerImage'] = "images/banner/banner.jpg";
		
		return  Display_DHome::getBanner($output);
   	}
	
	
   function pageTitle()
   {
   		
		$sqlselect = "SELECT set_value FROM admin_settings_table WHERE set_name='Site Moto'";
		$obj = new Bin_Query();
		if($obj->executeQuery($sqlselect))
		{
			$output =  $obj->records[0]['set_value'];
		}
		else
		{
			$output = "Smart Shopping !";
		}
		return $output;
   }
   function skinName()
   {
   		
		$sqlselect = "SELECT set_value FROM admin_settings_table WHERE set_name='Site Skin'";
		$obj = new Bin_Query();
		if($obj->executeQuery($sqlselect))
		{
			$output =  $obj->records[0]['set_value'];
		}
		else
		{
			$output = "default";
		}
		return $output;
   }
   
/**
* Function name : setTimeZone 
* Description : Set the time zone assigned in the admin settings 
*/

   function  setTimeZone()
   {
		$sql = "SELECT set_value FROM admin_settings_table WHERE set_name='Time Zone'";
		$obj = new Bin_Query();
		if($obj->executeQuery($sql))
			date_default_timezone_set($obj->records[0]['set_value']); 		
   }
   function getGoogleAnalyticsCode()
   {
   		
		$sqlselect = "SELECT set_value FROM admin_settings_table WHERE set_name='Google Analytics Code'";
		$obj = new Bin_Query();
		if($obj->executeQuery($sqlselect))
		{
			$output =  $obj->records[0]['set_value'];
		}
		else
		{
			$output = "";
		}
		return $output;
   }
   function getGoogleAd()
   {
   		
		$sqlselect = "SELECT set_value FROM admin_settings_table WHERE set_name='Google AdSense code'";
		$obj = new Bin_Query();
		if($obj->executeQuery($sqlselect))
		{
			$output =  $obj->records[0]['set_value'];
		}
		else
		{
			$output = "";
		}
		return $output;
   }
   
   function footer()
   {
   		include_once('classes/Display/DHome.php');
   		$sql = "SELECT link_name,link_url FROM footer_link_table ";
		$query = new Bin_Query();
		if($query->executeQuery($sql))
		{
			return Display_DHome::footer($query->records);
		}	
   }
   
   
}
?>	