<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/
class Display_DNewProducts
{
	var $output = array();	
	
 	/**
	* This function is used to Display the New Products
	* @name newProducts
	* @param mixed $arr
	* @param int $r	
	* @return string
 	*/
	function newProducts($arr,$r)
	{
		$cnt =count($arr);
		$limit = 0;$j=0;
		if($cnt>0)
		{
			 $output.='<table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
                <td><div class="heading"><span class="headingTXT">New Products</span></div></td>
            </tr>
            <tr>
                <td class="border1" style="padding:7px">';		
		for ($i=0;$i<$cnt;$i++)
		{
			
			$rating=ceil($arr[$i]['rating']);
			$ratepath='';
			for($r1=0;$r1<5;$r1++)
			{
				if($r1<$rating)
					$ratepath.='<img src="images/starf.png">';
				else
					$ratepath.='<img src="images/stare.png">';							
			}

			$temp=$arr[$i]['thumb_image'];
			$img=explode('/',$temp);
			$output.='<div class="recent">';
			$output.='<table width="100%" border="0" cellspacing="0" cellpadding="0">';
			$output .='<tr>
   		 <td width="36%" align="center"><a href="?do=prodetail&action=showprod&prodid='.$arr[$i]['product_id'].'">';
			$filename=$arr[$i]['thumb_image'];
			if(file_exists($filename))
				$output.='<img src="'.$arr[$i]['thumb_image'].'" alt="'.addslashes($arr[$i]['title']).'"  width="63"  border="0"/>';
			else
				$output.='<img alt="No item" width="63"  border="0" src="images/noimage.jpg" />';	
			$output.='</a></td>';
			$output.='<td width="64%" valign="top" class="recentTXT" style="padding-left:10px"><a href="?do=prodetail&action=showprod&prodid='.$arr[$i]['product_id'].'">'.((strlen($arr[$i]['title'])>12) ? substr( $arr[$i]['title'],0,12).'...' : $arr[$i]['title']).'</a><br/>'.$ratepath.'</td>';
			$output.='</tr>';
			$output.='<tr><td align="left" style="padding-top:10px">
			<input title="Quick Information" alt="?do=quickinfo&prodid='.$arr[$i]['product_id'].'?inlineId=myOnPageContent&amp;height=500&amp;width=500" class="thickbox button4" type="button" value="Quick Info" />  
			<!--<a href="#" onClick="Lightbox.showBoxByAJAX(\'?do=quickinfo&prodid='.$arr[$i]['product_id'].'\', 478, 478);return false;">-->
			<!--<a href="#" onclick=window.open("?do=quickinfo&prodid='.$arr[$i]['product_id'].'","a","height=480,width=490,menubar=0,status=0,toolbar=0,scrollbars=0,location=0,minimize=0,resizable=0")>	  
			<input type="submit" name="Submit4" value="Quick Info" class="button4" />			
			</a>--></td>
<td class="recentTXT" align="left"><div style="padding-left:10px;"><span>'.$r[$j]['msrp'].'</span></div></td>                 </tr>';
			$output.='</table>';
   	 
			$limit++;
			$j++;
			$output.='</div>';
		
		}
		$output.='</td>
            </tr>
            <tr>
                <td valign="top" class="seePRODUCT border1"><a href="?do=allNew">More...</a></td>
            </tr>
            <tr>
                <td valign="top" class="roundbox1_bottom" ><!--<img src="images/bot.gif" alt="" width="189" height="4" />-->&nbsp;</td>
            </tr>
        </table>';
		}
		return $output;	
	}

 	/**
	* This function is used When New Products is unavailable
	* @name newProductElse
	* @return string
 	*/
	function newProductsElse()
	{
		$output = '<div class="recent"><table width="100%" border="0" cellspacing="0" cellpadding="0">
			<tr><td width="36%" align="center"><font color="orange"><b>Products not yet viewed</b></font></td></tr></table></div>';
		return $output;
	}
}	
	?>