<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/
class Lib_CheckInputs
{
	function Lib_CheckInputs($module)
	{
		if($module=='register')
			$this->register();
		else if($module=='validatelogin')
			$this->validatelogin();
		else if($module=='validatemyprofile')
			$this->validatemyprofile();
		else if($module=='validatemail')
			$this->validatemail();
		else if($module=='productReview')
			$this->validateproductReview();
		else if($module=='contactus')
			$this->contactUs();
		else if($module=='frmship')
			$this->validateCheckout();
		else if($module=='frmAcc')
			$this->validateUserAccount();
		else if($module=='frmWishSend')
			$this->validateWishlist();
		else if($module=='frmAddAddress')
			$this->validateAddress();
		else if($module=='quickregister')
			$this->validateQuickregister();	
		else if($module=='customergroup')
			$this->validateCustomerGroup();			
				

	}
	
	function register()
	{
		include('classes/Lib/FormValidation.php');
		if(strtolower($_SERVER['REQUEST_METHOD'])=="post")
		{
			if($_POST['txtdisname']=='' or $_POST['txtlname']=='' or $_POST['txtfname']=='' or $_POST['txtemail']==''
			   or $_POST['txtpwd']=='' or $_POST['txtdisname']!='' or $_POST['txtlname']!='' or $_POST['txtfname']!='' 
			   or $_POST['txtemail']!='' or $_POST['txtpwd']!=''||$_POST['txtaddr']!=''||$_POST['txtcity']!=''||$_POST['txtState']!=''||$_POST['txtzipcode']!='')
			{
				//echo 'hi';exit;
				$obj = new Lib_FormValidation('register');
			}
			else 
			{
				header("Location:?do=userregistration");
				exit();
			}
		}
	}
	
	function contactUs()
	{
		
		include('classes/Lib/FormValidation.php');
		if(strtolower($_SERVER['REQUEST_METHOD'])=="post")
			{
			if($_POST['txtname']=='' or $_POST['email']=='' or $_POST['txtname']!='' or $_POST['email']!='')
			{
				$obj = new Lib_FormValidation('contactUs');
			}
			else 
			{
				header("Location:?do=contactus");
				exit();
			}
		}
	}
	
	function validatelogin()
	{
		include('classes/Lib/FormValidation.php');
		if(strtolower($_SERVER['REQUEST_METHOD'])=="post")
		{
			if($_POST['txtemail']!='' or $_POST['txtpass']!='' or $_POST['txtemail']=='' or $_POST['txtpass']=='')
			{
				//echo $_POST['txtuname'];exit;
				$obj = new Lib_FormValidation('validatelogin');
			}
			else 
			{
				header("Location:?do=login");
				exit();
			}
		}
	}
	
	function validatemyprofile()
	{
		include('classes/Lib/FormValidation.php');
		if(strtolower($_SERVER['REQUEST_METHOD'])=="post")
		{
			if($_POST['lastname']=='' or $_POST['firstname']=='' or $_POST['email']==''
			or $_POST['passwd']=='' or $_POST['cpasswd']=='' or $_POST['lastname']!='' or $_POST['firstname']!='' 
			or $_POST['email']!='' or $_POST['passwd']!='' or $_POST['cpasswd']!='')
			{
				$obj = new Lib_FormValidation('validatemyprofile');
			}
			else 
			{
				header("Location:?do=myprofile");
				exit();
			}
		}
	}
	
	
	function validatemail()
	{
	
		include('classes/Lib/FormValidation.php');
		if(strtolower($_SERVER['REQUEST_METHOD'])=="post")
		{
			if($_POST['email']!='' or $_POST['email']=='')
			{
				$obj = new Lib_FormValidation('validatemail');
			}
			else 
			{
				header("Location:?do=forgetpwd");
				exit();
			}
		}
	}
	
	
	function validateproductReview()
	{	
		include('classes/Lib/FormValidation.php');
		if(strtolower($_SERVER['REQUEST_METHOD'])=="post")
		{
			if($_POST['ratings']=='' or $_POST['detail']=='' or $_POST['reviewtxt']=='' or 
			$_POST['ratings']!='' or $_POST['detail']!='' or $_POST['reviewtxt']!='')
			{
				$obj = new Lib_FormValidation('productReview');
			}
			else 
			{
				header("Location:?do=productreview&action=showproductreview&prodid=".$_REQUEST['prodid']);
				exit();
			}
		}
	}
	
	function validateCheckout()
	{
	
	   // print_r($_POST);exit;
		include('classes/Lib/FormValidation.php');
		if(strtolower($_SERVER['REQUEST_METHOD'])=="post")
		{
			if($_POST['txtname']=='' or $_POST['txtstreet']=='' or $_POST['txtsuburb']=='' or $_POST['txtzipcode']!='' or $_POST['txtcountry']!='' or $_POST['txtstate']!='' or $_POST['txtsname']!='' or $_POST['txtsstreet']!='' or $_POST['txtssuburb']!='' or $_POST['txtszipcode']!='' or $_POST['txtscountry']!=''  or $_POST['txtsstate']!='' or $_POST['selshipcountry']!='' or $_POST['selbillcountry']!='' or $_POST['txtzipcode']!='')
			{
			
				$obj = new Lib_FormValidation('frmship');
			}
			else 
			{
				header("Location:?do=addtocart");
				exit();
			}


		}
	}
	
	function validateWishlist()
	{
		include('classes/Lib/FormValidation.php');
		if(strtolower($_SERVER['REQUEST_METHOD'])=="post")
		{
			if($_POST['txtEmail']!='')
			{
				$obj = new Lib_FormValidation('frmWishSend');
			}
			else 
			{	
				header("Location:?do=wishlist");
				exit();
			}
		}
	}
	
	function validateUserAccount()
	{
		include('classes/Lib/FormValidation.php');
		if(strtolower($_SERVER['REQUEST_METHOD'])=="post")
		{
			if($_POST['txtFName']!='')
			{
				$obj = new Lib_FormValidation('frmAcc');
			}
			else 
			{	
				header("Location:?do=accountinfo");
				exit();
			}
		}

	}
	function validateAddress()
	{
		include('classes/Lib/FormValidation.php');
		if(strtolower($_SERVER['REQUEST_METHOD'])=="post")
		{
			if($_POST)
			{
				$obj = new Lib_FormValidation('frmAddAddress');
			}
			else 
			{	
				header("Location:?do=addaddress");
				exit();
			}
		}
	}
	
	function validateQuickregister()
	{
	
	
		include('classes/Lib/FormValidation.php');
		if(strtolower($_SERVER['REQUEST_METHOD'])=="post")
		{
			if($_POST)
			{	
			
				$obj = new Lib_FormValidation('checkQuickregister');
			}
			else 
			{	
				header("Location:?do=showcart&action=showquickregistration");
				exit();
			}
		}
		
		
		
		}
	
	function validateCustomerGroup()
	{
	
		include('classes/Lib/FormValidation.php');
		echo 'hai';
		exit;
		if(strtolower($_SERVER['REQUEST_METHOD'])=="post")
		{
			if($_POST['custGroupName']=='' or $_POST['custGroupName']!='' or $_POST['discount']=='' or $_POST['discount']!='' )
			{
				
				
				$obj = new Lib_FormValidation('customergroup');
			}
			else 
			{
				header("Location:?do=custgroup&action=insert");
				exit();
			}
		}
	}
	
}

?>