<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/
class Model_MProductDetail
{
	var $output = array();	
	function showProducts()
	{
		$_SESSION['url']=$_GET['do'];
		include_once('classes/Core/CProductDetail.php');
		include_once('classes/Display/DProductDetail.php');
		include('classes/Lib/TagClouds.php');
		include('classes/Core/CTagClouds.php');
		
		include_once('classes/Core/CCurrencySettings.php');
		Core_CCurrencySettings::getDefaultCurrency();
		
		$output['tagClouds']=Core_CTagClouds::displayTagClouds();		
		$default=new Core_CProductDetail();
		$output['products']=$default->showProducts();
		Bin_Template::createTemplate('products.html',$output);
	}
	
	
	/*function productDetail()
	{
		$_SESSION['url']=$_GET['do'];
		include_once('classes/Core/CProductDetail.php');
		include_once('classes/Display/DProductDetail.php');
		include_once('classes/Display/DWishList.php');
		include_once('classes/Core/CUserRegistration.php');
		include_once('classes/Display/DUserRegistration.php');
		include_once('classes/Core/CWishList.php');
		include_once('classes/Core/CNewProducts.php');
		include_once('classes/Display/DNewProducts.php');
		include('classes/Core/CKeywordSearch.php');
		include('classes/Display/DKeywordSearch.php');
		include('classes/Core/CHome.php');
		include('classes/Core/CAddCart.php');
		include('classes/Display/DAddCart.php');
		$output['sitelogo']=Core_CHome::getLogo();
		//$output['pagetitle']=Core_CHome::pageTitle();
		$output['timezone']=Core_CHome::setTimeZone();	
		$output['currentDate']=date('D,M d,Y - h:i A');
		$output['signup']=Display_DUserRegistration::signUp();
		$output['skinname']=Core_CHome::skinName();
		$output['googleanalytics']=Core_CHome::getGoogleAnalyticsCode();
		$output['googlead']=Core_CHome::getGoogleAd();
		$output['footer']=Core_CHome::footer();
		$output['dropdowncat']=Core_CKeywordSearch::categoryDropDown();
		$default=new Core_CProductDetail();
		$output['product']=$default->productDetail();
		$output['pageinfo']=$default->pageInfo();
		$output['rating']=$default->reviewRating();
		$output['review']=$default->reviewCount();
		$output['attributes']=$default->attributeList();
		$output['relprod']=$default->relatedProducts();
		$output['cartSnapShot'] = Core_CAddCart::cartSnapShot();
		if($_SESSION['compareProductId']=='')
		{
			$output['viewProducts']= Display_DWishList::viewProductElse();
		}
		else
			$output['viewProducts']=Core_CWishList::addtoCompareProduct();
		$output['loginStatus'] = Core_CUserRegistration::loginStatus();
		$output['headermenu'] = Core_CUserRegistration::showHeaderMenu();
		$output['headertext'] = Core_CUserRegistration::showHeaderText();
		$default=new Core_CNewProducts();
		$output['newproducts']=$default->newProducts();
		if($_SESSION['user_id']!='')
			$output['wishlistsnapshot'] = Core_CWishList::wishlistSnapshot();
		//$output['lastviewedproducts']=Core_CLastViewedProducts::lastViewedProducts();
		
		Bin_Template::createTemplate('productdetail.html',$output);
	
		
	}*/
	
	function lastViewedProducts()
	{
		include_once('classes/Core/CProductDetail.php');
		include_once('classes/Display/DProductDetail.php');
		include('classes/Core/CKeywordSearch.php');
		include('classes/Display/DKeywordSearch.php');
		include('classes/Lib/TagClouds.php');
		include('classes/Core/CTagClouds.php');
		
		include_once('classes/Core/CCurrencySettings.php');
		Core_CCurrencySettings::getDefaultCurrency();
		
		$output['tagClouds']=Core_CTagClouds::displayTagClouds();		
		$output['dropdowncat']=Core_CKeywordSearch::categoryDropDown();
		$default=new Core_CProductDetail();
		$output['product']=$default->productDetail();
		$output['attributes']=$default->attributeList();
		$output['relprod']=$default->relatedProducts();
		$output['lastviewprod']=$default->lastViewedProducts();
		Bin_Template::createTemplate('productdetail.html',$output);
	}
	
	
	//--------------Developed By S.RANJITH KUMAR on 30-SEP-2008-------------//
	//-------------- Display the Product Details Page Start-----------------//
	
	function productDetail()
	{
		$_SESSION['url']=$_GET['do'];
		
		include('classes/Core/CHome.php');
		include('classes/Core/CUserRegistration.php');
		include('classes/Core/CKeywordSearch.php');
		include('classes/Core/CAddCart.php');
		include('classes/Core/CWishList.php');
		include('classes/Core/CLastViewedProducts.php');
		include('classes/Core/CProductDetail.php');
		
		
		include('classes/Display/DUserRegistration.php');
		include('classes/Display/DKeywordSearch.php');
		include('classes/Display/DAddCart.php');
		include('classes/Display/DWishList.php');
		include('classes/Display/DLastViewedProducts.php');
		include('classes/Display/DProductDetail.php');
		include('classes/Lib/TagClouds.php');
		include('classes/Core/CTagClouds.php');
				
		include_once('classes/Core/CCurrencySettings.php');
		include_once('classes/Display/DCurrencySettings.php');
		Core_CCurrencySettings::getDefaultCurrency();
		
		//--------- Details for Header---------------//
		
		$output['skinname']=Core_CHome::skinName();
		$output['currentDate']=date('D,M d,Y - h:i A');
		$output['loginStatus'] = Core_CUserRegistration::loginStatus();
		$output['sitelogo']=Core_CHome::getLogo();
		$output['dropdowncat']=Core_CKeywordSearch::categoryDropDown();
		$output['pagetitle']=Core_CHome::pageTitle();
		//--------- Details for Left Part-----------//
		
		$output['relatedproduct']=Core_CProductDetail::disprelatedProduct();
		//$output['cartSnapShot'] = Core_CAddCart::cartSnapShot();
		$output['currencylist'] = Core_CCurrencySettings::displayEnabledCurrencies();				
		
		if($_SESSION['compareProductId']=='')
		{			
		$output['viewProducts']= Display_DWishList::viewProductElse();
		}
		else
			$output['viewProducts']=Core_CWishList::addtoCompareProduct();
		
		$default=new Core_CLastViewedProducts();
		$output['lastviewedproducts']=$default->lastViewedProducts();
		$output['tagClouds']=Core_CTagClouds::displayTagClouds();
		
		//--------- Details for Product Part-----------//
		
		$default=new Core_CProductDetail();
		$output['product']=$default->productDetail();
		$output['pageinfo']=$default->pageInfo();
		
		
		/*
				
		$output['googleanalytics']=Core_CHome::getGoogleAnalyticsCode();
		$output['googlead']=Core_CHome::getGoogleAd();
		$output['footer']=Core_CHome::footer();
		
		
		
		$output['rating']=$default->reviewRating();
		$output['review']=$default->reviewCount();
		$output['attributes']=$default->attributeList();
		$output['relprod']=$default->relatedProducts();
		$output['cartSnapShot'] = Core_CAddCart::cartSnapShot();
		if($_SESSION['compareProductId']=='')
		{
			$output['viewProducts']= Display_DWishList::viewProductElse();
		}
		else
			$output['viewProducts']=Core_CWishList::addtoCompareProduct();
		
		$output['headermenu'] = Core_CUserRegistration::showHeaderMenu();
		$output['headertext'] = Core_CUserRegistration::showHeaderText();
		$default=new Core_CNewProducts();
		$output['newproducts']=$default->newProducts();
		if($_SESSION['user_id']!='')
			$output['wishlistsnapshot'] = Core_CWishList::wishlistSnapshot();
		//$output['lastviewedproducts']=Core_CLastViewedProducts::lastViewedProducts();*/
		
		Bin_Template::createTemplate('productdetail.html',$output);
	
		
	}
	
	function showLargeview()
	{
		include('classes/Core/CHome.php');
		include_once('classes/Core/CProductDetail.php');
		include_once('classes/Display/DProductDetail.php');
		
		include_once('classes/Core/CCurrencySettings.php');
		Core_CCurrencySettings::getDefaultCurrency();
		
		$output['skinname']=Core_CHome::skinName();
		$default=new Core_CProductDetail();
		$output['result']=$default->showLargeview();
		Bin_Template::createTemplate('largeview.html',$output);
	}
	
	//----------------END--------------------------------------------------//
	
}	